------------------------------------------------------------------------
r22111 | gerald | 2007-06-15 11:44:43 -0700 (Fri, 15 Jun 2007) | 2 lines
Changed paths:
   M /trunk/config.nmake
   M /trunk/configure.in

0.99.6 has been split off.  Bump the trunk to 0.99.7.

------------------------------------------------------------------------
r22112 | guy | 2007-06-15 16:07:10 -0700 (Fri, 15 Jun 2007) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-rpc.c

Fix indentation.

------------------------------------------------------------------------
r22113 | jake | 2007-06-16 03:52:25 -0700 (Sat, 16 Jun 2007) | 1 line
Changed paths:
   M /trunk/docbook/user-guide.xml
   M /trunk/docbook/wsdg_src/WSDG_chapter_libraries.xml
   M /trunk/docbook/wsug_src/WSUG_app_tools.xml
   M /trunk/docbook/wsug_src/WSUG_chapter_advanced.xml
   M /trunk/docbook/wsug_src/WSUG_chapter_build_install.xml
   M /trunk/docbook/wsug_src/WSUG_chapter_introduction.xml

Bring the information up to date regarding versions and sample output.
------------------------------------------------------------------------
r22114 | ulfl | 2007-06-16 04:09:34 -0700 (Sat, 16 Jun 2007) | 1 line
Changed paths:
   M /trunk/docbook/wsdg_src/WSDG_chapter_libraries.xml
   M /trunk/docbook/wsug_src/WSUG_chapter_build_install.xml
   M /trunk/packaging/nsis/wireshark.nsi

Since the integration into the official GTK sources, the name of GTK-Wimp is now "GTK MS Windows Engine". Change the name in the NSIS installer and the docbook docs accordingly.
------------------------------------------------------------------------
r22115 | sfisher | 2007-06-16 17:54:58 -0700 (Sat, 16 Jun 2007) | 6 lines
Changed paths:
   M /trunk/gtk/dfilter_expr_dlg.c
   M /trunk/gtk/dfilter_expr_dlg.h
   M /trunk/gtk/filter_dlg.c


Fix bug #1334 and a problem where a user couldn't interact with the
filter dialog's add expression dialog when going to it through file->open
or file->merge (because dialogs in between are set to modal).


------------------------------------------------------------------------
r22116 | lego | 2007-06-16 21:58:16 -0700 (Sat, 16 Jun 2007) | 5 lines
Changed paths:
   M /trunk/Makefile.am
   M /trunk/Makefile.common
   M /trunk/capinfos.c
   M /trunk/editcap.c

Have editcap and capinfos compile --without-plugins

Should go in 0.99.6


------------------------------------------------------------------------
r22117 | jake | 2007-06-17 04:18:29 -0700 (Sun, 17 Jun 2007) | 1 line
Changed paths:
   M /trunk/docbook/developer-guide.xml
   M /trunk/docbook/wsdg_src/WSDG_chapter_dissection.xml
   M /trunk/docbook/wsdg_src/WSDG_chapter_quick_setup.xml
   M /trunk/docbook/wsdg_src/WSDG_chapter_tools.xml

Bring developer guide up to date regarding tools and current plugin build infrastructure.
------------------------------------------------------------------------
r22118 | sahlberg | 2007-06-17 10:39:30 -0700 (Sun, 17 Jun 2007) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-nfs.c

add some missing error codes


------------------------------------------------------------------------
r22119 | sahlberg | 2007-06-17 12:51:20 -0700 (Sun, 17 Jun 2007) | 4 lines
Changed paths:
   M /trunk/gtk/column_prefs.c

column_entry_changed_cb is not used by the GTK1 code.   ifdef it out for 
gtk1


------------------------------------------------------------------------
r22120 | sahlberg | 2007-06-17 12:57:47 -0700 (Sun, 17 Jun 2007) | 3 lines
Changed paths:
   M /trunk/gtk/filter_dlg.c

gtk1 does not have gtk_window_get_modal


------------------------------------------------------------------------
r22121 | sahlberg | 2007-06-17 13:57:34 -0700 (Sun, 17 Jun 2007) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-smb.c
   M /trunk/epan/dissectors/packet-smb.h

remember locking info between requests and repsonses so it is easier to 
diagnose why an operation returned an error


------------------------------------------------------------------------
r22122 | sahlberg | 2007-06-17 16:58:01 -0700 (Sun, 17 Jun 2007) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-smb.c
   M /trunk/epan/dissectors/packet-smb.h

track filenames between rename requests and responses to make it easier to 
diagnose why a rename failed


------------------------------------------------------------------------
r22123 | sahlberg | 2007-06-17 17:01:24 -0700 (Sun, 17 Jun 2007) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-nfs.c
   M /trunk/epan/dissectors/packet-nfs.h

make hf_nfs_nfsstat externaly visible so other dissectors can use nfs 
status codes


------------------------------------------------------------------------
r22124 | sahlberg | 2007-06-17 17:04:30 -0700 (Sun, 17 Jun 2007) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-nfsacl.c

nfs acl uses the same status codes as nfs   so use the hf field for nfs

------------------------------------------------------------------------
r22125 | sfisher | 2007-06-17 18:42:17 -0700 (Sun, 17 Jun 2007) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dcom.c


Fix compilation on OS X with GLib 1.2 by including ctype.h since our
isprint.h override only kicks in for GLib 2+.


------------------------------------------------------------------------
r22126 | standel | 2007-06-17 19:23:44 -0700 (Sun, 17 Jun 2007) | 3 lines
Changed paths:
   M /trunk/configure.in

get rid of the "case" statement to test the value of withval.


------------------------------------------------------------------------
r22127 | standel | 2007-06-17 20:03:54 -0700 (Sun, 17 Jun 2007) | 13 lines
Changed paths:
   M /trunk/configure.in

Fix bug #1395
Configure options '--with-libgnutls-prefix' and '--with-libgcrypt-prefix' could
be used to indicate the path where the respective libraries had been installed.
However, these options could not be used to compile wireshark without the use
of them if installed on the system.
These two macros are not part of the wireshark project. configure.in has
therefore been modified so that wireshark can be compiled without gnutls or
gcrypt. Two configure options have been introduced : '--with-gnutls' and
'--with-gcrypt'. They take precedence on their 'prefix-specification'
counterpart or in other words, if '-with-gnutls=no' and
'--with-libgnutls-prefix' are used, wireshark will be compiled *without*
gnutls.

------------------------------------------------------------------------
r22128 | jake | 2007-06-18 11:11:58 -0700 (Mon, 18 Jun 2007) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-edonkey.c
   M /trunk/epan/dissectors/packet-edonkey.h

From Lukasz "M.":
I added 5 new packets to packet-edonkey.c and improve 2. Diffs in
attachment. This part of wireshark (decoding emule packets) it's not
finish as I see  :)  I try to do it, meybe...  :)
------------------------------------------------------------------------
r22129 | sfisher | 2007-06-18 11:57:58 -0700 (Mon, 18 Jun 2007) | 13 lines
Changed paths:
   M /trunk/epan/dissectors/packet-mysql.c


From Martin Warnes:

Currently the MySQL dissector assumes that an OK-Packet Response
contains the Server_Status field. Having checked the MySQL protocol page
I can't say conclusively whether it should or it shouldn't, however I've
come across a couple of MySQL Java clients that receive the OK-Packet
without the Server_Status field set in response to a "SET AUTOCOMMIT" call.
 
The attached patched simply adds a check to ensure the Server_Status
field is present before calling function mysql_dissect_server_status.


------------------------------------------------------------------------
r22130 | sfisher | 2007-06-18 12:08:59 -0700 (Mon, 18 Jun 2007) | 9 lines
Changed paths:
   M /trunk/epan/dissectors/packet-mysql.c

From Martin Warnes:

Attached is a small patch that adds a preference option to allow the SQL
Query string to be appended to the INFO column display. This makes life
a little bit easier when scanning a trace to find the packet associated
with a specific query. I thought it was better to implement it as a
preference option with default set FALSE as it can clutter up the
display for applications that generate large amounts of queries.

------------------------------------------------------------------------
r22131 | sfisher | 2007-06-18 12:15:48 -0700 (Mon, 18 Jun 2007) | 12 lines
Changed paths:
   M /trunk/epan/dissectors/packet-armagetronad.c

From Guillaume Chazarain:

Please find attached a patch to fix some bugs in the armagetronad
dissector. More specifically:
  
* Update the descriptors to armagetronad-0.2.8.2.1, the file
src/network/Makefile.in does not exist anymore in the armagetronad
source code.
* Ensure the printed data is null terminated.
* Avoid guint16 overflow because of the '* 2'.
* Remove a statement with no effect (data = NULL).

------------------------------------------------------------------------
r22132 | etxrab | 2007-06-18 12:20:52 -0700 (Mon, 18 Jun 2007) | 5 lines
Changed paths:
   M /trunk/asn1/ansi_map/ansi_map.asn
   M /trunk/asn1/ansi_map/packet-ansi_map-template.c
   M /trunk/epan/dissectors/packet-ansi_map.c

Add code for signals:
- LCSParameterRequest
- CheckMEID
- PositionEventNotification
- StatusRequest
------------------------------------------------------------------------
r22133 | sfisher | 2007-06-18 12:31:34 -0700 (Mon, 18 Jun 2007) | 11 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/epan/dissectors/packet-fcoe.c


From Joe Eykholt:

- Remove ethertype preference from recently added FCoE dissector

Me:

- Add Joe to the AUTHORS list
- Change previous line in AUTHORS list from @ to [AT] in e-mail address


------------------------------------------------------------------------
r22134 | sfisher | 2007-06-18 13:14:07 -0700 (Mon, 18 Jun 2007) | 8 lines
Changed paths:
   M /trunk/epan/dissectors/packet-smb.h


Fix Windows build-bot warnings:

packet-smb.c(5479) : error C2220: warning treated as error - no object file generated
packet-smb.c(5479) : warning C4244: '=' : conversion from 'unsigned short ' to 'unsigned char ', possible loss of data
packet-smb.c(5480) : warning C4244: '=' : conversion from 'unsigned short ' to 'unsigned char ', possible loss of data
 

------------------------------------------------------------------------
r22135 | etxrab | 2007-06-18 13:54:15 -0700 (Mon, 18 Jun 2007) | 11 lines
Changed paths:
   M /trunk/asn1/gsmmap/GSMMAP.asn
   M /trunk/asn1/gsmmap/gsmmap.cnf
   M /trunk/asn1/gsmmap/packet-gsm_map-template.c
   M /trunk/epan/dissectors/packet-gsm_map.c

Fix to:
For the Cancel Location message, you can replace the
old_CancelLocationArgV2 by the Identity message.
So the old syntax for Cancel Location is not used anymore.

For the message Send Authentication Info Res, there is a typo error. The "item" should not be used.

- one with the decoding of "processUnstructuredSS-Data", the IA5 string 
is not decoded/displayed.

This should go into 0.99.6.
------------------------------------------------------------------------
r22136 | etxrab | 2007-06-18 14:03:59 -0700 (Mon, 18 Jun 2007) | 1 line
Changed paths:
   M /trunk/asn1/gsmmap/Makefile.nmake
   M /trunk/asn1/gsmmap/gsm_map-exp.cnf
   M /trunk/asn1/gsmmap/gsmmap.cnf
   M /trunk/epan/dissectors/packet-gsm_map.c
   M /trunk/epan/dissectors/packet-gsm_map.h

Update .cnf file
------------------------------------------------------------------------
r22137 | wmeier | 2007-06-18 14:12:13 -0700 (Mon, 18 Jun 2007) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-armagetronad.c

Fix windows build error ....

------------------------------------------------------------------------
r22138 | gerald | 2007-06-18 14:58:34 -0700 (Mon, 18 Jun 2007) | 3 lines
Changed paths:
   M /trunk/epan/crypt/airpdcap.c

Be a little less picky about EAPOL packet lengths.  Someone sent in a
capture that has extra data in the 4th handshake message.

------------------------------------------------------------------------
r22139 | sfisher | 2007-06-19 11:09:50 -0700 (Tue, 19 Jun 2007) | 4 lines
Changed paths:
   M /trunk/doc/wireshark.pod


Add a simple entry for -z voip,calls to wireshark man page/html file 


------------------------------------------------------------------------
r22140 | gerald | 2007-06-19 14:19:11 -0700 (Tue, 19 Jun 2007) | 2 lines
Changed paths:
   M /trunk/epan
   M /trunk/epan/wslua

Add more items to svn:ignore.

------------------------------------------------------------------------
r22141 | etxrab | 2007-06-19 15:11:30 -0700 (Tue, 19 Jun 2007) | 3 lines
Changed paths:
   M /trunk/asn1/gsmmap/Makefile
   M /trunk/epan/dissectors/packet-gsm_a.c

- update the Unix Makefile to use gsmmap.cnf and not gsm_map.cnf.
- the Facility is not bellow the facility itself, but at the end of the tree.
It's not a problem, but it looks strange.. - Fixed
------------------------------------------------------------------------
r22142 | martinm | 2007-06-20 07:40:40 -0700 (Wed, 20 Jun 2007) | 3 lines
Changed paths:
   M /trunk/diameter/dictionary.xml
   M /trunk/epan/dissectors/packet-diameter.c

- include gqpolicy.xml properly!
- print more specific console disgnostics when AVPs don't match because of vendorID being different

------------------------------------------------------------------------
r22143 | jake | 2007-06-20 10:17:25 -0700 (Wed, 20 Jun 2007) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-edonkey.c

From Lukasz M.:
Sometimes edonkey packets comes joined, and wireshark display only last
one on column Info. Now everyone is displayed.
------------------------------------------------------------------------
r22145 | morriss | 2007-06-20 13:02:52 -0700 (Wed, 20 Jun 2007) | 1 line
Changed paths:
   M /trunk/editcap.c

Increase the maximum number of packet selections to 512 (from 100).  More importantly, give the user feedback if we run out of room for packet selections.  As mentioned on the list, this could be made completely dynamic if someone actually goes over the (new) limit.  OK for 0.99.6 but not necessary.
------------------------------------------------------------------------
r22146 | etxrab | 2007-06-20 14:54:40 -0700 (Wed, 20 Jun 2007) | 2 lines
Changed paths:
   M /trunk/asn1/gsmmap/gsmmap.cnf
   M /trunk/asn1/gsmmap/packet-gsm_map-template.c
   M /trunk/epan/dissectors/packet-gsm_map.c
   M /trunk/epan/dissectors/packet-gsm_sms.c

Add call to the sms dissector for MO-ForwardSM-Arg and MT-ForwardSM-Arg.
Use a separate valuestring for forwardSM and sendRoutingInfoForSM.
------------------------------------------------------------------------
r22147 | etxrab | 2007-06-20 14:56:03 -0700 (Wed, 20 Jun 2007) | 1 line
Changed paths:
   M /trunk/asn1/ulp/ulp.cnf
   M /trunk/epan/dissectors/packet-ulp.c

Show IPv4/IPv6 addresses as such.
------------------------------------------------------------------------
r22148 | martinm | 2007-06-21 04:37:42 -0700 (Thu, 21 Jun 2007) | 2 lines
Changed paths:
   M /trunk/Makefile.am
   A /trunk/dtds/xcap-error.dtd
   M /trunk/packaging/nsis/wireshark.nsi

Add DTD file for xcap-error (RFC 4825)

------------------------------------------------------------------------
r22149 | gal | 2007-06-21 09:50:16 -0700 (Thu, 21 Jun 2007) | 3 lines
Changed paths:
   M /trunk/asn1/x411/packet-x411-template.c
   M /trunk/asn1/x411/x411.cnf
   M /trunk/epan/dissectors/packet-x411.c

New preference to specify the tcp port to use for P1 and fix to include /OU= in dissected X.400 addresses.


------------------------------------------------------------------------
r22150 | martinm | 2007-06-21 10:30:13 -0700 (Thu, 21 Jun 2007) | 2 lines
Changed paths:
   M /trunk/wiretap/catapult_dct2000.c

Don't create & leak a hash table during unsuccessful open()

------------------------------------------------------------------------
r22151 | gerald | 2007-06-21 10:49:03 -0700 (Thu, 21 Jun 2007) | 7 lines
Changed paths:
   M /trunk/docbook/release-notes.xml
   M /trunk/epan/crypt/airpdcap.c
   M /trunk/epan/crypt/airpdcap_user.h
   M /trunk/epan/dissectors/packet-ieee80211.c
   M /trunk/epan/strutil.c

Be less restrictive about WEP key preferences.  Use hex_str_to_bytes to
process WEP keys.  Allow the "wep:" prefix for WEP keys even when
HAVE_AIRPDCAP isn't defined.  Add a NULL pointer check to
hex_str_to_bytes().  Fixes bug 1584.

Fixup indentation.

------------------------------------------------------------------------
r22152 | gerald | 2007-06-21 13:22:56 -0700 (Thu, 21 Jun 2007) | 4 lines
Changed paths:
   M /trunk/epan/crypt/airpdcap.c
   M /trunk/epan/dissectors/packet-ieee80211.c

In packet-ieee802.11.c, fix a serious preference bug introduced in the
last checkin.  In airpcap.c, appease the toolbar code by returning a
lower-case, non-separated WEP key.

------------------------------------------------------------------------
r22154 | etxrab | 2007-06-21 14:38:34 -0700 (Thu, 21 Jun 2007) | 1 line
Changed paths:
   M /trunk/asn1/gsmmap/GSMMAP.asn
   M /trunk/asn1/gsmmap/gsmmap.cnf
   M /trunk/asn1/gsmmap/packet-gsm_map-template.c
   M /trunk/epan/dissectors/packet-gsm_map.c

Fix some GSM MAP Warnings.
------------------------------------------------------------------------
r22155 | etxrab | 2007-06-21 14:41:31 -0700 (Thu, 21 Jun 2007) | 1 line
Changed paths:
   D /trunk/asn1/gsm_ss/Makefile
   D /trunk/asn1/gsm_ss/Makefile.nmake
   D /trunk/asn1/gsm_ss/SS-Operations.asn
   D /trunk/asn1/gsm_ss/gsm_ss.cnf
   D /trunk/asn1/gsm_ss/packet-gsm_ss-template.c
   D /trunk/asn1/gsm_ss/packet-gsm_ss-template.h

Delete now obsolete GSM SS.
------------------------------------------------------------------------
r22156 | etxrab | 2007-06-21 14:44:50 -0700 (Thu, 21 Jun 2007) | 1 line
Changed paths:
   D /trunk/asn1/MAP_Dialogue

Delete now obsolete MAP dialouge.
------------------------------------------------------------------------
r22157 | standel | 2007-06-21 15:36:33 -0700 (Thu, 21 Jun 2007) | 3 lines
Changed paths:
   M /trunk/configure.in

default value of --with-gcrypt must be set to yes.


------------------------------------------------------------------------
r22158 | gerald | 2007-06-21 15:54:06 -0700 (Thu, 21 Jun 2007) | 2 lines
Changed paths:
   M /trunk/docbook/release-notes.xml

Expand the new/added features section.

------------------------------------------------------------------------
r22159 | gerald | 2007-06-21 16:19:16 -0700 (Thu, 21 Jun 2007) | 2 lines
Changed paths:
   M /trunk/docbook/release-notes.xml

Fix invalid markup.

------------------------------------------------------------------------
r22160 | sfisher | 2007-06-21 16:30:09 -0700 (Thu, 21 Jun 2007) | 4 lines
Changed paths:
   M /trunk/docbook/release-notes.xml


Fix typo in HTTP Export Object menu path.  It ends with HTTP, not HTML.


------------------------------------------------------------------------
r22162 | martinm | 2007-06-22 05:42:47 -0700 (Fri, 22 Jun 2007) | 3 lines
Changed paths:
   M /trunk/diameter/dictionary.xml
   M /trunk/epan/dissectors/packet-diameter-defs.h

NASREQ AVP 4 (NAS-IP-Address) is of type OctetString, not IPAddress
(according to RFC 4005).

------------------------------------------------------------------------
r22163 | sahlberg | 2007-06-22 06:23:50 -0700 (Fri, 22 Jun 2007) | 7 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dns.c

dns request/response tracking did not work if tree==NULL we didnt set up 
the tracking structures

this makes dns request/response trackign work when you dont have any 
color filters


------------------------------------------------------------------------
r22165 | sahlberg | 2007-06-22 12:32:02 -0700 (Fri, 22 Jun 2007) | 5 lines
Changed paths:
   M /trunk/asn1/ldap/ldap.cnf
   M /trunk/epan/dissectors/packet-ldap.c
   M /trunk/epan/dissectors/packet-ldap.h

add code to handle new insanity in how spnego and gss wrap 
eachother



------------------------------------------------------------------------
r22166 | sfisher | 2007-06-22 15:22:10 -0700 (Fri, 22 Jun 2007) | 8 lines
Changed paths:
   M /trunk/docbook/wsug_graphics/ws-stats-iographs.png
   M /trunk/docbook/wsug_src/WSUG_chapter_statistics.xml
   M /trunk/gtk/Makefile.am
   M /trunk/gtk/Makefile.common
   M /trunk/gtk/io_stat.c
   A /trunk/gtk/pixmap_save.c
   A /trunk/gtk/pixmap_save.h


Fix enhancement bug #1337: Export IO Graphs

This new code adds a save button to the Statistics IO Graphs window and
is also reusable by any other code that uses GDK Pixmaps to draw graphs.
The Gdk-pixbuf library included in GTK is used for this save function.


------------------------------------------------------------------------
r22167 | sfisher | 2007-06-22 15:42:33 -0700 (Fri, 22 Jun 2007) | 5 lines
Changed paths:
   M /trunk/asn1/Makefile.am
   D /trunk/asn1/gsm_ss


Fix distcheck for recently removed asn1/gsm_ss and asn1/MAP_Dialogue and
remove the asn1/gsm_ss directory.


------------------------------------------------------------------------
r22168 | sfisher | 2007-06-22 15:44:51 -0700 (Fri, 22 Jun 2007) | 4 lines
Changed paths:
   M /trunk/asn1/Makefile.nmake


Remove gsm_ss and MAP_Dialogue from Windows makefile


------------------------------------------------------------------------
r22169 | gerald | 2007-06-22 17:00:57 -0700 (Fri, 22 Jun 2007) | 2 lines
Changed paths:
   M /trunk/epan/crypt/airpdcap.c

A recent checkin broke wpa-psk keys; fix it.

------------------------------------------------------------------------
r22170 | sfisher | 2007-06-22 22:58:01 -0700 (Fri, 22 Jun 2007) | 7 lines
Changed paths:
   M /trunk/docbook/wsug_src/WSUG_chapter_statistics.xml
   M /trunk/gtk/io_stat.c
   M /trunk/gtk/pixmap_save.c


Updates to initial check-in of pixmap saving feature:

 - Bump minimum GTK version from 2.4 to 2.6 in code and users manual
 - Free some strings after we're done with them 
 

------------------------------------------------------------------------
r22171 | etxrab | 2007-06-23 08:31:37 -0700 (Sat, 23 Jun 2007) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-ber.c

Fix a typo.
------------------------------------------------------------------------
r22172 | etxrab | 2007-06-23 08:32:36 -0700 (Sat, 23 Jun 2007) | 1 line
Changed paths:
   M /trunk/asn1/ansi_map/ansi_map.asn
   M /trunk/asn1/ansi_map/packet-ansi_map-template.c
   M /trunk/epan/dissectors/packet-ansi_map.c

Try to fix some GCC warnings.
------------------------------------------------------------------------
r22173 | gal | 2007-06-23 22:09:42 -0700 (Sat, 23 Jun 2007) | 6 lines
Changed paths:
   M /trunk/epan/dissectors/packet-clnp.c

This patch fixes reassembly when receiving a SES MINOR SYNC POINT and a
COTP DT Data (class 1) fragment in the same frame.  Also added the
generated dst_ref and a reference to the "COTP segment data" to the
tree.


------------------------------------------------------------------------
r22174 | gal | 2007-06-23 22:14:39 -0700 (Sat, 23 Jun 2007) | 6 lines
Changed paths:
   M /trunk/epan/reassemble.c

Added a new function, fragment_end_seq_next(), to end the 
fragmented data without adding an empty data fragment. 
This is used by the RTSE dissector which can't identify the 
last fragment until after it has been added.


------------------------------------------------------------------------
r22175 | gal | 2007-06-23 22:22:09 -0700 (Sat, 23 Jun 2007) | 3 lines
Changed paths:
   M /trunk/asn1/x420/x420.cnf
   M /trunk/epan/dissectors/packet-x420.c

This patch adds s4406 type to COL_INFO, as for X420.


------------------------------------------------------------------------
r22176 | gal | 2007-06-23 22:28:27 -0700 (Sat, 23 Jun 2007) | 8 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/asn1/pres/packet-pres-template.c
   M /trunk/asn1/rtse/packet-rtse-template.c
   M /trunk/epan/dissectors/packet-pres.c
   M /trunk/epan/dissectors/packet-rtse.c
   M /trunk/epan/dissectors/packet-ses.c
   M /trunk/epan/dissectors/packet-ses.h

This patch adds RTSE reassembly.  The reassembly is done when
receiving a SES MAJOR SYNC POINT, as this indicates the end of the
COTP DT Data stream.  Previous the RTSE dissector was called when
receiving a COTP DT Data fragment with the "last data unit" bit set,
but this does not work with messages fragmented in RTSE.  Reassembly
can be turned off in the preferences.


------------------------------------------------------------------------
r22177 | etxrab | 2007-06-24 01:13:11 -0700 (Sun, 24 Jun 2007) | 1 line
Changed paths:
   M /trunk/epan/libwireshark.def
   M /trunk/epan/reassemble.h

Export fragment_end_seq_next to get the Windows buildbot going again.
------------------------------------------------------------------------
r22178 | gal | 2007-06-24 01:23:26 -0700 (Sun, 24 Jun 2007) | 3 lines
Changed paths:
   M /trunk/asn1/x420/Makefile.nmake
   A /trunk/asn1/x420/ftbp.asn
   M /trunk/asn1/x420/packet-x420-template.c
   M /trunk/asn1/x420/x420-exp.cnf
   M /trunk/asn1/x420/x420.cnf
   M /trunk/epan/dissectors/Makefile.common
   D /trunk/epan/dissectors/packet-ftbp.c
   D /trunk/epan/dissectors/packet-ftbp.h
   M /trunk/epan/dissectors/packet-x420.c
   M /trunk/epan/dissectors/packet-x420.h

Consolidation of FTBP dissector into the X420 dissector.


------------------------------------------------------------------------
r22179 | gal | 2007-06-24 01:24:49 -0700 (Sun, 24 Jun 2007) | 3 lines
Changed paths:
   D /trunk/asn1/ftbp

Delete the associated asn2wrs files for the FTBP dissector


------------------------------------------------------------------------
r22180 | etxrab | 2007-06-24 02:18:36 -0700 (Sun, 24 Jun 2007) | 1 line
Changed paths:
   M /trunk/asn1/ansi_map/ansi_map.asn
   M /trunk/asn1/ansi_map/packet-ansi_map-template.c
   M /trunk/epan/dissectors/packet-ansi_map.c

Try to fix some more GCC warnings.
------------------------------------------------------------------------
r22181 | sahlberg | 2007-06-24 10:23:55 -0700 (Sun, 24 Jun 2007) | 9 lines
Changed paths:
   M /trunk/asn1/ldap/packet-ldap-template.c
   M /trunk/epan/dissectors/packet-ldap.c

remove some compiler warning due to unused pinfo parameter

a SASL encapsulated ldap blob can contain more than one LDAP message so 
the rest_is_pad parameter is bogus and thus removed.

make dissect_ldap_pdu handle when we have more than one LDAP message 
inside one sasl blob


------------------------------------------------------------------------
r22182 | sfisher | 2007-06-24 17:26:31 -0700 (Sun, 24 Jun 2007) | 4 lines
Changed paths:
   M /trunk/asn1/Makefile.am
   M /trunk/asn1/Makefile.nmake


Fix Windows builds and dist after revision 22179 removed the FTBP dissector


------------------------------------------------------------------------
r22183 | etxrab | 2007-06-24 23:10:36 -0700 (Sun, 24 Jun 2007) | 9 lines
Changed paths:
   M /trunk/epan/dissectors/packet-tipc.c

From Martin Peylo:
Changes are only for protocol version 2.

The changes are:
- dissect "TIPC Bundler Protocol" messages correctly
- search for other dissectors which want to dissect encapsulated data according to the TIPC user or TIPC type of a message. The data dissection is difficult since a TIPC data message does not necessarily a "type" set. So for the moment - while TIPC is not widely used - just triggering for the user of a message will be sufficient for people looking into the TIPC protocol.
- "Dissect TIPC data" in the preferences is now switched on by default
- to show undissected data, the "data" dissector is now used.
- corrected some typos
------------------------------------------------------------------------
r22184 | kukosa | 2007-06-25 01:58:27 -0700 (Mon, 25 Jun 2007) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-q932-ros.c
   M /trunk/tools/asn2wrs.py

- fix field type FT_... for SelectionType
- fix OPTIONAL handling in CLASS definition
- Q.932 ROS regenerated
------------------------------------------------------------------------
r22185 | kukosa | 2007-06-25 03:26:21 -0700 (Mon, 25 Jun 2007) | 1 line
Changed paths:
   M /trunk/tools/asn2wrs.py

comment out some forgotten debug printouts
------------------------------------------------------------------------
r22186 | gerald | 2007-06-25 11:22:36 -0700 (Mon, 25 Jun 2007) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-eapol.c

Fix logic to properly ignore (for now) encrypted keys and group keys.

------------------------------------------------------------------------
r22187 | etxrab | 2007-06-25 11:40:17 -0700 (Mon, 25 Jun 2007) | 1 line
Changed paths:
   M /trunk/asn1/cmip/Makefile
   M /trunk/asn1/cmip/Makefile.nmake
   M /trunk/asn1/cmip/cmip-exp.cnf
   M /trunk/asn1/cmip/cmip.cnf
   M /trunk/asn1/cmip/packet-cmip-template.c
   M /trunk/epan/dissectors/packet-cmip.c
   M /trunk/epan/dissectors/packet-cmip.h

Generate CMIP from original asn1 files with -X and -T option.
------------------------------------------------------------------------
r22188 | sfisher | 2007-06-25 11:59:43 -0700 (Mon, 25 Jun 2007) | 6 lines
Changed paths:
   M /trunk/capture_opts.c


Fix bug #1665 / From Nikns Siankin:

Fix compilation on OpenBSD.  This needs to go into 0.99.6 release.


------------------------------------------------------------------------
r22189 | sfisher | 2007-06-25 12:29:02 -0700 (Mon, 25 Jun 2007) | 7 lines
Changed paths:
   M /trunk/epan/libwireshark.def


From Frank Stratemeier:

I added rval_to_str, match_strrval and match_strrval_idx to
libwireshark.def for being available in plugins.


------------------------------------------------------------------------
r22190 | sfisher | 2007-06-25 12:40:37 -0700 (Mon, 25 Jun 2007) | 7 lines
Changed paths:
   M /trunk/asn1/Makefile.am
   M /trunk/asn1/x420/Makefile
   M /trunk/asn1/x420/Makefile.nmake


From Stig Bjorlykke:

This patch fixes building x420 with ftbp on Unix platform and adds
ftbp.asn to the tarball.


------------------------------------------------------------------------
r22191 | etxrab | 2007-06-25 12:51:23 -0700 (Mon, 25 Jun 2007) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ipmi.c

From Flavio Leitner:
Fix IPMI Completion Codes.
------------------------------------------------------------------------
r22192 | jake | 2007-06-25 13:47:45 -0700 (Mon, 25 Jun 2007) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-edonkey.c

From Lukazs M.:
Small patch for packet-edonkey.c (stupid mistakes are the easiest to made :-))
------------------------------------------------------------------------
r22193 | jake | 2007-06-26 00:02:48 -0700 (Tue, 26 Jun 2007) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ospf.c

Fix for bug 1658:
Add Do Not Age bit interpretation.
------------------------------------------------------------------------
r22194 | etxrab | 2007-06-26 10:10:05 -0700 (Tue, 26 Jun 2007) | 1 line
Changed paths:
   M /trunk/asn1/cmip/cmip.cnf
   M /trunk/asn1/gnm/Makefile.nmake
   M /trunk/asn1/gnm/gnm.cnf
   M /trunk/epan/dissectors/packet-cmip.c
   M /trunk/epan/dissectors/packet-gnm.c

Try to fix some GCC warnings
------------------------------------------------------------------------
r22195 | gerald | 2007-06-26 12:38:44 -0700 (Tue, 26 Jun 2007) | 2 lines
Changed paths:
   M /trunk/capture_info.c
   M /trunk/epan/dissectors/packet-ppi.c
   A /trunk/epan/dissectors/packet-ppi.h
   M /trunk/epan/libwireshark.def

Add capture counts for PPI.

------------------------------------------------------------------------
r22196 | etxrab | 2007-06-26 13:49:21 -0700 (Tue, 26 Jun 2007) | 1 line
Changed paths:
   M /trunk/asn1/cmip/cmip.cnf
   M /trunk/epan/dissectors/packet-cmip.c

Try to fix the last defined but not used warnings.
------------------------------------------------------------------------
r22198 | gerald | 2007-06-26 22:39:13 -0700 (Tue, 26 Jun 2007) | 3 lines
Changed paths:
   M /trunk/gtk/export_object.c

If we have problems with "Save All" in the HTTP object list, show a single
error dialog instead of one dialog per unsaved file.

------------------------------------------------------------------------
r22199 | etxrab | 2007-06-26 23:03:13 -0700 (Tue, 26 Jun 2007) | 1 line
Changed paths:
   D /trunk/asn1/ldap/README

Remove obsolete README file.
------------------------------------------------------------------------
r22200 | sfisher | 2007-06-26 23:28:02 -0700 (Tue, 26 Jun 2007) | 4 lines
Changed paths:
   M /trunk/asn1/Makefile.am


Fix distcheck


------------------------------------------------------------------------
r22201 | kukosa | 2007-06-26 23:54:48 -0700 (Tue, 26 Jun 2007) | 1 line
Changed paths:
   M /trunk/epan/libwireshark.def

export prefs_register_static_text_preference()
------------------------------------------------------------------------
r22202 | kukosa | 2007-06-27 01:13:53 -0700 (Wed, 27 Jun 2007) | 4 lines
Changed paths:
   M /trunk/tools/asn2wrs.py

- INSTANCE OF type support
- fix bug in empty SET handling
- partial support for OpenTypeFieldVal
- allow useful object classes in ObjectFieldSpec and ObjectSetFieldSpec
------------------------------------------------------------------------
r22203 | kukosa | 2007-06-27 07:26:17 -0700 (Wed, 27 Jun 2007) | 1 line
Changed paths:
   M /trunk/tools/asn2wrs.py

check conflict in CLASS fields redefinition
------------------------------------------------------------------------
r22204 | etxrab | 2007-06-27 10:02:47 -0700 (Wed, 27 Jun 2007) | 1 line
Changed paths:
   M /trunk/asn1/cmip/cmip-exp.cnf
   M /trunk/asn1/cmip/cmip.cnf
   M /trunk/asn1/cmip/packet-cmip-template.c
   M /trunk/epan/dissectors/packet-cmip.c
   M /trunk/epan/dissectors/packet-cmip.h

Try to fix the last defined but not used warnings(again).
------------------------------------------------------------------------
r22205 | etxrab | 2007-06-27 10:03:25 -0700 (Wed, 27 Jun 2007) | 1 line
Changed paths:
   M /trunk/epan/dissectors/Makefile.common

Fix distcheck
------------------------------------------------------------------------
r22206 | gal | 2007-06-27 10:42:41 -0700 (Wed, 27 Jun 2007) | 3 lines
Changed paths:
   M /trunk/asn1/s4406/s4406.asn
   M /trunk/epan/dissectors/packet-s4406.c

This patch changes ExemptedAddressSeq to a SEQUENCE OF.


------------------------------------------------------------------------
r22207 | gal | 2007-06-27 10:51:19 -0700 (Wed, 27 Jun 2007) | 3 lines
Changed paths:
   M /trunk/asn1/pres/packet-pres-template.c
   M /trunk/epan/dissectors/packet-pres.c

This patch make PRES context identifiers conversation aware.


------------------------------------------------------------------------
r22208 | gal | 2007-06-27 10:57:44 -0700 (Wed, 27 Jun 2007) | 4 lines
Changed paths:
   M /trunk/asn1/rtse/packet-rtse-template.c
   M /trunk/epan/dissectors/packet-rtse.c

This patch adds a check for octet string in RTSE reassembly.
If not an octet string the data is handled as ordinary RTSE APDU.


------------------------------------------------------------------------
r22209 | gal | 2007-06-27 11:03:23 -0700 (Wed, 27 Jun 2007) | 5 lines
Changed paths:
   M /trunk/asn1/x411/x411.cnf
   M /trunk/epan/dissectors/packet-x411.c

This patch will set correct extension_id for ExtensionAttributeType
(error introduced in r22043), and fix printing of CAP values in
oraddress (error introduced in r22054).


------------------------------------------------------------------------
r22210 | gerald | 2007-06-27 12:02:58 -0700 (Wed, 27 Jun 2007) | 3 lines
Changed paths:
   M /trunk/epan/crypt/airpdcap.c

Make the WPA passphrase a percent-escaped string.  Constify and GLib-ize
some variables.

------------------------------------------------------------------------
r22211 | gerald | 2007-06-27 14:03:25 -0700 (Wed, 27 Jun 2007) | 4 lines
Changed paths:
   M /trunk/gtk/airpcap_dlg.c

In the wireless key management dialog, apply the 802.11 preferences when
the "OK," "Apply," or "Cancel" buttons are pressed.  Remove some duplicate
code.  Add a comment about "Cancel" not working as expected.

------------------------------------------------------------------------
r22214 | sfisher | 2007-06-27 16:26:24 -0700 (Wed, 27 Jun 2007) | 8 lines
Changed paths:
   M /trunk/gtk/capture_file_dlg.c


Fix a bug where you couldn't save individual packets from a file type that
Wireshark doesn't support writing to.  The default in the drop-down menu
was libpcap, but since gtk_option_menu_set_history() doesn't send the
activate signal we set up earlier, you would have to manually click on the
drop-down and reselect libpcap for it to work.  Now it works as expected.


------------------------------------------------------------------------
r22215 | gerald | 2007-06-27 16:42:06 -0700 (Wed, 27 Jun 2007) | 2 lines
Changed paths:
   M /trunk/Makefile.common

Put airpcap.h back in the distribution.

------------------------------------------------------------------------
r22217 | guy | 2007-06-27 16:53:24 -0700 (Wed, 27 Jun 2007) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-radiotap.c

I think David Young needs to be granted the power of life and death
over anybody who edits the sys/net80211/ieee80211_radiotap.h header on
any operating system.  I also think he needs to be willing to use that
power when necessary.

------------------------------------------------------------------------
r22220 | jake | 2007-06-28 12:03:47 -0700 (Thu, 28 Jun 2007) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-bacapp.c

Fix for bug 1669:
Don't ditch the returned offset.
------------------------------------------------------------------------
r22222 | martinm | 2007-06-29 03:47:46 -0700 (Fri, 29 Jun 2007) | 2 lines
Changed paths:
   M /trunk/gtk/sip_stat.c
   M /trunk/tap-sipstat.c

Add 422 "Session Timer Too Small" response code from RFC 4028

------------------------------------------------------------------------
r22223 | kukosa | 2007-06-29 04:28:35 -0700 (Fri, 29 Jun 2007) | 2 lines
Changed paths:
   M /trunk/tools/asn2wrs.py

- implementation of OPERATION and ERROR objects support started
- new #.TABLE... directives to printout objects into output files 
------------------------------------------------------------------------
r22224 | martinm | 2007-06-29 09:16:57 -0700 (Fri, 29 Jun 2007) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-catapult-dct2000.c
   M /trunk/wiretap/catapult_dct2000.c

- Map gre -> IP
- Change a value string value to help an easily-frightened colleague

------------------------------------------------------------------------
r22226 | jake | 2007-06-29 12:00:46 -0700 (Fri, 29 Jun 2007) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-iax2.c
   M /trunk/epan/dissectors/packet-iax2.h

Fix for bug 1585:
Add new frame types for IAX protocol and modem subclass dissection.
------------------------------------------------------------------------
r22227 | etxrab | 2007-07-01 11:48:15 -0700 (Sun, 01 Jul 2007) | 2 lines
Changed paths:
   M /trunk/asn1/cmip/Makefile.nmake
   M /trunk/asn1/cmip/cmip-exp.cnf
   M /trunk/asn1/cmip/cmip.cnf
   M /trunk/asn1/cmip/packet-cmip-template.c
   M /trunk/asn1/gnm/GNM.asn
   M /trunk/asn1/gnm/Makefile
   M /trunk/asn1/gnm/Makefile.nmake
   M /trunk/asn1/gnm/gnm.cnf
   M /trunk/asn1/gnm/packet-gnm-template.c
   M /trunk/epan/dissectors/packet-cmip.c
   M /trunk/epan/dissectors/packet-cmip.h
   M /trunk/epan/dissectors/packet-gnm.c
   M /trunk/epan/dissectors/packet-gnm.h

Try to fix defined but not used warnings and use the nice new table function to get the
list of Opcodes.
------------------------------------------------------------------------
r22228 | etxrab | 2007-07-02 02:20:19 -0700 (Mon, 02 Jul 2007) | 1 line
Changed paths:
   M /trunk/asn1/cmip/cmip.cnf
   M /trunk/epan/dissectors/packet-cmip.c

Correct a copy paste error and rename fields.
------------------------------------------------------------------------
r22229 | etxrab | 2007-07-02 05:12:49 -0700 (Mon, 02 Jul 2007) | 1 line
Changed paths:
   M /trunk/asn1/ansi_map/ansi_map.asn
   M /trunk/asn1/ansi_map/ansi_map.cnf
   M /trunk/epan/dissectors/packet-ansi_map.c

Fix some of the  'defined but not used' warnings.
------------------------------------------------------------------------
r22230 | kukosa | 2007-07-02 05:22:05 -0700 (Mon, 02 Jul 2007) | 2 lines
Changed paths:
   M /trunk/tools/asn2wrs.py

register type of OPERATION fields &ArgumentType and &ResultType and ERROR field &ParemeterType if other type than Typereference is used

------------------------------------------------------------------------
r22231 | kukosa | 2007-07-02 05:25:13 -0700 (Mon, 02 Jul 2007) | 1 line
Changed paths:
   M /trunk/asn1/qsig/packet-qsig-template.c
   M /trunk/asn1/qsig/qsig-cf.asn
   M /trunk/asn1/qsig/qsig.cnf
   M /trunk/epan/dissectors/packet-qsig.c

ARGUMENT and RESULT types of OPERATION can be used with new asn2wrs and need not to be redefined as assignment
------------------------------------------------------------------------
r22232 | kukosa | 2007-07-02 06:03:39 -0700 (Mon, 02 Jul 2007) | 2 lines
Changed paths:
   M /trunk/tools/asn2wrs.py

- HSTRING value support
- accept any type in CONSTRAINED BY
------------------------------------------------------------------------
r22233 | etxrab | 2007-07-03 02:08:31 -0700 (Tue, 03 Jul 2007) | 2 lines
Changed paths:
   M /trunk/asn1/ulp/packet-ulp-template.c
   M /trunk/asn1/ulp/ulp.cnf
   M /trunk/epan/dissectors/packet-per.c
   M /trunk/epan/dissectors/packet-ulp.c

Fix dissection of IP addresses in unaligned PER.
Add dissection of MSISDN and IMSI to the ULP dissector.
------------------------------------------------------------------------
r22234 | kukosa | 2007-07-03 04:01:21 -0700 (Tue, 03 Jul 2007) | 1 line
Changed paths:
   M /trunk/tools/asn2wrs.py

small changes in value reference handling and parameterized object assignment handling
------------------------------------------------------------------------
r22235 | sahlberg | 2007-07-03 05:02:16 -0700 (Tue, 03 Jul 2007) | 16 lines
Changed paths:
   M /trunk/epan/dissectors/packet-kerberos.c

dissect a new AD-IF-RELEVANT type seen in some vista traces

it is essentially 

Checksum ::= SEQUENCE {
   type     [0] INTEGER  # -138 == HMAC-MD5
   checksum [1] OCTET STRING
}

SignTicket ::= SEQUENCE {
   enctype   [0] INTEGER
   signature [1] Checksum
}



------------------------------------------------------------------------
r22236 | sahlberg | 2007-07-03 06:05:33 -0700 (Tue, 03 Jul 2007) | 11 lines
Changed paths:
   M /trunk/epan/dissectors/packet-isns.c

relax the checking of [PG] PORTAL IP ADDRESS,   some implementations are 
apparently broken and send 64 bytes for these fields.

mark these packets in the decode pane that the isns host is broken


change the calculation of offset to just increment it by tag size  len 
size and length one at the very end of the attribute dissector



------------------------------------------------------------------------
r22237 | gerald | 2007-07-03 17:53:03 -0700 (Tue, 03 Jul 2007) | 2 lines
Changed paths:
   M /trunk/packaging/nsis/Makefile.am
   M /trunk/packaging/nsis/Makefile.nmake
   D /trunk/packaging/nsis/WinPcap_4_0.exe
   A /trunk/packaging/nsis/WinPcap_4_0_1.exe
   M /trunk/packaging/nsis/wireshark.nsi
   M /trunk/packaging/u3/win32/makefile.nmake
   M /trunk/packaging/u3/win32/u3util.c

Switch to WinPcap 4.0.1.

------------------------------------------------------------------------
r22238 | jake | 2007-07-04 00:22:57 -0700 (Wed, 04 Jul 2007) | 2 lines
Changed paths:
   M /trunk/debian/changelog
   M /trunk/debian/control
   M /trunk/debian/copyright
   M /trunk/debian/patches/00list
   M /trunk/debian/patches/01_idl2deb.dpatch
   M /trunk/debian/patches/02_asn2deb.dpatch
   M /trunk/debian/patches/03_preferences.dpatch
   M /trunk/debian/patches/04_drop-capabilities.dpatch
   M /trunk/debian/patches/05_plugin-libdir.dpatch
   M /trunk/debian/patches/06_giop-buffer.dpatch
   M /trunk/debian/patches/07_gcc4.dpatch
   D /trunk/debian/patches/08_ethereal-desktop-menu.dpatch
   M /trunk/debian/patches/08_wireshark-desktop-menu.dpatch
   D /trunk/debian/patches/09_idl2eth.dpatch
   M /trunk/debian/patches/09_idl2wrs.dpatch
   D /trunk/debian/patches/10_ethereal_gen.dpatch
   D /trunk/debian/patches/11_diameter_vendors.dpatch
   A /trunk/debian/pycompat
   A /trunk/debian/pyversions
   M /trunk/debian/rules
   M /trunk/debian/tshark.files
   M /trunk/debian/tshark.manpages
   M /trunk/debian/wireshark-common.files
   M /trunk/debian/wireshark-common.manpages
   M /trunk/debian/wireshark-dev.docs
   M /trunk/debian/wireshark-dev.files
   M /trunk/debian/wireshark-dev.header-files
   M /trunk/debian/wireshark-dev.manpages
   M /trunk/debian/wireshark-dev.postinst
   M /trunk/debian/wireshark-dev.prerm
   M /trunk/debian/wireshark-root.desktop
   M /trunk/debian/wireshark.files
   M /trunk/debian/wireshark.manpages
   M /trunk/debian/wireshark.menu

From Frederic Peters:
Update of de Debian Packaging files from 0.99.2 to 0.99.6pre1.
------------------------------------------------------------------------
r22239 | etxrab | 2007-07-04 06:27:44 -0700 (Wed, 04 Jul 2007) | 1 line
Changed paths:
   A /trunk/asn1/camel/CAP-GPRS-ReferenceNumber.asn
   A /trunk/asn1/camel/CAP-SMS-ops-args.asn
   A /trunk/asn1/camel/CAP-U-ABORT-Data.asn
   A /trunk/asn1/camel/CAP-classes.asn
   A /trunk/asn1/camel/CAP-datatypes.asn
   A /trunk/asn1/camel/CAP-errorcodes.asn
   A /trunk/asn1/camel/CAP-errortypes.asn
   A /trunk/asn1/camel/CAP-gprsSSF-gsmSCF-ops-args.asn
   A /trunk/asn1/camel/CAP-gsmSCF-gsmSRF-ops-args.asn
   A /trunk/asn1/camel/CAP-gsmSSF-gsmSCF-ops-args.asn
   A /trunk/asn1/camel/CAP-object-identifiers.asn
   A /trunk/asn1/camel/CAP-operationcodes.asn
   M /trunk/asn1/gsmmap/gsm_map-exp.cnf
   M /trunk/asn1/gsmmap/gsmmap.cnf
   M /trunk/asn1/gsmmap/packet-gsm_map-template.c
   M /trunk/asn1/inap/inap.cnf
   M /trunk/asn1/inap/packet-inap-template.h
   M /trunk/epan/dissectors/packet-gsm_map.c
   M /trunk/epan/dissectors/packet-gsm_map.h
   M /trunk/epan/dissectors/packet-inap.c
   M /trunk/epan/dissectors/packet-inap.h

Preparations for updated CAMEL dissector.
------------------------------------------------------------------------
r22240 | gal | 2007-07-04 09:16:32 -0700 (Wed, 04 Jul 2007) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-smtp.c

New preference to allow for the reassembly of SMTP DATA and subsequent dissection as Internet Message Format (imf).
(imf dissector in separate patch).


------------------------------------------------------------------------
r22241 | gal | 2007-07-04 09:24:20 -0700 (Wed, 04 Jul 2007) | 7 lines
Changed paths:
   M /trunk/epan/dissectors/Makefile.common
   A /trunk/epan/dissectors/packet-imf.c

New dissector for Internet Message Format (IMF) - RFC 2822.
It provides basic dissection of the text-based protocol, providing fields for filtering.
It also calls the multipart dissector for any MIME body that is found.
It includes very basic support for MIXER (RFC 2156) fields.
It also registers itself as "message/rfc822" in the media type table.


------------------------------------------------------------------------
r22242 | martinm | 2007-07-04 10:27:46 -0700 (Wed, 04 Jul 2007) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-sip.c

Make lines of raw SIP filterable.  Fix a little whitespace.

------------------------------------------------------------------------
r22243 | martinm | 2007-07-05 02:58:09 -0700 (Thu, 05 Jul 2007) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-catapult-dct2000.c

Make timestamp a double to make filtering more useful.

------------------------------------------------------------------------
r22244 | etxrab | 2007-07-05 06:14:25 -0700 (Thu, 05 Jul 2007) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ber.c

From Stig Bj?\195?\184rlykke:
This patch adds an option to packet-ber to show unexpected tags/data as unknown BER.  It also fixes some offset/length combinations when adding the error message to the tree.
------------------------------------------------------------------------
r22245 | etxrab | 2007-07-05 06:18:28 -0700 (Thu, 05 Jul 2007) | 1 line
Changed paths:
   M /trunk/asn1/camel/Makefile
   M /trunk/asn1/camel/Makefile.nmake
   A /trunk/asn1/camel/TCAPMessages.asn
   M /trunk/asn1/camel/camel.cnf
   M /trunk/asn1/camel/packet-camel-template.c
   M /trunk/asn1/camel/packet-camel-template.h
   M /trunk/asn1/cmip/cmip.cnf
   M /trunk/epan/dissectors/packet-camel.c
   M /trunk/epan/dissectors/packet-camel.h

New Camel dissector built with -X and -T option and origninal ASN1 files.
------------------------------------------------------------------------
r22246 | gal | 2007-07-05 09:19:36 -0700 (Thu, 05 Jul 2007) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-multipart.c

Allow for leading whitespace in parameters when looking for the boundary.

------------------------------------------------------------------------
r22248 | gal | 2007-07-05 09:31:12 -0700 (Thu, 05 Jul 2007) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-multipart.c

Consistent eol-style restored.


------------------------------------------------------------------------
r22250 | etxrab | 2007-07-05 14:29:53 -0700 (Thu, 05 Jul 2007) | 1 line
Changed paths:
   M /trunk/asn1/camel/camel.cnf
   M /trunk/asn1/camel/packet-camel-template.c
   M /trunk/asn1/camel/packet-camel-template.h
   M /trunk/epan/dissectors/packet-camel.c
   M /trunk/epan/dissectors/packet-camel.h

Try to get rid of the warnings.
------------------------------------------------------------------------
r22251 | etxrab | 2007-07-05 14:51:12 -0700 (Thu, 05 Jul 2007) | 1 line
Changed paths:
   M /trunk/diameter/chargecontrol.xml
   M /trunk/diameter/dictionary.xml

Move 3GPP AVP:s to dictionary.xml chnge some AVP types to 'Time' as per 3GPP spec.
------------------------------------------------------------------------
r22252 | sahlberg | 2007-07-05 15:01:58 -0700 (Thu, 05 Jul 2007) | 3 lines
Changed paths:
   A /trunk/epan/dissectors/pidl/samr.cnf
   A /trunk/epan/dissectors/pidl/samr.idl

add initial samr idl and conformance file


------------------------------------------------------------------------
r22253 | sahlberg | 2007-07-05 15:03:35 -0700 (Thu, 05 Jul 2007) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/pidl/samr.cnf
   M /trunk/epan/dissectors/pidl/samr.idl

set propset eol-style to native

------------------------------------------------------------------------
r22254 | sahlberg | 2007-07-05 15:19:28 -0700 (Thu, 05 Jul 2007) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/pidl/samr.cnf

add policy handle tracking to samr.cnf


------------------------------------------------------------------------
r22255 | sahlberg | 2007-07-05 21:05:06 -0700 (Thu, 05 Jul 2007) | 6 lines
Changed paths:
   M /trunk/epan/dissectors/pidl/samr.cnf
   M /trunk/epan/dissectors/pidl/samr.idl

redo the lsa_String dissector we temporarily host in samr until lsa has 
been pidlified

prettify some strings and show them in the summary line


------------------------------------------------------------------------
r22256 | sahlberg | 2007-07-05 22:45:55 -0700 (Thu, 05 Jul 2007) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/pidl/samr.cnf

some more prettification,   show name of created users on the summary 
line and also in the associated policy handle


------------------------------------------------------------------------
r22257 | etxrab | 2007-07-06 03:03:19 -0700 (Fri, 06 Jul 2007) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ethertype.c
   M /trunk/epan/etypes.h

From Seehofer, Markus:
ETHERTYPE for IEEE1588/PTP
------------------------------------------------------------------------
r22258 | etxrab | 2007-07-06 03:07:25 -0700 (Fri, 06 Jul 2007) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-mip6.c
   M /trunk/epan/dissectors/packet-mip6.h

From Nicolas Dichtel:
First patch is only to reindent the packet-mip6 files.
Second patch adds PMIPv6 options (draft-ietf-netlmm-proxymip6-01.txt) and Mobile Node Identifier Option (RFC4283).
------------------------------------------------------------------------
r22259 | jake | 2007-07-06 13:34:20 -0700 (Fri, 06 Jul 2007) | 1 line
Changed paths:
   M /trunk/packaging/nsis/wireshark.nsi

Have the installer propose to install 4.0.1 over 4.0.0.
------------------------------------------------------------------------
r22260 | sahlberg | 2007-07-06 15:14:04 -0700 (Fri, 06 Jul 2007) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/pidl/samr.cnf
   M /trunk/epan/dissectors/pidl/samr.idl

add dissection of the bits for the Connect[0-5] access_masks


------------------------------------------------------------------------
r22261 | jake | 2007-07-06 15:27:03 -0700 (Fri, 06 Jul 2007) | 1 line
Changed paths:
   M /trunk/wiretap/mpeg.c

Now it really can read MP3 files, without SIGABRT.
------------------------------------------------------------------------
r22262 | jake | 2007-07-06 15:36:58 -0700 (Fri, 06 Jul 2007) | 9 lines
Changed paths:
   M /trunk/epan/dissectors/packet-bacapp.c
   M /trunk/epan/dissectors/packet-bacapp.h

From Steve Karg:
Attached is a patch that fixes bug 1670 and related issues.
For the BACnet GetEventInformation-ACK request dissector:
1. Corrected BitString decoding for acknowledgedTransitions and eventEnable.
2. Corrected the ability to decode more than one event.
3. Grouped each item of the sequence using subtrees.  Added more informative
text to Priority and Timestamp.
4. Corrected eventState to use BACnetEventState enumeration instead of
BACnetEventStateFilter.
------------------------------------------------------------------------
r22263 | sahlberg | 2007-07-06 18:25:26 -0700 (Fri, 06 Jul 2007) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/pidl/samr.cnf
   M /trunk/epan/dissectors/pidl/samr.idl

add some more access masks


------------------------------------------------------------------------
r22264 | sahlberg | 2007-07-06 20:34:30 -0700 (Fri, 06 Jul 2007) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/pidl/samr.cnf

fix a typo


------------------------------------------------------------------------
r22265 | sahlberg | 2007-07-07 14:47:27 -0700 (Sat, 07 Jul 2007) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dcerpc-samr.c
   M /trunk/epan/dissectors/packet-dcerpc-samr.h

add the new pidl created SAMR dissector


------------------------------------------------------------------------
r22266 | etxrab | 2007-07-07 15:24:37 -0700 (Sat, 07 Jul 2007) | 1 line
Changed paths:
   M /trunk/asn1/camel/camel.cnf
   M /trunk/asn1/camel/packet-camel-template.c
   M /trunk/asn1/camel/packet-camel-template.h
   M /trunk/epan/dissectors/packet-camel.c
   M /trunk/epan/dissectors/packet-camel.h

Make hf fileds for ARGGUMENT RESULT and ERROR parameters.
------------------------------------------------------------------------
r22267 | sahlberg | 2007-07-07 15:27:22 -0700 (Sat, 07 Jul 2007) | 9 lines
Changed paths:
   M /trunk/epan/dissectors/packet-tcp.c

bug 1550
add a fix for ack/seq tracking when the tcp is broken and sends a 
non-zero ack field for SYN packets.

add a warning to the dissect pane that illustrates that these are broken 
packets
 


------------------------------------------------------------------------
r22268 | jmayer | 2007-07-08 03:20:30 -0700 (Sun, 08 Jul 2007) | 30 lines
Changed paths:
   M /trunk/tools/pidl/lib/Parse/Pidl/Wireshark/NDR.pm
   M /trunk/tools/pidl/tests/ndr_align.pl
   M /trunk/tools/pidl/tests/ndr_tagtype.pl

Update from samba tree revision 23135 to 23750
============================ Samba log start ============
------------------------------------------------------------------------
r23677 | abartlet | 2007-07-03 09:28:46 +0200 (Tue, 03 Jul 2007) | 6 lines
Changed paths:
   M /branches/SAMBA_4_0/source/pidl/tests/ndr_align.pl
   M /branches/SAMBA_4_0/source/pidl/tests/ndr_tagtype.pl

When I removed data_blob_equal, I clearly didn't test the PIDL code.

Fix these to use the new data_blob_cmp()

Andrew Bartlett

------------------------------------------------------------------------
r23721 | sahlberg | 2007-07-05 09:19:14 +0200 (Thu, 05 Jul 2007) | 7 lines
Changed paths:
   M /branches/SAMBA_4_0/source/pidl/lib/Parse/Pidl/Wireshark/NDR.pm

For unions, The TAG and the ARM are aligned independently.

Move emitting ALIGN_TO_x_BYTES to after the tag has been dissected so the 
alignment only affects the ARM.



------------------------------------------------------------------------
------------------------------------------------------------------------
============================ Samba log end ==============

------------------------------------------------------------------------
r22269 | etxrab | 2007-07-08 07:38:07 -0700 (Sun, 08 Jul 2007) | 1 line
Changed paths:
   M /trunk/asn1/acp133/Makefile
   M /trunk/asn1/acp133/Makefile.nmake
   M /trunk/epan/dissectors/packet-acp133.c
   M /trunk/epan/dissectors/packet-acp133.h

ACP123 with -X and -T option
------------------------------------------------------------------------
r22270 | sahlberg | 2007-07-09 03:49:34 -0700 (Mon, 09 Jul 2007) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dcerpc-samr.c
   M /trunk/epan/dissectors/pidl/samr.cnf

rename all policy handles in samr to have a name that describes the type 
of handle.



------------------------------------------------------------------------
r22271 | sahlberg | 2007-07-09 04:04:38 -0700 (Mon, 09 Jul 2007) | 12 lines
Changed paths:
   M /trunk/epan/dissectors/packet-smb-sidsnooping.c

disabling sid snooping in the code

this module was never really finished and was therefore semi-useless.
disabled now since the change to samr broke it  and the real fix to 
unbreak it would be a substantial rewrite of it
(and adding a nice gui so one can see which sids are mapped...)

disabled it   but did not remove it since i do think the module is 
useful   IF it is completed with a lot more operations.



------------------------------------------------------------------------
r22272 | sahlberg | 2007-07-09 05:37:20 -0700 (Mon, 09 Jul 2007) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dcerpc-samr.c
   M /trunk/epan/dissectors/packet-dcerpc-samr.h
   M /trunk/epan/dissectors/pidl/samr.cnf
   M /trunk/epan/dissectors/pidl/samr.idl

make all rids use a single hf filter field

dissect the Type of rid using lsa_Types


------------------------------------------------------------------------
r22273 | sahlberg | 2007-07-09 05:50:57 -0700 (Mon, 09 Jul 2007) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dcerpc-samr.c
   M /trunk/epan/dissectors/pidl/samr.idl

the sidtype is a 32bit enum   not a standard enum


------------------------------------------------------------------------
r22274 | sahlberg | 2007-07-09 06:05:52 -0700 (Mon, 09 Jul 2007) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dcerpc-samr.c
   M /trunk/epan/dissectors/packet-dcerpc-samr.h
   M /trunk/epan/dissectors/pidl/samr.cnf
   M /trunk/epan/dissectors/pidl/samr.idl

dissect lsa_Strings correctly in the samr dissector


------------------------------------------------------------------------
r22275 | martinm | 2007-07-09 06:27:15 -0700 (Mon, 09 Jul 2007) | 4 lines
Changed paths:
   M /trunk/diameter/dictionary.xml
   M /trunk/epan/dissectors/packet-diameter.c

- Fix a broken comment in xml file
- Add/fix some AVPs
- Print unmatched command codes in decimal

------------------------------------------------------------------------
r22277 | gerald | 2007-07-09 09:31:39 -0700 (Mon, 09 Jul 2007) | 6 lines
Changed paths:
   M /trunk/file.c
   M /trunk/gtk/packet_list.c
   M /trunk/gtk/packet_list.h
   M /trunk/ui_util.h

From Dustin Johnson: If "Update list of packets in real time" and
"Automatic scrolling in live capture" are both enabled, make the scroll
bar behavior more natural.  If the packet list is scrolled to the
bottom, scroll automatically.  If the user scrolls back, keep the packet
list scrolled at that point instead of jumping back to the end.

------------------------------------------------------------------------
r22278 | gerald | 2007-07-09 09:36:29 -0700 (Mon, 09 Jul 2007) | 2 lines
Changed paths:
   M /trunk/gtk/airpcap_gui_utils.c

From Dustin Johnson: AirPcap display update.

------------------------------------------------------------------------
r22279 | jake | 2007-07-09 09:44:30 -0700 (Mon, 09 Jul 2007) | 1 line
Changed paths:
   M /trunk/doc/README.developer

Add a note on how to handle obsolete preferences
------------------------------------------------------------------------
r22280 | gerald | 2007-07-09 10:01:00 -0700 (Mon, 09 Jul 2007) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ieee80211.c

From Dustin Johnson: Fix a typo.

------------------------------------------------------------------------
r22281 | guy | 2007-07-09 13:27:38 -0700 (Mon, 09 Jul 2007) | 4 lines
Changed paths:
   M /trunk/configure.in
   M /trunk/wiretap/configure.in

Check %l[doux] first, when looking for the format to use with 64-bit
integral data types, so we handle LP64 platforms if "gint64" is just a
"long int".

------------------------------------------------------------------------
r22282 | jake | 2007-07-09 22:15:45 -0700 (Mon, 09 Jul 2007) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-pana.c

Fix reserved bits bitmask.
------------------------------------------------------------------------
r22283 | martinm | 2007-07-10 06:20:37 -0700 (Tue, 10 Jul 2007) | 2 lines
Changed paths:
   M /trunk/diameter/dictionary.xml
   A /trunk/diameter/etsie2e4.xml
   M /trunk/packaging/nsis/wireshark.nsi

Add ETSI e2/e4 Diameter applications

------------------------------------------------------------------------
r22284 | martinm | 2007-07-10 10:45:11 -0700 (Tue, 10 Jul 2007) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-diameter.c

Allow filtering of whole AVP

------------------------------------------------------------------------
r22285 | gerald | 2007-07-10 16:23:09 -0700 (Tue, 10 Jul 2007) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ieee80211.c

Add a missing display filter.

------------------------------------------------------------------------
r22286 | gerald | 2007-07-11 11:08:14 -0700 (Wed, 11 Jul 2007) | 2 lines
Changed paths:
   M /trunk/docbook/release-notes.xml

Clean out the 0.99.6 material and seed for 0.99.7.

------------------------------------------------------------------------
r22287 | gerald | 2007-07-11 11:23:54 -0700 (Wed, 11 Jul 2007) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/Makefile.common
   M /trunk/epan/dissectors/packet-ipsec.c

Move packet-ipsec.c to CLEAN_DISSECTOR_SRC.

------------------------------------------------------------------------
r22288 | sfisher | 2007-07-11 20:27:11 -0700 (Wed, 11 Jul 2007) | 4 lines
Changed paths:
   M /trunk/docbook/release-notes.xml


Fix doc build by removing empty itemized lists


------------------------------------------------------------------------
r22289 | morriss | 2007-07-12 08:34:21 -0700 (Thu, 12 Jul 2007) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-ssl.c

Undo part of rev 21460: go back to passing proto_ssl to the tap (since apparently follow ssl stream uses it) but now cast it using GINT_TO_POINTER so as to avoid a warning (seen on 64-bit Redhat AS4) about casting to a pointer from an integer of different size.  It does not appear that there is a DTLS tap (which is the other thing changed in 21460).
------------------------------------------------------------------------
r22290 | martinm | 2007-07-12 10:31:26 -0700 (Thu, 12 Jul 2007) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-catapult-dct2000.c

Fix parsing of sctpprim header (v1)

------------------------------------------------------------------------
r22291 | martinm | 2007-07-12 10:33:50 -0700 (Thu, 12 Jul 2007) | 2 lines
Changed paths:
   M /trunk/diameter/gqpolicy.xml

Add some AVPs used with Rq interface (same appid as Gq)

------------------------------------------------------------------------
r22292 | jake | 2007-07-12 12:55:12 -0700 (Thu, 12 Jul 2007) | 6 lines
Changed paths:
   M /trunk/wiretap/wtap.c

From Jim Paris:
The encap_table_base in wcap.c is missing an entry.
This causes e.g. "dumpcap -i usb3 -L" to output:
  Data link types (use option -y to set):
    USB_LINUX
   (MPEG)
------------------------------------------------------------------------
r22293 | morriss | 2007-07-12 15:36:35 -0700 (Thu, 12 Jul 2007) | 1 line
Changed paths:
   M /trunk/doc/README.developer
   M /trunk/epan/dissectors/packet-ieee80211.c

From Guillem Hernandez: fix decoding of EOSP bit. From Jaap Keuter: fix description of 'value' in proto_tree_add_boolean() that caused the former bug.
------------------------------------------------------------------------
r22294 | jake | 2007-07-12 23:28:44 -0700 (Thu, 12 Jul 2007) | 1 line
Changed paths:
   M /trunk/doc/README.developer

Added remark on anonymous unions.
------------------------------------------------------------------------
r22295 | kukosa | 2007-07-13 04:25:53 -0700 (Fri, 13 Jul 2007) | 2 lines
Changed paths:
   M /trunk/asn1/q932/packet-q932-ros-template.c
   M /trunk/asn1/q932/packet-q932-ros-template.h
   M /trunk/asn1/q932/packet-q932-template.c
   M /trunk/epan/asn1.h
   M /trunk/epan/dissectors/packet-ber.c
   M /trunk/epan/dissectors/packet-per.c
   M /trunk/epan/dissectors/packet-q932-ros.c
   M /trunk/epan/dissectors/packet-q932-ros.h
   M /trunk/epan/dissectors/packet-q932.c

- get rid of anonymous unions
- move some structures from packet-per and packet-q932-ros to asn1.h
------------------------------------------------------------------------
r22296 | kukosa | 2007-07-13 06:17:16 -0700 (Fri, 13 Jul 2007) | 1 line
Changed paths:
   M /trunk/tap-camelcounter.c

add necessary include
------------------------------------------------------------------------
r22297 | kukosa | 2007-07-13 06:20:34 -0700 (Fri, 13 Jul 2007) | 1 line
Changed paths:
   M /trunk/tap-camelcounter.c
   M /trunk/tap-camelsrt.c

next try to fix includes
------------------------------------------------------------------------
r22298 | morriss | 2007-07-13 06:45:11 -0700 (Fri, 13 Jul 2007) | 1 line
Changed paths:
   M /trunk/asn1/tcap/tcap.cnf
   M /trunk/epan/dissectors/packet-tcap.c

From Florent Drouin: fix for bug http://bugs.wireshark.org/bugzilla/show_bug.cgi?id=1681 : initialize the variable containing the OID so the dialog portion gets decoded properly
------------------------------------------------------------------------
r22299 | etxrab | 2007-07-13 07:46:21 -0700 (Fri, 13 Jul 2007) | 4 lines
Changed paths:
   M /trunk/asn1/camel/camel.cnf
   M /trunk/epan/dissectors/packet-camel.c

From Florent DROUIN:
http://bugs.wireshark.org/bugzilla/show_bug.cgi?id=1652
patch to correct the decoding of Calling Party Number, and
Called Party Number, when an implicit tag is used.
------------------------------------------------------------------------
r22300 | martinm | 2007-07-13 08:51:34 -0700 (Fri, 13 Jul 2007) | 2 lines
Changed paths:
   M /trunk/wiretap/catapult_dct2000.c

Worked out properly the silly way aal header is encoded!

------------------------------------------------------------------------
r22301 | etxrab | 2007-07-13 13:00:38 -0700 (Fri, 13 Jul 2007) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-radius.c

Fix bug
http://bugs.wireshark.org/bugzilla/show_bug.cgi?id=1640 change "Change-Filter-Request (43)" to "CoA-Request (43)"
------------------------------------------------------------------------
r22302 | guy | 2007-07-13 15:09:58 -0700 (Fri, 13 Jul 2007) | 3 lines
Changed paths:
   M /trunk/Makefile.am

Add some missing files from the doc directory, and sort them in the
order that "ls" produces them.

------------------------------------------------------------------------
r22303 | guy | 2007-07-13 16:18:04 -0700 (Fri, 13 Jul 2007) | 5 lines
Changed paths:
   M /trunk/wiretap/catapult_dct2000.c

"isdigit()" doesn't need to be cast to "int".

Its argument, however, needs to be cast to "guchar", so that if the
high-order bit is set, it doesn't get sign-extended.

------------------------------------------------------------------------
r22304 | guy | 2007-07-13 16:20:02 -0700 (Fri, 13 Jul 2007) | 4 lines
Changed paths:
   M /trunk/wiretap/catapult_dct2000.c

Fix more ctype.h calls - casting to "int" suppresses the warning, but
doesn't fix the problem, as the sign extension is still done; you have
to cast to "guchar".

------------------------------------------------------------------------
r22305 | guy | 2007-07-13 17:29:03 -0700 (Fri, 13 Jul 2007) | 2 lines
Changed paths:
   M /trunk/wiretap/catapult_dct2000.c

Fix another cast of the argument to a ctype.h macro.

------------------------------------------------------------------------
r22306 | guy | 2007-07-13 17:37:01 -0700 (Fri, 13 Jul 2007) | 3 lines
Changed paths:
   M /trunk/epan/dfilter/dfilter-macro.c
   M /trunk/epan/strutil.c
   M /trunk/epan/uat.c
   M /trunk/fileset.c

Fix yet more casts of ctype.h macro arguments - and fix some cases where
we were passing an uncasted "char" to those macros.

------------------------------------------------------------------------
r22307 | gal | 2007-07-14 01:16:43 -0700 (Sat, 14 Jul 2007) | 4 lines
Changed paths:
   M /trunk/asn1/x420/x420.asn
   M /trunk/epan/dissectors/packet-x420.c

From Stig Bjorlykke. 
ExtendedBodyPart parameters are OPTIONAL.


------------------------------------------------------------------------
r22308 | gal | 2007-07-14 01:21:58 -0700 (Sat, 14 Jul 2007) | 3 lines
Changed paths:
   M /trunk/asn1/acse/acse.cnf
   M /trunk/epan/dissectors/packet-acse.c

Dissection of octet-aligned EXTERNALs.


------------------------------------------------------------------------
r22309 | gal | 2007-07-14 02:12:38 -0700 (Sat, 14 Jul 2007) | 3 lines
Changed paths:
   M /trunk/epan/base64.c

Allow the base64 decoding to cope with lines broken with \r\n.


------------------------------------------------------------------------
r22310 | gal | 2007-07-14 02:15:02 -0700 (Sat, 14 Jul 2007) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-imf.c
   A /trunk/epan/dissectors/packet-imf.h

Expose a function (imf_find_field_end()) and 
make the field format dissection case-insensitive.

------------------------------------------------------------------------
r22311 | gal | 2007-07-14 02:19:35 -0700 (Sat, 14 Jul 2007) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-multipart.c

Optional removal of any base64 content-transfer-encoding from a MIME
body before passing it to a sub-dissector. The decoded content is added 
as a new source, named with the filename or the content-type.


------------------------------------------------------------------------
r22312 | gal | 2007-07-14 02:53:30 -0700 (Sat, 14 Jul 2007) | 17 lines
Changed paths:
   M /trunk/epan/dissectors/Makefile.common
   A /trunk/epan/dissectors/packet-tnef.c

New dissector for Transport-Neutral Encapsulation Format - TNEF.

TNEF is a Microsoft defined format for carrying additional information about a message (e.g. rich text formatting)
and generally appears as a "winmail.dat" attachment. Details are here:

http://msdn2.microsoft.com/en-us/library/ms530652.aspx

This is a basic dissector which handles the TNEF attributes and the MAPI properties (found in MAPIPROPS
TNEF attribute). It is not complete and requires further work to complete the dissection. However it will
dissect TNEF generated from Outlook (including messages with attachments).

It is registered under the appropriate BER OID (1.2.840.113556.3.10.1) for X.400 attachments and media 
type ("application/ms-tnef") for MIME messages. For MIME messages, any content-transfer-encoding
(usually base64) needs to be removed before calling this dissector. There is a preference in the 
MIME multipart dissector to do this. 


------------------------------------------------------------------------
r22313 | gal | 2007-07-14 02:58:08 -0700 (Sat, 14 Jul 2007) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-multipart.c

Fix for warnings on OSX.


------------------------------------------------------------------------
r22314 | gal | 2007-07-14 03:15:52 -0700 (Sat, 14 Jul 2007) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-multipart.c

Further problem highlighted by OSX.


------------------------------------------------------------------------
r22315 | gal | 2007-07-14 05:52:51 -0700 (Sat, 14 Jul 2007) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/Makefile.common

Add packet-imf.h 


------------------------------------------------------------------------
r22316 | gal | 2007-07-15 03:26:55 -0700 (Sun, 15 Jul 2007) | 4 lines
Changed paths:
   M /trunk/packaging/u3/win32/makefile.nmake

Include latest configuration files and remove ones no longer shipped.
(Without these configuration files defragmentation was failing - unsure why!)


------------------------------------------------------------------------
r22317 | gal | 2007-07-15 03:59:07 -0700 (Sun, 15 Jul 2007) | 3 lines
Changed paths:
   M /trunk/packaging/u3/win32/makefile.nmake

Further synchronisation with wireshark.nsi


------------------------------------------------------------------------
r22318 | lego | 2007-07-15 22:41:58 -0700 (Sun, 15 Jul 2007) | 15 lines
Changed paths:
   A /trunk/epan/diam_dict.h
   A /trunk/epan/diam_dict.l
   M /trunk/epan/dissectors/packet-diameter.c

Rewrite of the diameter dissector to use the dictionary for creating hfids, drop libxml dependency.

The work is still incomplete (anything but strings and numbers appears as bytes) but I want others to start testing it.

TODO:
builders and decoders for:
- (ntp) timestamps
- addresses
- diameteruris
- diameteridentities
- ipfilterrules
- qosfilterrules
- mipregistrationrequests


------------------------------------------------------------------------
r22319 | lego | 2007-07-15 22:43:46 -0700 (Sun, 15 Jul 2007) | 3 lines
Changed paths:
   M /trunk/epan/Makefile.am
   M /trunk/epan/Makefile.common

update Makefiles to build diam_dict.[co]


------------------------------------------------------------------------
r22320 | lego | 2007-07-15 23:06:21 -0700 (Sun, 15 Jul 2007) | 3 lines
Changed paths:
   M /trunk/epan/Makefile.nmake

Windows too needs diam_dict.c 


------------------------------------------------------------------------
r22321 | lego | 2007-07-15 23:28:56 -0700 (Sun, 15 Jul 2007) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-diameter.c

for MSVC (vendor_flag ? 12 : 8) is signed ...
well for gcc is either signed or unsigned (they are two literals!)


------------------------------------------------------------------------
r22322 | kukosa | 2007-07-16 05:51:42 -0700 (Mon, 16 Jul 2007) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-http.c
   M /trunk/epan/dissectors/packet-ssl.c

make TCP and SSL/TLS ports configurable for HTTP
------------------------------------------------------------------------
r22323 | lego | 2007-07-16 10:27:51 -0700 (Mon, 16 Jul 2007) | 3 lines
Changed paths:
   M /trunk/epan/diam_dict.l

Glibize diam_dict.l (should fix windows config)


------------------------------------------------------------------------
r22324 | lego | 2007-07-16 10:39:40 -0700 (Mon, 16 Jul 2007) | 3 lines
Changed paths:
   M /trunk/epan/Makefile.am

Fix distcheck


------------------------------------------------------------------------
r22325 | gerald | 2007-07-16 11:04:53 -0700 (Mon, 16 Jul 2007) | 2 lines
Changed paths:
   M /trunk/doc/README.packaging

Add a note about svnversion.h.

------------------------------------------------------------------------
r22328 | morriss | 2007-07-16 14:37:07 -0700 (Mon, 16 Jul 2007) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-per.c

Fix bug http://bugs.wireshark.org/bugzilla/show_bug.cgi?id=1675 (warning: cast from pointer to integer of different size) and, presumably, display of PER encoded IPv4 addresses by copying the IP address into a guint32 and passing that to proto_tree_add_ipv4().
------------------------------------------------------------------------
r22329 | morriss | 2007-07-16 15:19:59 -0700 (Mon, 16 Jul 2007) | 1 line
Changed paths:
   M /trunk/gtk/column_prefs.c
   M /trunk/gtk/dfilter_expr_dlg.c
   M /trunk/gtk/expert_comp_table.c

Fix a couple "cast to pointer from integer of different size" warnings when building with GTK1.2 on Redhat AS4 64-bit
------------------------------------------------------------------------
r22330 | sfisher | 2007-07-16 23:21:15 -0700 (Mon, 16 Jul 2007) | 10 lines
Changed paths:
   M /trunk/epan/dissectors/packet-wlccp.c


From Kevin A. Noll via private bug #1683:

This is a major re-write of the WLCCP version 0xc1 dissector. It now is
able to dissect many more WLCCP message types and the TLVs that may be
included in a message. Placeholders are left for message types and
TLV types that we do not currently have enough data to engineer a
dissector.


------------------------------------------------------------------------
r22331 | jake | 2007-07-17 00:01:36 -0700 (Tue, 17 Jul 2007) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ipv6.c

Fix for bug 1616:
ICMPv6 & UDP w/IPv6 checksum with a routing header fixed using the routing header address now.
------------------------------------------------------------------------
r22332 | kukosa | 2007-07-17 02:59:35 -0700 (Tue, 17 Jul 2007) | 1 line
Changed paths:
   M /trunk/tools/asn2wrs.py

support for syntax of TYPE-IDENTIFIER and ABSTRACT-SYNTAX classes
------------------------------------------------------------------------
r22333 | martinm | 2007-07-17 04:54:22 -0700 (Tue, 17 Jul 2007) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-multipart.c

Avoid an infinite loop (on malformed packet)

------------------------------------------------------------------------
r22334 | martinm | 2007-07-17 06:09:44 -0700 (Tue, 17 Jul 2007) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-sdp.c

Show malformed SDP line as an expert item

------------------------------------------------------------------------
r22335 | morriss | 2007-07-17 11:09:01 -0700 (Tue, 17 Jul 2007) | 1 line
Changed paths:
   M /trunk/gtk/packet_list.c

Don't use gtk_clist_row_is_visible() but rather eth_clist_row_is_visible() so that GTK1.2 builds work (without a warning).
------------------------------------------------------------------------
r22336 | morriss | 2007-07-17 11:56:09 -0700 (Tue, 17 Jul 2007) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-imf.c

Don't use g_ascii_isupper() nor g_ascii_tolower(): they don't exist in GTK1.  Replaced with generic isupper() and tolower().
------------------------------------------------------------------------
r22337 | guy | 2007-07-17 12:09:50 -0700 (Tue, 17 Jul 2007) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-imf.c

"key" is a guint8 *; make the pointer into the string to which it refers
a guint8 * as well - that keeps us from sign-extending the characters
before passing them to the ctype.h macros.

------------------------------------------------------------------------
r22338 | gerald | 2007-07-17 14:29:18 -0700 (Tue, 17 Jul 2007) | 3 lines
Changed paths:
   M /trunk/epan/diam_dict.l
   M /trunk/epan/dissectors/packet-diameter.c

If we can't find dictionary.xml, fail instead of trying to read from
stdin (which makes distcheck unhappy).  Fixup whitespace.

------------------------------------------------------------------------
r22339 | sfisher | 2007-07-17 14:50:29 -0700 (Tue, 17 Jul 2007) | 6 lines
Changed paths:
   M /trunk/epan/dissectors/packet-mysql.c


From Jess Balint:

a patch to fix the state management for the MySQL protocol dissector.


------------------------------------------------------------------------
r22340 | lego | 2007-07-17 15:00:40 -0700 (Tue, 17 Jul 2007) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-k12.c

Have the encapsulation selection match on the port name as well as stk filename.


------------------------------------------------------------------------
r22341 | lego | 2007-07-17 15:04:00 -0700 (Tue, 17 Jul 2007) | 4 lines
Changed paths:
   A /trunk/epan/crc10.c
   A /trunk/epan/crc10.h
   A /trunk/epan/crc6.c
   A /trunk/epan/crc6.h
   M /trunk/epan/dissectors/packet-iuup.c

get crc10 and crc6 out of packet-iuup.c 
- experimental code for a way-too-heurstic look for iuup dissector


------------------------------------------------------------------------
r22342 | lego | 2007-07-17 15:05:18 -0700 (Tue, 17 Jul 2007) | 2 lines
Changed paths:
   M /trunk/epan/uat_load.l

increase line numbers on comments too

------------------------------------------------------------------------
r22343 | lego | 2007-07-17 15:09:10 -0700 (Tue, 17 Jul 2007) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dec-dnart.c

fix a leak


------------------------------------------------------------------------
r22344 | lego | 2007-07-17 15:11:07 -0700 (Tue, 17 Jul 2007) | 3 lines
Changed paths:
   M /trunk/epan/Makefile.common

(Following my "tradition") I forgot to ci the changes to the Makefiles for crc6 and crc10


------------------------------------------------------------------------
r22345 | lego | 2007-07-17 15:19:54 -0700 (Tue, 17 Jul 2007) | 3 lines
Changed paths:
   M /trunk/epan/diam_dict.h
   M /trunk/epan/diam_dict.l
   M /trunk/epan/dissectors/packet-diameter.c

Add Address decoding, two debug environment variables (WIRESHARK_DEBUG_DIAM_DICT_PARSER and WIRESHARK_DUMP_DIAM_DICT) and fix some issues pointed out by Martin


------------------------------------------------------------------------
r22346 | lego | 2007-07-17 17:19:37 -0700 (Tue, 17 Jul 2007) | 3 lines
Changed paths:
   M /trunk/epan/Makefile.common

fxi a ytpo


------------------------------------------------------------------------
r22347 | tuexen | 2007-07-18 00:06:46 -0700 (Wed, 18 Jul 2007) | 2 lines
Changed paths:
   M /trunk/epan/diam_dict.l
   M /trunk/gtk/tcp_graph.c

Make debugging static.

------------------------------------------------------------------------
r22348 | lego | 2007-07-18 01:25:09 -0700 (Wed, 18 Jul 2007) | 3 lines
Changed paths:
   M /trunk/epan/crc6.c

 add license


------------------------------------------------------------------------
r22349 | kukosa | 2007-07-18 06:15:36 -0700 (Wed, 18 Jul 2007) | 1 line
Changed paths:
   M /trunk/asn1/Makefile.am
   M /trunk/asn1/q932/Makefile
   M /trunk/asn1/q932/Makefile.nmake
   M /trunk/asn1/q932/packet-q932-ros-template.c
   D /trunk/asn1/q932/packet-q932-ros-template.h
   M /trunk/asn1/q932/packet-q932-template.c
   M /trunk/asn1/q932/q932-ros.cnf
   M /trunk/epan/asn1.c
   M /trunk/epan/asn1.h
   M /trunk/epan/dissectors/packet-per.c
   M /trunk/epan/dissectors/packet-per.h
   M /trunk/epan/dissectors/packet-q932-ros.c
   D /trunk/epan/dissectors/packet-q932-ros.h
   M /trunk/epan/dissectors/packet-q932.c

rose_ctx_t structure usage in Q.932 dissector
------------------------------------------------------------------------
r22350 | martinm | 2007-07-18 06:18:41 -0700 (Wed, 18 Jul 2007) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-diameter.c

Minor changes to expert items

------------------------------------------------------------------------
r22351 | martinm | 2007-07-18 06:22:11 -0700 (Wed, 18 Jul 2007) | 2 lines
Changed paths:
   M /trunk/epan/diam_dict.l

Initialise description field to avoid crash when dumping dictionary.

------------------------------------------------------------------------
r22352 | kukosa | 2007-07-18 07:12:56 -0700 (Wed, 18 Jul 2007) | 1 line
Changed paths:
   M /trunk/epan/dissectors/Makefile.common

remove packet-q932-ros.h
------------------------------------------------------------------------
r22353 | wmeier | 2007-07-18 08:07:45 -0700 (Wed, 18 Jul 2007) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-diameter.c
   M /trunk/epan/dissectors/packet-iuup.c

Fix two Windows compile warnings

------------------------------------------------------------------------
r22354 | kukosa | 2007-07-19 04:41:10 -0700 (Thu, 19 Jul 2007) | 1 line
Changed paths:
   M /trunk/asn1/q932/q932-ros.cnf
   M /trunk/asn1/qsig/packet-qsig-template.c
   M /trunk/asn1/qsig/qsig.cnf
   M /trunk/epan/dissectors/packet-q932-ros.c
   M /trunk/epan/dissectors/packet-qsig.c
   M /trunk/tools/asn2wrs.py

change QSIG tables structure so as they can be generated automatically from ASN.1 in the next step
------------------------------------------------------------------------
r22355 | kukosa | 2007-07-19 05:31:01 -0700 (Thu, 19 Jul 2007) | 1 line
Changed paths:
   M /trunk/asn1/q932/packet-q932-ros-template.c
   M /trunk/asn1/q932/q932-ros.cnf
   M /trunk/asn1/qsig/packet-qsig-template.c
   M /trunk/epan/dissectors/packet-q932-ros.c
   M /trunk/epan/dissectors/packet-qsig.c

get rid of few warnings
------------------------------------------------------------------------
r22356 | morriss | 2007-07-19 06:05:39 -0700 (Thu, 19 Jul 2007) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-bssgp.c
   M /trunk/epan/dissectors/packet-gdsdb.c
   M /trunk/epan/dissectors/packet-ipmi.c
   M /trunk/epan/dissectors/packet-netsync.c
   M /trunk/epan/dissectors/packet-sebek.c
   M /trunk/epan/dissectors/packet-snmp.c
   M /trunk/epan/dissectors/packet-ssl-utils.c
   M /trunk/epan/dissectors/packet-t30.c

Change "lenght" to "length" and "decypt" to "decrypt"
------------------------------------------------------------------------
r22357 | morriss | 2007-07-19 06:43:36 -0700 (Thu, 19 Jul 2007) | 1 line
Changed paths:
   M /trunk/asn1/snmp/packet-snmp-template.c
   M /trunk/asn1/snmp/snmp-exp.cnf
   M /trunk/epan/dissectors/packet-snmp.c

Change "lenght" to "length", this time in the *source* of the SNMP dissector (sigh)
------------------------------------------------------------------------
r22358 | morriss | 2007-07-19 07:04:56 -0700 (Thu, 19 Jul 2007) | 1 line
Changed paths:
   M /trunk/asn1/snmp/snmp.cnf
   M /trunk/epan/dissectors/packet-snmp.c

For LEGO: Use crypt_tvb when we don't have cleartext_tvb
------------------------------------------------------------------------
r22359 | morriss | 2007-07-19 08:11:34 -0700 (Thu, 19 Jul 2007) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-mysql.c

Put register_dissector() call back in
------------------------------------------------------------------------
r22360 | lego | 2007-07-19 17:15:17 -0700 (Thu, 19 Jul 2007) | 5 lines
Changed paths:
   M /trunk/diameter/dictionary.xml
   M /trunk/epan/diam_dict.h
   M /trunk/epan/diam_dict.l
   M /trunk/epan/dissectors/packet-diameter.c

- <?avp-proto and <?type-proto to instruct about which dissector to use for a given type or avp
- dissect timestamps
- add all the avps that were commented out in the dictionary


------------------------------------------------------------------------
r22361 | kukosa | 2007-07-20 02:54:47 -0700 (Fri, 20 Jul 2007) | 1 line
Changed paths:
   M /trunk/asn1/Makefile.am
   M /trunk/asn1/q932/packet-q932-template.c
   M /trunk/asn1/q932/q932-ros.cnf
   M /trunk/asn1/qsig/Makefile
   M /trunk/asn1/qsig/Makefile.nmake
   A /trunk/asn1/qsig/QSIG-AOC.asn
   A /trunk/asn1/qsig/QSIG-CC.asn
   A /trunk/asn1/qsig/QSIG-CF.asn
   A /trunk/asn1/qsig/QSIG-CI.asn
   A /trunk/asn1/qsig/QSIG-CIDL.asn
   A /trunk/asn1/qsig/QSIG-CINT.asn
   A /trunk/asn1/qsig/QSIG-CMN.asn
   A /trunk/asn1/qsig/QSIG-CO.asn
   A /trunk/asn1/qsig/QSIG-CPI.asn
   A /trunk/asn1/qsig/QSIG-CT.asn
   A /trunk/asn1/qsig/QSIG-DND.asn
   A /trunk/asn1/qsig/QSIG-MCM.asn
   A /trunk/asn1/qsig/QSIG-MCR.asn
   A /trunk/asn1/qsig/QSIG-MID.asn
   A /trunk/asn1/qsig/QSIG-NA.asn
   A /trunk/asn1/qsig/QSIG-PR.asn
   A /trunk/asn1/qsig/QSIG-PUMCH.asn
   A /trunk/asn1/qsig/QSIG-PUMR.asn
   A /trunk/asn1/qsig/QSIG-RE.asn
   A /trunk/asn1/qsig/QSIG-SD.asn
   A /trunk/asn1/qsig/QSIG-SMS.asn
   A /trunk/asn1/qsig/QSIG-SSCT.asn
   A /trunk/asn1/qsig/QSIG-WTMAU.asn
   A /trunk/asn1/qsig/QSIG-WTMCH.asn
   A /trunk/asn1/qsig/QSIG-WTMLR.asn
   M /trunk/asn1/qsig/packet-qsig-template.c
   M /trunk/asn1/qsig/qsig-exp.cnf
   M /trunk/asn1/qsig/qsig-gf-ade.asn
   M /trunk/asn1/qsig/qsig-gf-ext.asn
   M /trunk/asn1/qsig/qsig-gf-gp.asn
   M /trunk/asn1/qsig/qsig.cnf
   M /trunk/epan/asn1.h
   M /trunk/epan/dissectors/packet-q932-ros.c
   M /trunk/epan/dissectors/packet-q932.c
   M /trunk/epan/dissectors/packet-qsig.c
   M /trunk/epan/dissectors/packet-qsig.h
   M /trunk/epan/libwireshark.def
   M /trunk/tools/asn2wrs.py

QSIG fully implemented
------------------------------------------------------------------------
r22362 | richardv | 2007-07-20 03:45:41 -0700 (Fri, 20 Jul 2007) | 3 lines
Changed paths:
   D /trunk/asn1/qsig/qsig-cf.asn
   D /trunk/asn1/qsig/qsig-na.asn

kukosa has replaced these with uppercase variants (he should have svn mv'ed them...)


------------------------------------------------------------------------
r22363 | martinm | 2007-07-20 04:39:09 -0700 (Fri, 20 Jul 2007) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-diameter.c

- add an all_cmds array for looking up 'RFC' packets
- improve error/expert info when see unmatched AVPs, commands, appids

------------------------------------------------------------------------
r22364 | morriss | 2007-07-20 11:57:02 -0700 (Fri, 20 Jul 2007) | 3 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/epan/dissectors/packet-kerberos.c

From Ted Percival: Support for PA-S4U2Self Kerberos packet type based on ASN.1
description in Heimdal.

------------------------------------------------------------------------
r22365 | morriss | 2007-07-20 12:11:57 -0700 (Fri, 20 Jul 2007) | 1 line
Changed paths:
   M /trunk/aclocal-fallback/gtk-2.0.m4

From Jess Balint: modern versions of pkg-config want --cflags or --libs *before* the library we're asking about
------------------------------------------------------------------------
r22366 | gerald | 2007-07-20 14:31:19 -0700 (Fri, 20 Jul 2007) | 2 lines
Changed paths:
   M /trunk/image/wslogo.svg

Make the lawyer happy - add a registered trademark symbol.

------------------------------------------------------------------------
r22367 | gerald | 2007-07-20 14:43:07 -0700 (Fri, 20 Jul 2007) | 4 lines
Changed paths:
   M /trunk/capture.c
   M /trunk/capture.h
   M /trunk/capture_opts.c
   M /trunk/capture_opts.h
   M /trunk/capture_sync.c
   M /trunk/capture_sync.h
   M /trunk/doc/dumpcap.pod
   M /trunk/dumpcap.c
   M /trunk/gtk/capture_dlg.c
   M /trunk/gtk/main.c
   M /trunk/tshark.c

Remove the "-I" flag from dumpcap, and add a "-M" flag used to specify
that "-D" and "-L" should produce machine-readable output.  Use this to
move an indirect get_pcap_linktype() call from the GUI to dumpcap.

------------------------------------------------------------------------
r22368 | gerald | 2007-07-20 17:31:55 -0700 (Fri, 20 Jul 2007) | 3 lines
Changed paths:
   M /trunk/capture_sync.c

Fix Windows Buildbot breakage.  Remove an unneeded function and fix a
couple of memory leaks.

------------------------------------------------------------------------
r22369 | lego | 2007-07-21 08:24:25 -0700 (Sat, 21 Jul 2007) | 3 lines
Changed paths:
   M /trunk/docbook/Makefile
   M /trunk/docbook/Makefile.common
   M /trunk/docbook/make-wsluarm.pl
   D /trunk/docbook/template-wsluarm.xml
   M /trunk/docbook/user-guide.xml
   M /trunk/docbook/wsdg_src/WSDG_chapter_tools.xml

Migrate the wslua ref man into wsug


------------------------------------------------------------------------
r22370 | lego | 2007-07-21 09:25:17 -0700 (Sat, 21 Jul 2007) | 3 lines
Changed paths:
   M /trunk/docbook/Makefile

Fix dependencies


------------------------------------------------------------------------
r22371 | lego | 2007-07-21 09:30:17 -0700 (Sat, 21 Jul 2007) | 3 lines
Changed paths:
   M /trunk/diameter/dictionary.xml

according to RFC3588 6.7.2 Proxy-Info is a grouped avp


------------------------------------------------------------------------
r22372 | lego | 2007-07-21 09:36:20 -0700 (Sat, 21 Jul 2007) | 3 lines
Changed paths:
   M /trunk/diameter/dictionary.xml

fix xml


------------------------------------------------------------------------
r22373 | lego | 2007-07-21 11:23:08 -0700 (Sat, 21 Jul 2007) | 3 lines
Changed paths:
   M /trunk/epan/wslua/wslua_field.c

Fix documentation comments


------------------------------------------------------------------------
r22374 | lego | 2007-07-21 11:24:05 -0700 (Sat, 21 Jul 2007) | 3 lines
Changed paths:
   M /trunk/docbook/Makefile
   M /trunk/docbook/Makefile.common
   M /trunk/docbook/Makefile.nmake

work out dependencies in a .common way and make sure we nmake wsluarm


------------------------------------------------------------------------
r22375 | lego | 2007-07-21 13:46:41 -0700 (Sat, 21 Jul 2007) | 5 lines
Changed paths:
   M /trunk/docbook
   M /trunk/docbook/Makefile.common
   M /trunk/docbook/user-guide.xml
   A /trunk/docbook/wsluarm.xml

Cleanup how WsLuaRm is inserted
Add a section introducing wslua and how scripts are loaded (to be completed).
svn:ignore wsluarm (a dummy file to mark the generation of the various components of the reference manual)


------------------------------------------------------------------------
r22376 | lego | 2007-07-21 13:48:21 -0700 (Sat, 21 Jul 2007) | 3 lines
Changed paths:
   M /trunk/docbook/wsluarm.xml

Pset wsluarm.xml


------------------------------------------------------------------------
r22377 | lego | 2007-07-21 13:49:54 -0700 (Sat, 21 Jul 2007) | 3 lines
Changed paths:
   M /trunk/docbook/wsluarm.xml

$Id: $ and a fix


------------------------------------------------------------------------
r22378 | lego | 2007-07-21 15:34:46 -0700 (Sat, 21 Jul 2007) | 2 lines
Changed paths:
   M /trunk/docbook/wsluarm.xml

Add examples of dissector and tap

------------------------------------------------------------------------
r22379 | jake | 2007-07-22 01:08:41 -0700 (Sun, 22 Jul 2007) | 1 line
Changed paths:
   M /trunk/docbook/custom_layer_pdf.xsl

Add remark on FOP 0.93
------------------------------------------------------------------------
r22380 | lego | 2007-07-22 09:43:35 -0700 (Sun, 22 Jul 2007) | 3 lines
Changed paths:
   M /trunk/docbook/wsug_src/WSUG_chapter_customize.xml

Add some useful hints as examples of payload_protocols to the User DLT table description


------------------------------------------------------------------------
r22381 | lego | 2007-07-22 09:44:25 -0700 (Sun, 22 Jul 2007) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-eth.c

register dissect_eth_maybefcs as "eth" users might find it useful.

------------------------------------------------------------------------
r22382 | martinm | 2007-07-23 07:39:17 -0700 (Mon, 23 Jul 2007) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-rtp.c

Make contributing items and hdr extensions proper fields.

------------------------------------------------------------------------
r22383 | morriss | 2007-07-23 12:32:40 -0700 (Mon, 23 Jul 2007) | 19 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/epan/dissectors/packet-stun2.c

From Marc Petit-Huguenin: this is an update to the STUN2 dissector using the
last draft, draft-ietf-behave-rfc3489bis-07.  Changelog:

* My employer is now sponsoring this work, so added a copyright line.
* Added a comment for each method/attribute with the RFC/I-D where is
  it defined, so it will be easier to add new STUN usages.
* Removed the SHARED-SECRET method.
* Removed the PASSWORD and REFRESH-INTERVAL attributes.
* Changed "Response" to "Success Response".
* Changed "Error Reason Phase" to "Error Reason Phrase".
* Added reassembly for TCP segments on STUN2.
* Updated STUN acronym expansion.
* Renamed STUN2_ERROR to ERROR_RESPONSE.
* Changed the value of attribute FINGERPRINT from 0x8025 to 0x8028.
* Display if an unknown attribute is comprehension-optional or
  comprehension-required.
* Reorganized order of attributes in the dissector code.
* The message length is now displayed in decimal.

------------------------------------------------------------------------
r22384 | ulfl | 2007-07-23 13:06:03 -0700 (Mon, 23 Jul 2007) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-clnp.c

show the number of fragment bytes in the info column
------------------------------------------------------------------------
r22385 | ulfl | 2007-07-23 13:07:51 -0700 (Mon, 23 Jul 2007) | 3 lines
Changed paths:
   M /trunk/plugins/profinet/packet-dcerpc-pn-io.c

add dissection of blocks:
	{ 0x021E, "CheckSyncDifference"},
	{ 0x021F, "CheckMAUTypeDifference"},
------------------------------------------------------------------------
r22386 | ulfl | 2007-07-23 13:08:53 -0700 (Mon, 23 Jul 2007) | 1 line
Changed paths:
   M /trunk/plugins/profinet/packet-dcom-cba-acco.c

remove ProvCRID from expert info output, so the composite view is more compact
------------------------------------------------------------------------
r22387 | ulfl | 2007-07-23 13:11:05 -0700 (Mon, 23 Jul 2007) | 2 lines
Changed paths:
   M /trunk/epan/column-utils.c
   M /trunk/epan/column.c
   M /trunk/epan/column_info.h
   M /trunk/epan/expert.c

- add a column for the expert info severity level
- fix a column related bug introduced in SVN 20118
------------------------------------------------------------------------
r22388 | ulfl | 2007-07-23 13:12:18 -0700 (Mon, 23 Jul 2007) | 1 line
Changed paths:
   M /trunk/update.c

use the right return type of update_pref(), to prevent a warning
------------------------------------------------------------------------
r22389 | ulfl | 2007-07-23 13:18:01 -0700 (Mon, 23 Jul 2007) | 1 line
Changed paths:
   M /trunk/gtk/menu.c

for the Ethernet conversation filter, don't use ethertype but the data link address type being Ethernet. If the ethertype field is a length (0-1500), it will contain 0 - and the filter wouldn't work that way
------------------------------------------------------------------------
r22390 | morriss | 2007-07-23 15:38:57 -0700 (Mon, 23 Jul 2007) | 1 line
Changed paths:
   M /trunk/epan/dissectors/Makefile.common

Move packet-isup to CLEAN_DISSECTOR_SRC--it compiles cleanly for me.
------------------------------------------------------------------------
r22391 | etxrab | 2007-07-23 16:02:54 -0700 (Mon, 23 Jul 2007) | 6 lines
Changed paths:
   M /trunk/asn1/camel/Makefile.nmake
   M /trunk/asn1/camel/camel.cnf
   M /trunk/asn1/camel/packet-camel-template.c
   M /trunk/asn1/inap/packet-inap-template.c
   M /trunk/epan/dissectors/packet-camel.c
   M /trunk/epan/dissectors/packet-inap.c

Fix bug
http://bugs.wireshark.org/bugzilla/show_bug.cgi?id=1699 Bad decoding of Camel PromptAndCollectUserInfo

By fixing up the generation of HF vars for Arg etc

Add an OID name to INAP.
------------------------------------------------------------------------
r22392 | morriss | 2007-07-23 16:29:36 -0700 (Mon, 23 Jul 2007) | 1 line
Changed paths:
   M /trunk/epan/dissectors/Makefile.common

Getting brave (or foolish?): move packet-bacapp, packet-cops, packet-diameter, and packet-sctp to CLEAN_DISSECTOR_SRC
------------------------------------------------------------------------
r22393 | morriss | 2007-07-23 17:44:07 -0700 (Mon, 23 Jul 2007) | 1 line
Changed paths:
   M /trunk/epan/dissectors/Makefile.common

(sigh): move packet-bacapp, packet-diameter, and packet-sctp back out of CLEAN_DISSECTOR_SRC.  Next time: check the compile logs on the buildbots _before_ experimenting
------------------------------------------------------------------------
r22394 | kukosa | 2007-07-24 00:37:10 -0700 (Tue, 24 Jul 2007) | 1 line
Changed paths:
   M /trunk/asn1/qsig/Makefile
   M /trunk/asn1/qsig/Makefile.nmake
   M /trunk/asn1/qsig/QSIG-CF.asn
   M /trunk/asn1/qsig/QSIG-NA.asn
   A /trunk/asn1/qsig/SYNC-SIG.asn
   M /trunk/asn1/qsig/qsig-exp.cnf
   M /trunk/asn1/qsig/qsig.cnf
   M /trunk/epan/dissectors/packet-qsig.c
   M /trunk/epan/dissectors/packet-qsig.h

QSIG extended with SYNC-SIG operations (ECMA-245)
------------------------------------------------------------------------
r22395 | martinm | 2007-07-24 08:15:02 -0700 (Tue, 24 Jul 2007) | 2 lines
Changed paths:
   M /trunk/wiretap/catapult_dct2000.c

More space needed for wimax frames.

------------------------------------------------------------------------
r22396 | etxrab | 2007-07-24 10:20:44 -0700 (Tue, 24 Jul 2007) | 4 lines
Changed paths:
   M /trunk/asn1/camel/Makefile
   M /trunk/asn1/camel/camel.cnf
   M /trunk/asn1/camel/packet-camel-template.c
   M /trunk/epan/dissectors/packet-camel.c

From Florent Drouin:
- add a subtree to the ApplyChargingXX Report
- add a subtree to ReleaseCall and ReleaseSMS
- synchronize Unix and Windows makefile.
------------------------------------------------------------------------
r22397 | guy | 2007-07-24 14:13:34 -0700 (Tue, 24 Jul 2007) | 3 lines
Changed paths:
   M /trunk/epan

Add diam_dict.c to the list of files to ignore in SVN (it's a generated
file).

------------------------------------------------------------------------
r22398 | ulfl | 2007-07-24 14:15:34 -0700 (Tue, 24 Jul 2007) | 10 lines
Changed paths:
   M /trunk/plugins/profinet/packet-dcerpc-pn-io.c

from HPfrommer@hilscher.com:
I?\226?\128?\153ve fixed a bug in the Profinet-Dissector 
(plugins/profinet/packet-dcerpc-pn-io.c).

In PROFINET IO DCE RPC write-requests, only the first IR frame dataset 
in PDIRFrameData was dissected.

I?\226?\128?\153ve fixed the problem, now all IR frame datasets are dissected into 
individual sub-trees.

------------------------------------------------------------------------
r22399 | jake | 2007-07-24 14:23:55 -0700 (Tue, 24 Jul 2007) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-bootp.c

From Francois-Xavier Le Bail:
The following patch decodes DHCP option 121. (RFC 3442)
------------------------------------------------------------------------
r22400 | ulfl | 2007-07-25 01:38:31 -0700 (Wed, 25 Jul 2007) | 1 line
Changed paths:
   M /trunk/plugins/profinet/packet-dcerpc-pn-io.c

fix unused parameter warning by adding _U_
------------------------------------------------------------------------
r22401 | morriss | 2007-07-25 10:16:02 -0700 (Wed, 25 Jul 2007) | 1 line
Changed paths:
   M /trunk/plugins/wimax/mac_hd_generic_decoder.c

Initialize a couple of variables to prevent a couple (false, I think) "could be used uninitialized" warnings from GCC
------------------------------------------------------------------------
r22402 | gal | 2007-07-25 12:11:02 -0700 (Wed, 25 Jul 2007) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-tnef.c

Small cosmetic change to show Named Property name.


------------------------------------------------------------------------
r22403 | lego | 2007-07-25 14:30:51 -0700 (Wed, 25 Jul 2007) | 8 lines
Changed paths:
   M /trunk/gtk/capture_file_dlg.c


from  Florent DROUIN:
I did load an k12 file (.rf5), and want to save the selected frames in a new file.
I got the error "Wireshark can't save this capture in that format"
I think this is due to this correction: http://anonsvn.wireshark.org/viewvc/viewvc.cgi?view=rev&revision=22214
I have got a patch to force the type of file to libpcap, only if no other format is available. It should solve both problems.


------------------------------------------------------------------------
r22404 | gerald | 2007-07-25 14:56:37 -0700 (Wed, 25 Jul 2007) | 2 lines
Changed paths:
   M /trunk/docbook/wsdg_src/WSDG_chapter_sources.xml

Update the sections on submitting patches.

------------------------------------------------------------------------
r22405 | jake | 2007-07-25 23:45:19 -0700 (Wed, 25 Jul 2007) | 1 line
Changed paths:
   M /trunk/docbook/wsdg_src/WSDG_chapter_sources.xml

Filling in ChSrcDeb section
------------------------------------------------------------------------
r22406 | kukosa | 2007-07-26 07:00:48 -0700 (Thu, 26 Jul 2007) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ber.c
   M /trunk/epan/libwireshark.def

- export some ASN.1 functions from libwireshark
- fill-in actx->created_item in dissect_ber_object_identifier()
------------------------------------------------------------------------
r22407 | kukosa | 2007-07-26 07:31:38 -0700 (Thu, 26 Jul 2007) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-ber.c

remove unused variable
------------------------------------------------------------------------
r22408 | morriss | 2007-07-26 12:27:22 -0700 (Thu, 26 Jul 2007) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-sctp.c

Check COL_INFO before calling col_set_fence(..., COL_INFO) rather than COL_PROTOCOL
------------------------------------------------------------------------
r22409 | morriss | 2007-07-26 13:05:54 -0700 (Thu, 26 Jul 2007) | 7 lines
Changed paths:
   M /trunk/asn1/tcap/tcap.cnf
   M /trunk/epan/dissectors/packet-sccp.c
   M /trunk/epan/dissectors/packet-tcap.c

Change a bunch of calls to col_append_*() to col_add_*() in places where we
_want_ what's currently in the INFO column (usually a more generic message
type from a lower level dissector) replaced (usually with a more
specific--higher level--message type from the currect dissector).  Add a
comment there not to change it back and to explain the use of col_set_fence()
in case someone finds data there that they _don't_ want replaced.

------------------------------------------------------------------------
r22410 | guy | 2007-07-26 19:51:42 -0700 (Thu, 26 Jul 2007) | 3 lines
Changed paths:
   M /trunk/configure.in
   M /trunk/wiretap/configure.in

Step 1 in adding support for reentrant Flex scanners if Flex supports
them - check whether Flex supports them.

------------------------------------------------------------------------
r22411 | kukosa | 2007-07-26 23:23:45 -0700 (Thu, 26 Jul 2007) | 2 lines
Changed paths:
   M /trunk/asn1/tcap/tcap.cnf
   M /trunk/epan/dissectors/packet-tcap.c

- use #.FN_HDR where #.FN_BODY is not necessary
- modify subtypes for individual TCMessage/ansi... fields instead of switching based on hf_index inside common TransactionPDU type
------------------------------------------------------------------------
r22412 | morriss | 2007-07-27 07:22:47 -0700 (Fri, 27 Jul 2007) | 1 line
Changed paths:
   M /trunk/epan/libwireshark.def

Add fetch_tapped_data
------------------------------------------------------------------------
r22413 | martinm | 2007-07-27 11:32:09 -0700 (Fri, 27 Jul 2007) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-diameter.c

Check the length in unsigned32 AVP data fields.

------------------------------------------------------------------------
r22414 | guy | 2007-07-27 11:52:05 -0700 (Fri, 27 Jul 2007) | 8 lines
Changed paths:
   M /trunk/configure.in
   M /trunk/wiretap/configure.in

I think the intent, at least, is to allow people to build Wireshark from
a source release tarball without having Flex (think of a source release
tarball being as much a platform-independent distribution format for
people *not* interested in development, and who are on platforms for
which there aren't binary packages, as a way of getting the source to do
development).  Don't check Flex's capabilities in the configure script
(handling reentrant scanners would have to be done differently).

------------------------------------------------------------------------
r22415 | morriss | 2007-07-27 12:24:40 -0700 (Fri, 27 Jul 2007) | 14 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/asn1/tcap/packet-tcap-template.c
   M /trunk/asn1/tcap/packet-tcap-template.h
   M /trunk/asn1/tcap/tcap.cnf
   M /trunk/epan/dissectors/packet-tcap.c
   M /trunk/epan/dissectors/packet-tcap.h
   M /trunk/epan/tcap-persistentdata.c
   M /trunk/epan/tcap-persistentdata.h

From Florent Drouin:

- add support of session management for tcap ANSI.
   (In fact, this support already exist for ANSI MAP subdissector, but as our
   simulators can reuse the tcap transaction Id, the decoding of the response
   may be wrong)
- move the code related to asn1 in tcap.cnf, and update tcap.cnf
- move the code related to the session management in tcap-persistentdata
- add a compilation option to free the entry in the hashtable for a closed
  transaction. This is used only for tshark statistics generation, with huge file.
- cleanup and add some comments

Add Id tags to epan/tcap-persistentdata.{c,h}

------------------------------------------------------------------------
r22416 | lego | 2007-07-28 04:37:27 -0700 (Sat, 28 Jul 2007) | 5 lines
Changed paths:
   A /trunk/trigcap.c

A toy I wrote as PoC for a more complex similar tool I'm working on.

Not in the makefiles yet: It works on my mac but I do not know if it works anywhere else (Guy?)


------------------------------------------------------------------------
r22417 | kukosa | 2007-07-30 01:01:59 -0700 (Mon, 30 Jul 2007) | 1 line
Changed paths:
   M /trunk/asn1/Makefile.am
   A /trunk/asn1/h450/Addressing-Data-Elements.asn
   A /trunk/asn1/h450/Call-Completion-Operations.asn
   A /trunk/asn1/h450/Call-Diversion-Operations.asn
   A /trunk/asn1/h450/Call-Hold-Operations.asn
   A /trunk/asn1/h450/Call-Intrusion-Operations.asn
   A /trunk/asn1/h450/Call-Offer-Operations.asn
   A /trunk/asn1/h450/Call-Park-Pickup-Operations.asn
   A /trunk/asn1/h450/Call-Transfer-Operations.asn
   A /trunk/asn1/h450/Call-Waiting-Operations.asn
   A /trunk/asn1/h450/Common-Information-Operations.asn
   A /trunk/asn1/h450/H225-generic-parameters-definition.asn
   A /trunk/asn1/h450/H4501-General-Error-List.asn
   A /trunk/asn1/h450/H4501-Supplementary-ServiceAPDU-Structure.asn
   M /trunk/asn1/h450/Makefile
   M /trunk/asn1/h450/Makefile.nmake
   A /trunk/asn1/h450/Manufacturer-specific-service-extension-definition.asn
   A /trunk/asn1/h450/Message-Waiting-Indication-Operations.asn
   A /trunk/asn1/h450/Name-Operations.asn
   A /trunk/asn1/h450/Remote-Operations-Apdus.asn
   A /trunk/asn1/h450/h450-ros-exp.cnf
   A /trunk/asn1/h450/h450-ros.cnf
   M /trunk/asn1/h450/h450.cnf
   D /trunk/asn1/h450/h4501.asn
   A /trunk/asn1/h450/packet-h450-ros-template.c
   A /trunk/asn1/h450/packet-h450-ros-template.h
   M /trunk/asn1/h450/packet-h450-template.c
   D /trunk/asn1/h450/packet-h450-template.h
   M /trunk/epan/dissectors/Makefile.common
   M /trunk/epan/dissectors/packet-h450.c
   D /trunk/epan/dissectors/packet-h450.h
   M /trunk/epan/dissectors/packet-per.c
   M /trunk/tools/asn2wrs.py

H.450 regenerated from original ASN.1 sources
------------------------------------------------------------------------
r22418 | kukosa | 2007-07-30 01:22:22 -0700 (Mon, 30 Jul 2007) | 1 line
Changed paths:
   A /trunk/epan/dissectors/packet-h450-ros.c
   A /trunk/epan/dissectors/packet-h450-ros.h

add forgotten files
------------------------------------------------------------------------
r22419 | kukosa | 2007-07-30 05:08:38 -0700 (Mon, 30 Jul 2007) | 1 line
Changed paths:
   M /trunk/asn1/rnsap/RNSAP-CommonDataTypes.asn
   M /trunk/asn1/rnsap/RNSAP-Constants.asn
   M /trunk/asn1/rnsap/RNSAP-Containers.asn
   M /trunk/asn1/rnsap/RNSAP-IEs.asn
   M /trunk/asn1/rnsap/RNSAP-PDU-Contents.asn
   M /trunk/asn1/rnsap/RNSAP-PDU-Descriptions.asn
   M /trunk/asn1/rnsap/packet-rnsap-template.c
   M /trunk/asn1/rnsap/rnsap.cnf
   M /trunk/epan/dissectors/packet-rnsap.c

RNSAP updated to V7.5.0 (2007-06)
------------------------------------------------------------------------
r22420 | jake | 2007-07-30 06:06:01 -0700 (Mon, 30 Jul 2007) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-text-media.c

Fix for bug 1712:
RFC 4627 defines "The application/json Media Type for JavaScript Object Notation (JSON)" 
application/json is a text based type used by JavaScript applications and web pages.

------------------------------------------------------------------------
r22421 | morriss | 2007-07-30 10:10:20 -0700 (Mon, 30 Jul 2007) | 6 lines
Changed paths:
   M /trunk/asn1/tcap/packet-tcap-template.c
   M /trunk/asn1/tcap/tcap.cnf
   M /trunk/epan/dissectors/packet-tcap.c
   M /trunk/epan/tcap-persistentdata.c

From Florent Drouin:

Correct bug in TCAP statistics when read filter is used.
Rename the TCAP decoding functions to show which are ITU vs. ANSI.
Don't unregister an ITU SSN if it's used by an ANSI subdissector.

------------------------------------------------------------------------
r22422 | morriss | 2007-07-30 10:21:40 -0700 (Mon, 30 Jul 2007) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-icmpv6.c
   M /trunk/epan/dissectors/packet-ip.c

As requested by Mike Rogovin: register the ICMP dissector by name.  For completeness, also register ICMPv6 by name.
------------------------------------------------------------------------
r22423 | martinm | 2007-07-30 11:45:48 -0700 (Mon, 30 Jul 2007) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ftp.c

Parse EPSV responses (229) & set up FTP-DATA conversation.

------------------------------------------------------------------------
r22424 | guy | 2007-07-30 13:22:37 -0700 (Mon, 30 Jul 2007) | 18 lines
Changed paths:
   M /trunk/epan/Makefile.am
   M /trunk/epan/dfilter/Makefile.am
   M /trunk/epan/dfilter/scanner.l
   M /trunk/epan/diam_dict.l
   M /trunk/epan/dtd_parse.l
   M /trunk/epan/dtd_preparse.l
   M /trunk/epan/radius_dict.l
   M /trunk/epan/uat_load.l
   M /trunk/plugins/mate/Makefile.am
   M /trunk/plugins/mate/mate_parser.l
   M /trunk/text2pcap-scanner.l
   M /trunk/wiretap/Makefile.am
   M /trunk/wiretap/ascend-scanner.l
   M /trunk/wiretap/k12text.l

Add comments to various %option items to explain what they're doing. 
Move the %options to the beginning if they weren't already there, and
put them in the same order in all files.

Add "prefix=" options to .l files that don't already have them, so we
don't have to pass a "-P" option.

Add "never-interactive" and "noyywrap" options to our lexical analyzers,
to remove extra isatty() checks and to eliminate the need for yywrap()
from the Flex library.

Get rid of %option nostdinit - that's the default.

Add .l.c: rules to Makefile.am files, replacing the rules for specific
.l files.  Have those rules all check that $(LEX) is set.

Update the address for the FSF.

------------------------------------------------------------------------
r22425 | lego | 2007-07-30 14:10:12 -0700 (Mon, 30 Jul 2007) | 3 lines
Changed paths:
   M /trunk/editcap.c

for bug 1158 have editcap print the value of the timestamps while running so I can get feedback from the user.


------------------------------------------------------------------------
r22426 | lego | 2007-07-30 14:17:03 -0700 (Mon, 30 Jul 2007) | 3 lines
Changed paths:
   M /trunk/editcap.c

nononono.... print one on 250 not every line


------------------------------------------------------------------------
r22427 | lego | 2007-07-30 16:32:47 -0700 (Mon, 30 Jul 2007) | 3 lines
Changed paths:
   M /trunk/epan/dfilter/dfilter-macro.c
   M /trunk/epan/dfilter/dfilter-macro.h
   M /trunk/epan/proto.c
   M /trunk/epan/proto.h
   M /trunk/file.c

As per Ulf's request add ${proto.field} macros that will use the value of the given field has in the last selected packet.


------------------------------------------------------------------------
r22428 | guy | 2007-07-30 18:24:26 -0700 (Mon, 30 Jul 2007) | 5 lines
Changed paths:
   M /trunk/tools/lemon/lemonflex-tail.inc

If YY_SKIP_YYWRAP is defined, don't bother defining WRAP_FUNC - with
flex 2.5.31, WRAP_FUNC will end up being defined as a value that, when
used as a function-style macro, expands to 1, so the definition of
WRAP_FUNC will get a syntax error.

------------------------------------------------------------------------
r22429 | guy | 2007-07-30 18:32:47 -0700 (Mon, 30 Jul 2007) | 2 lines
Changed paths:
   M /trunk/epan/libwireshark.def

Export dfilter_macro_build_ftv_cache() for use by Wireshark.

------------------------------------------------------------------------
r22430 | martinm | 2007-07-31 06:53:45 -0700 (Tue, 31 Jul 2007) | 2 lines
Changed paths:
   M /trunk/wiretap/catapult_dct2000.c

Add "igmp" -> "ip" mapping.

------------------------------------------------------------------------
r22431 | ulfl | 2007-07-31 11:57:51 -0700 (Tue, 31 Jul 2007) | 1 line
Changed paths:
   M /trunk/plugins/profinet/packet-pn.c
   M /trunk/plugins/profinet/packet-pn.h

add helper function dissect_pn_int32()
------------------------------------------------------------------------
r22432 | ulfl | 2007-07-31 12:01:15 -0700 (Tue, 31 Jul 2007) | 1 line
Changed paths:
   M /trunk/plugins/profinet/moduleinfo.h
   M /trunk/plugins/profinet/packet-pn-ptcp.c
   M /trunk/plugins/profinet/packet-pn-rt.c

update PTCP dissection to latest specification draft
------------------------------------------------------------------------
r22433 | ulfl | 2007-07-31 12:03:43 -0700 (Tue, 31 Jul 2007) | 1 line
Changed paths:
   M /trunk/manuf
   M /trunk/manuf.tmpl

add PROFINET Multicast OUI 01:0E:CF (in addition to the unicast 00:0E:CF)
------------------------------------------------------------------------
r22434 | guy | 2007-07-31 17:22:25 -0700 (Tue, 31 Jul 2007) | 3 lines
Changed paths:
   M /trunk/epan/Makefile.nmake
   M /trunk/epan/dfilter/Makefile.nmake
   M /trunk/plugins/mate/Makefile.nmake
   M /trunk/wiretap/Makefile.nmake

Use a common .l.c rule for running Flex on .l files, just as is done on
UN*X.

------------------------------------------------------------------------
r22435 | jake | 2007-08-01 10:42:43 -0700 (Wed, 01 Aug 2007) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ethertype.c
   M /trunk/epan/etypes.h
   M /trunk/plugins/m2m/Makefile.common
   M /trunk/plugins/m2m/packet-m2m.c
   D /trunk/plugins/m2m/wmxtypes.h

Clean up the WiMax Mac-to-Mac dissector code.

------------------------------------------------------------------------
r22436 | guy | 2007-08-01 13:35:05 -0700 (Wed, 01 Aug 2007) | 5 lines
Changed paths:
   M /trunk/Makefile.am
   A /trunk/Makefile.am.inc
   M /trunk/epan/Makefile.am
   M /trunk/epan/dfilter/Makefile.am
   M /trunk/plugins/mate/Makefile.am
   M /trunk/wiretap/Makefile.am

Add a Makefile.am.inc file, to hold rules etc. used by multiple
Makefile.am files; currently, it has the (F)lex-to-C rule.  Have
Makefile.am files with .l.c rules include Makefile.am.inc to get that
rule.

------------------------------------------------------------------------
r22437 | guy | 2007-08-01 15:20:38 -0700 (Wed, 01 Aug 2007) | 11 lines
Changed paths:
   M /trunk/Makefile.am
   A /trunk/Makefile.nmake.inc
   M /trunk/epan/Makefile.nmake
   M /trunk/epan/dfilter/Makefile.nmake
   M /trunk/plugins/mate/Makefile.nmake
   M /trunk/wiretap/Makefile.nmake

Add a Makefile.nmake.inc file, to hold rules etc.  used by multiple
Makefile.nmake files; currently, it has the (F)lex-to-C rule and a
.SUFFIXES pseudo-rule to add .l to the list of suffixes.  Have
Makefile.nmake files with .l.c rules include Makefile.nmake.inc to get
that rule.

The names Makefile.am.inc and Makefile.nmake.inc aren't necessarily the
right names for the files in question.

Use $(PACKAGE) in the Mate plugin's Makefile, rather than "mate".

------------------------------------------------------------------------
r22438 | standel | 2007-08-01 19:28:48 -0700 (Wed, 01 Aug 2007) | 7 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ipv6.h

From Amine Dhraief:

   there is a mistake in the assigned  number of the update request and update
   ack shim6 control message. Accordingly to draft-ietf-shim6-proto-08 the
   update request has a value of 64 and the update ack 65.


------------------------------------------------------------------------
r22439 | guy | 2007-08-02 00:54:03 -0700 (Thu, 02 Aug 2007) | 6 lines
Changed paths:
   M /trunk/epan/wslua/Makefile.am
   A /trunk/epan/wslua/Makefile.common
   M /trunk/epan/wslua/Makefile.nmake

Move the list of source files to a Makefile.common file.

Don't put $(srcdir)/ at the beginning of those file names - other
Makefile.am files don't have it, and it appears to break "make
distcheck", at least on my Mac OS X 10.4 machine.

------------------------------------------------------------------------
r22440 | guy | 2007-08-02 01:24:00 -0700 (Thu, 02 Aug 2007) | 3 lines
Changed paths:
   M /trunk/epan/wslua/Makefile.am
   M /trunk/epan/wslua/Makefile.nmake

We have to include Makefile.common if we move definitions we need
there....

------------------------------------------------------------------------
r22441 | guy | 2007-08-02 09:06:13 -0700 (Thu, 02 Aug 2007) | 4 lines
Changed paths:
   M /trunk/epan/wslua/Makefile.am
   D /trunk/epan/wslua/Makefile.common
   M /trunk/epan/wslua/Makefile.nmake

Gak.  <> makes it too easy to make these make- scripts do what the rest
do, and take $(srcdir) as the first argument.  Back the previous changes
out, for now.

------------------------------------------------------------------------
r22442 | guy | 2007-08-02 12:07:08 -0700 (Thu, 02 Aug 2007) | 2 lines
Changed paths:
   M /trunk/epan/wslua/wslua_pinfo.c

Squelch a warning.

------------------------------------------------------------------------
r22443 | gerald | 2007-08-02 14:45:27 -0700 (Thu, 02 Aug 2007) | 5 lines
Changed paths:
   M /trunk/capture-pcap-util.h
   M /trunk/capture.c
   M /trunk/capture.h
   M /trunk/capture_opts.c
   M /trunk/capture_opts.h
   M /trunk/capture_sync.c
   M /trunk/capture_sync.h
   M /trunk/doc/README.packaging
   M /trunk/dumpcap.c
   M /trunk/gtk/capture_if_dlg.c

Add a "-S" flag to dumpcap, which prints out interface statistics. Use
this in the GUI rather than calling pcap_stats() directly. This gets rid
of the last pcap_open_live() call in the GUI code. Update
README.packaging.

------------------------------------------------------------------------
r22444 | ulfl | 2007-08-03 12:29:34 -0700 (Fri, 03 Aug 2007) | 3 lines
Changed paths:
   M /trunk/epan/packet.c
   M /trunk/epan/packet_info.h
   M /trunk/plugins/profinet/packet-dcerpc-pn-io.c

- add PDInterfaceFSUDataAdjust block
- start to implement an AR conversation handler

------------------------------------------------------------------------
r22445 | ulfl | 2007-08-03 13:07:06 -0700 (Fri, 03 Aug 2007) | 1 line
Changed paths:
   M /trunk/plugins/profinet/packet-dcerpc-pn-io.c

mark some parameters as unused
------------------------------------------------------------------------
r22446 | guy | 2007-08-03 19:13:52 -0700 (Fri, 03 Aug 2007) | 7 lines
Changed paths:
   M /trunk/Makefile.am.inc
   M /trunk/Makefile.nmake.inc
   M /trunk/epan/Makefile.am
   M /trunk/epan/Makefile.common
   M /trunk/epan/Makefile.nmake
   M /trunk/epan/dfilter/Makefile.am
   M /trunk/epan/dfilter/Makefile.nmake
   M /trunk/epan/dfilter/scanner.l
   M /trunk/epan/diam_dict.l
   M /trunk/epan/dtd_parse.l
   M /trunk/epan/dtd_preparse.l
   M /trunk/epan/radius_dict.l
   M /trunk/epan/uat_load.l
   M /trunk/plugins/mate/Makefile.am
   M /trunk/plugins/mate/Makefile.common
   M /trunk/plugins/mate/Makefile.nmake
   M /trunk/plugins/mate/mate_parser.l
   M /trunk/tools/Makefile.am
   M /trunk/wiretap/Makefile.am
   M /trunk/wiretap/Makefile.common
   M /trunk/wiretap/Makefile.nmake
   M /trunk/wiretap/ascend-scanner.l
   M /trunk/wiretap/k12text.l

Add a script as a front-end for Flex, to work around various problems,
such as the fact that Flex strips all but the last component of the "-o"
argument, and that it doesn't generate a header file to declare routines
the generated lexical analyzer defines.  Use that script when building
lexical analyzers, and, for each lexical analyzer, include the generated
header file in the generated analyzer.

------------------------------------------------------------------------
r22447 | guy | 2007-08-03 19:36:21 -0700 (Fri, 03 Aug 2007) | 2 lines
Changed paths:
   A /trunk/tools/runlex.sh
   A /trunk/wiretap/runlex.sh

Oops, forgot to check in the script for running Flex/Lex.

------------------------------------------------------------------------
r22448 | guy | 2007-08-03 20:11:06 -0700 (Fri, 03 Aug 2007) | 10 lines
Changed paths:
   M /trunk/tools/runlex.sh
   M /trunk/wiretap/runlex.sh

Sigh, crufty old shells.  The Solaris test(1) manual says that

	1) "-e" isn't supported by good old /bin/sh, so we use "-r"
	   instead;

	2) "The algorithm for determining the precedence of the
	   operators and the return value that will be generated is
	   based on the number of arguments presented to test", so we
	   explicitly parenthesize.

------------------------------------------------------------------------
r22449 | guy | 2007-08-03 20:14:00 -0700 (Fri, 03 Aug 2007) | 2 lines
Changed paths:
   M /trunk/wiretap/Makefile.nmake

runlex.sh is in tools, not the top-level directory.

------------------------------------------------------------------------
r22450 | guy | 2007-08-03 20:27:18 -0700 (Fri, 03 Aug 2007) | 4 lines
Changed paths:
   M /trunk/tools/runlex.sh
   M /trunk/wiretap/runlex.sh

1989 was quite a while ago.  We use function prototypes extensively;
don't worry about YY_PROTO, which isn't defined with the newer shinier
versions of Flex.

------------------------------------------------------------------------
r22451 | guy | 2007-08-03 20:47:20 -0700 (Fri, 03 Aug 2007) | 2 lines
Changed paths:
   M /trunk/wiretap/ascend-scanner.l

One quote mark sufficeth.

------------------------------------------------------------------------
r22452 | guy | 2007-08-04 01:04:17 -0700 (Sat, 04 Aug 2007) | 3 lines
Changed paths:
   M /trunk/epan/Makefile.am
   M /trunk/epan/Makefile.common
   M /trunk/epan/Makefile.nmake

Treat runlex.sh-generated headers differently from Flex-generated .c
files - for one thing, the former aren't compiled into .o or .obj files.

------------------------------------------------------------------------
r22453 | guy | 2007-08-04 01:13:22 -0700 (Sat, 04 Aug 2007) | 2 lines
Changed paths:
   M /trunk/epan/Makefile.common

Fix cut-and-pasteo.

------------------------------------------------------------------------
r22454 | lego | 2007-08-04 07:20:37 -0700 (Sat, 04 Aug 2007) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-xml.c

Add preferences to register XML for a TCP port or as a TCP heuristic dissector.


------------------------------------------------------------------------
r22455 | sfisher | 2007-08-04 10:52:38 -0700 (Sat, 04 Aug 2007) | 5 lines
Changed paths:
   M /trunk/gtk/export_object.c
   M /trunk/gtk/export_object_http.c
   M /trunk/gtk/menu.c


Change the export object/export object http code to only be included
in the code for GTK versions 2.4 and up instead of 2 and up.


------------------------------------------------------------------------
r22456 | sfisher | 2007-08-04 11:00:27 -0700 (Sat, 04 Aug 2007) | 4 lines
Changed paths:
   M /trunk/docbook/wsug_src/WSUG_chapter_io.xml


Update documentation for change in revision 22455.


------------------------------------------------------------------------
r22457 | ulfl | 2007-08-06 01:44:26 -0700 (Mon, 06 Aug 2007) | 1 line
Changed paths:
   M /trunk/epan/addr_resolv.c

add a way to read a personal /etc/services file for TCP/UDP/... port service name resolution.
------------------------------------------------------------------------
r22458 | ulfl | 2007-08-06 02:12:18 -0700 (Mon, 06 Aug 2007) | 1 line
Changed paths:
   M /trunk/epan/addr_resolv.c

remove an unused variable
------------------------------------------------------------------------
r22459 | etxrab | 2007-08-06 05:16:20 -0700 (Mon, 06 Aug 2007) | 2 lines
Changed paths:
   M /trunk/asn1/inap/IN-SCF-SRF-Classes.asn
   M /trunk/asn1/inap/IN-SCF-SRF-datatypes.asn
   M /trunk/asn1/inap/IN-SCF-SRF-ops-args.asn
   M /trunk/asn1/inap/IN-SSF-SCF-Classes.asn
   M /trunk/asn1/inap/IN-SSF-SCF-datatypes.asn
   M /trunk/asn1/inap/IN-SSF-SCF-ops-args.asn
   M /trunk/asn1/inap/IN-common-classes.asn
   M /trunk/asn1/inap/IN-common-datatypes.asn
   A /trunk/asn1/inap/IN-errorcodes.asn
   A /trunk/asn1/inap/IN-errortypes.asn
   M /trunk/asn1/inap/IN-object-identifiers.asn
   A /trunk/asn1/inap/IN-operationcodes.asn
   M /trunk/asn1/inap/Makefile.nmake
   M /trunk/asn1/inap/inap.cnf

Use correct SVN keywords.
Add missing ASN1 files.
------------------------------------------------------------------------
r22460 | lego | 2007-08-06 15:34:26 -0700 (Mon, 06 Aug 2007) | 6 lines
Changed paths:
   M /trunk/wiretap/mpeg.c

From: Shaun Jackman
	
This patch adds MPEG PES (packetized elementary stream) to the list of
magic types in wiretap/mpeg.c.


------------------------------------------------------------------------
r22461 | lego | 2007-08-07 13:07:43 -0700 (Tue, 07 Aug 2007) | 3 lines
Changed paths:
   M /trunk/capinfos.c
   M /trunk/editcap.c
   M /trunk/epan/plugins.c
   M /trunk/gtk/main.c
   M /trunk/tshark.c

Make sure that wiretap plugins are loaded before dissectors are (if a new encap type is registered the plugin probably needs it before reg_handoff)


------------------------------------------------------------------------
r22462 | lego | 2007-08-07 13:09:18 -0700 (Tue, 07 Aug 2007) | 3 lines
Changed paths:
   M /trunk/epan/libwireshark.def

Export the entire uat api


------------------------------------------------------------------------
r22463 | lego | 2007-08-07 14:26:07 -0700 (Tue, 07 Aug 2007) | 8 lines
Changed paths:
   M /trunk/epan/packet.c
   M /trunk/epan/packet.h

from: Mike Duigou

Adds a heur_dissector_delete() function to allow heuristic dissectors to be
dynamically disabled based upon, for example, preference settings.

http://bugs.wireshark.org/bugzilla/show_bug.cgi?id=1697


------------------------------------------------------------------------
r22464 | richardv | 2007-08-07 15:49:31 -0700 (Tue, 07 Aug 2007) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-iax2.c

remember to dissect IEs which we rely on elsewhere, even when there is no
packet tree.

------------------------------------------------------------------------
r22465 | lego | 2007-08-07 16:07:27 -0700 (Tue, 07 Aug 2007) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-xml.c

Remove XML heuristic dissector when disabling it.


------------------------------------------------------------------------
r22466 | jake | 2007-08-08 00:04:28 -0700 (Wed, 08 Aug 2007) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-iax2.c

Fix the build
------------------------------------------------------------------------
r22467 | etxrab | 2007-08-08 05:44:28 -0700 (Wed, 08 Aug 2007) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-sigcomp.c

From Daniel Rao:
Implement desegment for SIGCOMP over TCP, similar with HTTP desegment.
------------------------------------------------------------------------
r22468 | martinm | 2007-08-08 06:12:15 -0700 (Wed, 08 Aug 2007) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-catapult-dct2000.c

Send free-standing generic XML messages -> xml dissector

------------------------------------------------------------------------
r22469 | kukosa | 2007-08-08 07:01:28 -0700 (Wed, 08 Aug 2007) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-http.c

add missing initial registration to TCP and SSL ports
------------------------------------------------------------------------
r22470 | etxrab | 2007-08-08 07:25:17 -0700 (Wed, 08 Aug 2007) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-sip.c

Wireshark fails to decode the MIME encapsulation part correctly if there is a
"white space" in the Content-Type field before the semi-colon.
http://bugs.wireshark.org/bugzilla/show_bug.cgi?id=1716
Still does not work correctly as packet-multipart.c seems to have got broken.
------------------------------------------------------------------------
r22471 | etxrab | 2007-08-08 12:50:39 -0700 (Wed, 08 Aug 2007) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-xml.c

Add more XCAP application types.
------------------------------------------------------------------------
r22472 | ulfl | 2007-08-08 13:06:51 -0700 (Wed, 08 Aug 2007) | 12 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ptp.c

From Markus Seehofer:
A new version of the IEEE1588/PTP dissector. This dissector now includes the
coming version 2 of the standard. It supports both IP/UDP and pure ethernet
frames.
 
I've done some minor changes:
 
LL suffix doesn't work on Win32, used G_GINT64_CONSTANT instead - as described in doc/readme.developer
removed ETHERTYPE_PTP definition, already defined in etypes.h
removed some duplicated "if (tree)"
 

------------------------------------------------------------------------
r22473 | ulfl | 2007-08-08 15:53:14 -0700 (Wed, 08 Aug 2007) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-clnp.c
   M /trunk/epan/packet.c
   M /trunk/epan/packet_info.h

add pinfo fields clnp_srcref and clnp_dstref to the clnp dissector, similar to the srcport / destport already existing. As simply using srcport / destport for this will confuse mixed protocol usage (like RFC1006 ISOonTCP), I've added explicit clnp fields.

This way, protocols on top of COTP / CLNP have at least a chance to do reassembling correct.
------------------------------------------------------------------------
r22474 | ulfl | 2007-08-08 16:36:48 -0700 (Wed, 08 Aug 2007) | 1 line
Changed paths:
   M /trunk/epan/packet.c

don't use NULL to initialise an integer
------------------------------------------------------------------------
r22475 | jake | 2007-08-08 23:52:13 -0700 (Wed, 08 Aug 2007) | 2 lines
Changed paths:
   M /trunk/wiretap/Makefile.am
   M /trunk/wiretap/configure.in

Fix for bug 1704:
libm required if C library is not libc (like uclibc)
------------------------------------------------------------------------
r22476 | etxrab | 2007-08-09 05:17:56 -0700 (Thu, 09 Aug 2007) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-imf.c
   M /trunk/epan/dissectors/packet-multipart.c

Packet-imf.c - Offset must be advanced to AFTER CRLF(CRLF).
packet-multipart.c - imf_find_field_end()'s maxlength is last offset in tvb.
------------------------------------------------------------------------
r22477 | etxrab | 2007-08-09 07:47:25 -0700 (Thu, 09 Aug 2007) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-ulp.c

Register by name.
------------------------------------------------------------------------
r22478 | jake | 2007-08-09 13:40:32 -0700 (Thu, 09 Aug 2007) | 2 lines
Changed paths:
   M /trunk/wiretap/file_util.h

Fix for bug 1659:
Changed eth_dir_get_name(dirent) macro
------------------------------------------------------------------------
r22479 | jake | 2007-08-09 13:41:09 -0700 (Thu, 09 Aug 2007) | 1 line
Changed paths:
   M /trunk/gtk/rtp_player.c

Fix GTK1 compilation.
------------------------------------------------------------------------
r22480 | guy | 2007-08-09 15:50:16 -0700 (Thu, 09 Aug 2007) | 2 lines
Changed paths:
   M /trunk/wiretap/file_util.h

Parenthesize macro arguments.

------------------------------------------------------------------------
r22481 | etxrab | 2007-08-10 04:41:28 -0700 (Fri, 10 Aug 2007) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-sip.c

Add header fields.
------------------------------------------------------------------------
r22482 | etxrab | 2007-08-10 04:42:31 -0700 (Fri, 10 Aug 2007) | 1 line
Changed paths:
   M /trunk/Makefile.nmake
   M /trunk/tools/win32-setup.sh

Use the latest GTK2 packages
------------------------------------------------------------------------
r22483 | lego | 2007-08-10 14:03:26 -0700 (Fri, 10 Aug 2007) | 3 lines
Changed paths:
   M /trunk/dtds/presence.dtd
   M /trunk/epan/dissectors/packet-xml.c

An old proposal from Martin, append to COL_PROTO the name taken from a matching DTD (in case the media-type actually matches it). Having the name of the root element found would be nicer.


------------------------------------------------------------------------
r22484 | lego | 2007-08-10 14:07:18 -0700 (Fri, 10 Aug 2007) | 4 lines
Changed paths:
   M /trunk/epan/libwireshark.def


+prefs_add_uat_preference


------------------------------------------------------------------------
r22485 | jake | 2007-08-11 01:03:46 -0700 (Sat, 11 Aug 2007) | 1 line
Changed paths:
   M /trunk/gtk/rtp_player.c

Fixing the GTK1 build shouldn't break the GTK2 build.
------------------------------------------------------------------------
r22486 | lego | 2007-08-11 15:05:44 -0700 (Sat, 11 Aug 2007) | 3 lines
Changed paths:
   M /trunk/epan/dfilter/scanner.l


Use '~' as a synonim for "matches" replace rogue "s with \042 to avoid some text editors going wild

------------------------------------------------------------------------
r22487 | ulfl | 2007-08-12 13:54:30 -0700 (Sun, 12 Aug 2007) | 3 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/Makefile.am
   M /trunk/Makefile.nmake
   M /trunk/packaging/nsis/wireshark.nsi
   M /trunk/packaging/u3/win32/makefile.nmake
   A /trunk/services

add IANA port-numbers file as a file named "services", with some minor explanations from me at the top of that file

add it to the distributed files, to the Win32 NSIS and U3 packages. UNIX packages will still miss this (optional) file.
------------------------------------------------------------------------
r22488 | ulfl | 2007-08-12 14:46:50 -0700 (Sun, 12 Aug 2007) | 1 line
Changed paths:
   M /trunk/Makefile.am

as noted by Stig Bj?\195?\184rlykke: Also adding "services" to pkgdata_DATA will install the services file correctly.
------------------------------------------------------------------------
r22489 | ulfl | 2007-08-12 16:38:09 -0700 (Sun, 12 Aug 2007) | 1 line
Changed paths:
   M /trunk/packaging/u3/win32/makefile.nmake

fix a typo
------------------------------------------------------------------------
r22490 | kukosa | 2007-08-13 04:15:39 -0700 (Mon, 13 Aug 2007) | 1 line
Changed paths:
   M /trunk/asn1/Makefile.am
   M /trunk/asn1/nbap/Makefile
   M /trunk/asn1/nbap/Makefile.nmake
   A /trunk/asn1/nbap/NBAP-CommonDataTypes.asn
   A /trunk/asn1/nbap/NBAP-Constants.asn
   A /trunk/asn1/nbap/NBAP-Containers.asn
   A /trunk/asn1/nbap/NBAP-IEs.asn
   A /trunk/asn1/nbap/NBAP-PDU-Contents.asn
   A /trunk/asn1/nbap/NBAP-PDU-Descriptions.asn
   D /trunk/asn1/nbap/nbap.asn
   M /trunk/asn1/nbap/nbap.cnf
   M /trunk/asn1/nbap/packet-nbap-template.c
   D /trunk/asn1/nbap/packet-nbap-template.h
   M /trunk/asn1/rnsap/Makefile
   M /trunk/epan/dissectors/packet-nbap.c
   M /trunk/tools/asn2wrs.py

NBAP rewritten to use original ASN.1 source and updated to TS 25.433 V7.5.0 (2007-06)
------------------------------------------------------------------------
r22491 | etxrab | 2007-08-13 09:28:13 -0700 (Mon, 13 Aug 2007) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-sip.c

Add forgotten header field.
------------------------------------------------------------------------
r22492 | etxrab | 2007-08-13 09:41:16 -0700 (Mon, 13 Aug 2007) | 6 lines
Changed paths:
   M /trunk/asn1/dop/packet-dop-template.c
   M /trunk/asn1/rtse/packet-rtse-template.c
   M /trunk/epan/dissectors/packet-ber.c
   M /trunk/epan/dissectors/packet-dop.c
   M /trunk/epan/dissectors/packet-imf.c
   M /trunk/epan/dissectors/packet-rtse.c

http://bugs.wireshark.org/bugzilla/show_bug.cgi?id=1739
Fro Stig Bj?\195?\184rlykke:
1. BER: Added support for empty indef SET
2. RTSE: Added fragment length in COL_INFO
3. IMF: Use correct hf_id for extension value
4. DOP: Fix typo in COL_INFO oid name
------------------------------------------------------------------------
r22493 | etxrab | 2007-08-13 09:44:35 -0700 (Mon, 13 Aug 2007) | 1 line
Changed paths:
   M /trunk/asn1/ulp/packet-ulp-template.c

Register by name.(Add the template file as well).
------------------------------------------------------------------------
r22494 | sfisher | 2007-08-13 13:14:42 -0700 (Mon, 13 Aug 2007) | 14 lines
Changed paths:
   M /trunk/epan
   M /trunk/epan/dfilter
   M /trunk/plugins/mate
   M /trunk/wiretap


Add the following files to svn:ignore

  plugins/mate/mate_parser_lex.h
  epan/dtd_parse_lex.h
  epan/uat_load_lex.h
  epan/radius_dict_lex.h
  epan/diam_dict_lex.h
  epan/dtd_preparse_lex.h
  epan/dfilter/scanner_lex.h
  wiretap/ascend-scanner_lex.h
  wiretap/k12text_lex.h


------------------------------------------------------------------------
r22495 | martinm | 2007-08-13 14:17:02 -0700 (Mon, 13 Aug 2007) | 2 lines
Changed paths:
   M /trunk/Makefile.am

Add etsie2e4.xml to Makefile.am

------------------------------------------------------------------------
r22496 | etxrab | 2007-08-13 23:03:52 -0700 (Mon, 13 Aug 2007) | 1 line
Changed paths:
   A /trunk/asn1/tcap/DialoguePDUs.asn
   A /trunk/asn1/tcap/TC-Notation-Extensions.asn
   A /trunk/asn1/tcap/TCAP-Remote-Operations-Information-Objects.asn
   A /trunk/asn1/tcap/TCAPMessages.asn
   A /trunk/asn1/tcap/TCAPPackage.asn
   A /trunk/asn1/tcap/UnidialoguePDUs.asn

Add the original TCAP ASN1 files.
------------------------------------------------------------------------
r22497 | etxrab | 2007-08-13 23:14:31 -0700 (Mon, 13 Aug 2007) | 1 line
Changed paths:
   A /trunk/asn1/tcap/ansi_tcap.cnf
   A /trunk/asn1/tcap/packet-ansi_tcap-template.c
   A /trunk/asn1/tcap/packet-ansi_tcap-template.h

Add files for ANSI TCAP.
------------------------------------------------------------------------
r22498 | etxrab | 2007-08-13 23:20:54 -0700 (Mon, 13 Aug 2007) | 1 line
Changed paths:
   M /trunk/asn1/tcap/Makefile.nmake

Update the makefile
------------------------------------------------------------------------
r22499 | jake | 2007-08-14 09:37:35 -0700 (Tue, 14 Aug 2007) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-mip6.h

From Nicolas Dichtel:
Please find enclosed a patch to update BA status code for PMIPv6
according to draft-ietf-netlmm-proxymip6-01 Section 8.5

------------------------------------------------------------------------
r22500 | etxrab | 2007-08-14 14:50:12 -0700 (Tue, 14 Aug 2007) | 6 lines
Changed paths:
   M /trunk/epan/dissectors/packet-gtp.c

From From: Sommars, Steven E:
Minor problem in packet-gtp.c  when decoding the PDP context Information
Element (7.7.29 in 29.060)   The two uplink TEIDs are reversed in
packet-gtp.c, it should be control plane, followed by data.

Reworked the patch.
------------------------------------------------------------------------
r22501 | etxrab | 2007-08-14 15:05:36 -0700 (Tue, 14 Aug 2007) | 1 line
Changed paths:
   M /trunk/asn1/tcap/packet-tcap-template.c
   M /trunk/epan/dissectors/Makefile.common
   M /trunk/epan/dissectors/packet-tcap.c
   M /trunk/epan/dissectors/packet-tcap.h

Preparations to split the TCAP dissector into ANSI and ITU parts.
------------------------------------------------------------------------
r22502 | etxrab | 2007-08-14 15:10:55 -0700 (Tue, 14 Aug 2007) | 1 line
Changed paths:
   A /trunk/epan/dissectors/packet-ansi_tcap.c
   A /trunk/epan/dissectors/packet-ansi_tcap.h

Actually adding the dissector may help :)
------------------------------------------------------------------------
r22503 | ulfl | 2007-08-14 16:52:51 -0700 (Tue, 14 Aug 2007) | 1 line
Changed paths:
   M /trunk/epan/addr_resolv.c

if the manuf address could not be resolved, strip off special bits (multicast, locally administered) and try again to find it
------------------------------------------------------------------------
r22504 | ulfl | 2007-08-14 18:35:05 -0700 (Tue, 14 Aug 2007) | 1 line
Changed paths:
   M /trunk/docbook/user-guide.xml
   A /trunk/docbook/wsug_graphics/ws-expert-infos.png
   M /trunk/docbook/wsug_src/WSUG_chapter_advanced.xml

add a section about expert infos
------------------------------------------------------------------------
r22505 | etxrab | 2007-08-14 22:47:17 -0700 (Tue, 14 Aug 2007) | 1 line
Changed paths:
   M /trunk/asn1/tcap/packet-ansi_tcap-template.c
   M /trunk/epan/dissectors/packet-ansi_tcap.c

Change  tcap_private to ansi_tcap_private.
------------------------------------------------------------------------
r22506 | ulfl | 2007-08-15 00:37:23 -0700 (Wed, 15 Aug 2007) | 1 line
Changed paths:
   M /trunk/docbook/wsug_src/WSUG_chapter_advanced.xml

don't use table names twice
------------------------------------------------------------------------
r22507 | jmayer | 2007-08-15 06:21:23 -0700 (Wed, 15 Aug 2007) | 3 lines
Changed paths:
   M /trunk/epan/addr_resolv.c

Mask out only the bc/mc bit, not the locally assigned bit.
Update comment accordingly.

------------------------------------------------------------------------
r22508 | lego | 2007-08-15 12:52:44 -0700 (Wed, 15 Aug 2007) | 2 lines
Changed paths:
   A /trunk/epan/oids.c
   A /trunk/epan/oids.h

I'm at the end of the second iteration, so far this compiles OK still haven't tested it but it does not go in the Makefiles, I need this as a reference point.

------------------------------------------------------------------------
r22509 | morriss | 2007-08-15 13:35:14 -0700 (Wed, 15 Aug 2007) | 1 line
Changed paths:
   A /trunk/tools/checkAPIs.pl

As discussed on the -dev list quite a while ago: a small tool to check Wireshark code (or at least parts of it) for "bad" things (C++ style comments and API/function calls that should not be used).  I'm checking in because I almost missed some C++ style comments in a file I was contemplating checking in; this tool can help us (at least me) avoid such problems in the future.
------------------------------------------------------------------------
r22510 | morriss | 2007-08-15 14:07:01 -0700 (Wed, 15 Aug 2007) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-sccp.c

checkhf.pl found a couple bugs: hf_sccp_calling_itu_global_title_indicator and hf_sccp_ansi_isni_counter were never used (the former due to a typo, the latter due to oversight).
------------------------------------------------------------------------
r22511 | morriss | 2007-08-15 14:37:09 -0700 (Wed, 15 Aug 2007) | 1 line
Changed paths:
   M /trunk/asn1/ansi_map/packet-ansi_map-template.c
   M /trunk/epan/dissectors/packet-ansi_map.c
   M /trunk/epan/dissectors/packet-ansi_map.h

Change tvb_get_string() to tvb_get_ephemeral_string().  Since we weren't freeing the returned buffer, this cleans up a memory leak.  NOTE: I had to manually regenerate this dissector without the "-T" option to avoid checking in a lot of changes that I don't understand/didn't make.  Why is the Makefile newer than what's in epan/dissectors/ ?
------------------------------------------------------------------------
r22512 | stig | 2007-08-15 15:20:28 -0700 (Wed, 15 Aug 2007) | 6 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/epan/dissectors/packet-dmp.c

Fixed a free -> g_free
Removed a unused hf_ entry

From Ian Brumby:
- Fixed decoding of 4 character and longer SICs

------------------------------------------------------------------------
r22513 | stig | 2007-08-15 15:24:05 -0700 (Wed, 15 Aug 2007) | 2 lines
Changed paths:
   M /trunk/epan/reassemble.c
   M /trunk/epan/reassemble.h

Added fragment_start_seq_check to start a reassembly without adding any data.

------------------------------------------------------------------------
r22514 | stig | 2007-08-15 15:26:00 -0700 (Wed, 15 Aug 2007) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-p_mul.c

Use fragment_start_seq_check to start defragmentation when receiving an 
Address PDU without adding a empty message fragment.

------------------------------------------------------------------------
r22515 | morriss | 2007-08-15 15:27:52 -0700 (Wed, 15 Aug 2007) | 8 lines
Changed paths:
   M /trunk/epan/dissectors/packet-bittorrent.c
   M /trunk/epan/dissectors/packet-dcerpc.c
   M /trunk/epan/dissectors/packet-dmp.c
   M /trunk/epan/dissectors/packet-dtpt.c
   M /trunk/epan/dissectors/packet-fcct.c
   M /trunk/epan/dissectors/packet-fcdns.c
   M /trunk/epan/dissectors/packet-fcfzs.c
   M /trunk/epan/dissectors/packet-fcswils.c
   M /trunk/epan/dissectors/packet-fw1.c
   M /trunk/epan/dissectors/packet-http.c
   M /trunk/epan/dissectors/packet-imf.c
   M /trunk/epan/dissectors/packet-isup.c
   M /trunk/epan/dissectors/packet-msrp.c
   M /trunk/epan/dissectors/packet-mysql.c
   M /trunk/epan/dissectors/packet-ndps.c
   M /trunk/epan/dissectors/packet-p_mul.c
   M /trunk/epan/dissectors/packet-pppoe.c
   M /trunk/epan/dissectors/packet-sdp.c

- s/ntohs/g_ntohs
- s/ntohl/g_ntohl
- s/free/g_free
- Change some tvb_get_string()+g_free()'s into tvb_get_ephemeral_string()
- Change some tvb_fake_unicode()+g_free()'s into tvb_get_ephemeral_faked_unicode()
- Change some tvb_get_string() calls that were clearly memory leaks (like
  atoi(tvb_get_string(...))) into tvb_get_ephemeral_string()

------------------------------------------------------------------------
r22516 | stig | 2007-08-15 15:29:58 -0700 (Wed, 15 Aug 2007) | 6 lines
Changed paths:
   M /trunk/epan/dissectors/packet-smtp.c

Added support for RFC3030 (BDAT) in SMTP.
Added data fragment length to COL_INFO.
Changed some 0/1 values to boolean.

http://bugs.wireshark.org/bugzilla/show_bug.cgi?id=1736

------------------------------------------------------------------------
r22517 | stig | 2007-08-15 15:34:56 -0700 (Wed, 15 Aug 2007) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ber.c

Improved dumping of unexpected data when dissector for OID not implemented.

------------------------------------------------------------------------
r22518 | morriss | 2007-08-15 15:41:49 -0700 (Wed, 15 Aug 2007) | 1 line
Changed paths:
   M /trunk/asn1/ldap/ldap.cnf
   M /trunk/epan/dissectors/packet-ldap.c

Convert a couple tvb_get_string()'s into tvb_get_ephemeral_string().  In the one remaining use of tvb_get_string(), g_free the old entry if the pointer is *not* NULL.
------------------------------------------------------------------------
r22519 | stig | 2007-08-15 16:42:29 -0700 (Wed, 15 Aug 2007) | 2 lines
Changed paths:
   M /trunk/asn1/cdt/Makefile
   M /trunk/asn1/cdt/Makefile.nmake
   M /trunk/asn1/cdt/cdt-exp.cnf
   M /trunk/epan/dissectors/packet-cdt.c
   M /trunk/epan/dissectors/packet-cdt.h

Regenerate the CDT dissector with -X and -T options.

------------------------------------------------------------------------
r22520 | sfisher | 2007-08-15 20:36:38 -0700 (Wed, 15 Aug 2007) | 4 lines
Changed paths:
   M /trunk/gtk/Makefile.am
   M /trunk/gtk/Makefile.common
   M /trunk/gtk/follow_dlg.c
   A /trunk/gtk/follow_stream.c
   A /trunk/gtk/follow_stream.h
   M /trunk/gtk/ssl-dlg.c


Initial work on merging common code between follow TCP & SSL stream features


------------------------------------------------------------------------
r22521 | ulfl | 2007-08-15 21:25:54 -0700 (Wed, 15 Aug 2007) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-ip.c

add an expert info, if ip.ttl < 5
------------------------------------------------------------------------
r22522 | ulfl | 2007-08-15 21:32:48 -0700 (Wed, 15 Aug 2007) | 1 line
Changed paths:
   M /trunk/docbook/wsug_src/WSUG_chapter_advanced.xml

some more editing of the expert infos - still incomplete
------------------------------------------------------------------------
r22523 | ulfl | 2007-08-15 21:54:30 -0700 (Wed, 15 Aug 2007) | 1 line
Changed paths:
   M /trunk/gtk/follow_stream.c

fix build problems under Win32
------------------------------------------------------------------------
r22524 | lego | 2007-08-15 23:48:51 -0700 (Wed, 15 Aug 2007) | 5 lines
Changed paths:
   M /trunk/epan/oids.c
   M /trunk/epan/oids.h

- It's just-a-bad-idea(tm) to redefine anything from a foreign library, Don't.
- Allow to look for value-types by name.

[still largelly  untested]

------------------------------------------------------------------------
r22525 | etxrab | 2007-08-16 00:00:50 -0700 (Thu, 16 Aug 2007) | 1 line
Changed paths:
   M /trunk/asn1/ansi_map/Makefile
   M /trunk/asn1/ansi_map/ansi_map.cnf
   M /trunk/asn1/camel/Makefile

Fix makefiles and a comment.
------------------------------------------------------------------------
r22526 | ulfl | 2007-08-16 08:53:35 -0700 (Thu, 16 Aug 2007) | 1 line
Changed paths:
   M /trunk/docbook/user-guide.xml
   A /trunk/docbook/wsug_graphics/ws-expert-colored-tree.png
   A /trunk/docbook/wsug_graphics/ws-expert-column.png
   M /trunk/docbook/wsug_src/WSUG_chapter_advanced.xml

finish the expert info section
------------------------------------------------------------------------
r22527 | stig | 2007-08-16 10:59:27 -0700 (Thu, 16 Aug 2007) | 4 lines
Changed paths:
   M /trunk/asn1/ftam/packet-ftam-template.c
   M /trunk/epan/dissectors/packet-ftam.c

Added handling of ISO FTAM unstructured binary, as this OID is used in 
X.420 FileTransferBodyPart for generic binary bodyparts.
Also added handling of ISO FTAM unstructured text.

------------------------------------------------------------------------
r22528 | etxrab | 2007-08-16 12:59:55 -0700 (Thu, 16 Aug 2007) | 1 line
Changed paths:
   M /trunk/asn1/tcap/ansi_tcap.cnf
   M /trunk/asn1/tcap/packet-ansi_tcap-template.c
   M /trunk/asn1/tcap/packet-ansi_tcap-template.h
   M /trunk/epan/dissectors/packet-ansi_tcap.c
   M /trunk/epan/dissectors/packet-ansi_tcap.h

Collect context data.
------------------------------------------------------------------------
r22529 | stig | 2007-08-16 13:54:43 -0700 (Thu, 16 Aug 2007) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-p_mul.c

When calculating checksum for p_mul the checksum field itself is set to zero.
Ensure this field is inside the buffer before altering it, so we don't 
write outside the allocated buffer.

------------------------------------------------------------------------
r22530 | ulfl | 2007-08-16 15:03:10 -0700 (Thu, 16 Aug 2007) | 5 lines
Changed paths:
   M /trunk/epan/Makefile.common
   A /trunk/epan/dissector_filters.c
   A /trunk/epan/dissector_filters.h
   M /trunk/epan/libwireshark.def
   M /trunk/gtk/gui_stat_menu.h
   M /trunk/gtk/menu.c
   M /trunk/gtk/tcp_graph.c
   M /trunk/plugins/profinet/packet-dcerpc-pn-io.c
   M /trunk/stat_menu.h

experimental feature: dissector filters

add the possibility, that a dissector writer can provide (usually non-trivial) display filters specific for the protocol in question (with an example in packet-dcerpc-pn-io.c), that will appear in the GUI


------------------------------------------------------------------------
r22531 | ulfl | 2007-08-16 15:45:36 -0700 (Thu, 16 Aug 2007) | 1 line
Changed paths:
   M /trunk/plugins/profinet/packet-dcerpc-pn-io.c

fix return types, hopefully this will make the osx buildbot happy
------------------------------------------------------------------------
r22532 | ulfl | 2007-08-16 16:35:28 -0700 (Thu, 16 Aug 2007) | 1 line
Changed paths:
   M /trunk/gtk/menu.c

mark some parameters as unused
------------------------------------------------------------------------
r22533 | sake | 2007-08-17 01:03:32 -0700 (Fri, 17 Aug 2007) | 26 lines
Changed paths:
   M /trunk/wiretap/Makefile.common
   M /trunk/wiretap/file_access.c
   A /trunk/wiretap/netscreen.c
   A /trunk/wiretap/netscreen.h
   M /trunk/wiretap/wtap.h

(http://bugs.wireshark.org/bugzilla/show_bug.cgi?id=1717)

This patch adds support for the Juniper NetScreen snoop output format. 
It takes a text-dump op the captured packets and parses the headers 
and hex-data. Since the snoop files on a Junpiper NetScreen can be saved 
to a tftp-server, this patch makes it quite easy to use the snoop 
function of the Juniper NetScreen firewalls.

/* XXX TODO:
 *
 * o  Create a wiki-page with instruction on how to make tracefiles
 *    on Juniper NetScreen devices. Also put a few examples up
 *    on the wiki (Done: wiki-page added 2007-08-03)
 *
 * o  Use the interface names to properly detect the encapsulation
 *    type (ie adsl packets are now not properly dissected)
 *    (Done: adsl packets are now correctly seen as PPP, 2007-08-03)
 *
 * o  Pass the interface names and the traffic direction to either
 *    the frame-structure, a pseudo-header or use PPI. This needs
 *    to be discussed on the dev-list first
 *    (Posted a message to wireshark-dev abou this 2007-08-03)
 *
 */


------------------------------------------------------------------------
r22534 | gal | 2007-08-17 11:52:40 -0700 (Fri, 17 Aug 2007) | 5 lines
Changed paths:
   M /trunk/asn1/pkcs12/Makefile
   M /trunk/asn1/pkcs12/Makefile.nmake
   M /trunk/asn1/pkcs12/packet-pkcs12-template.c
   M /trunk/asn1/pkcs12/packet-pkcs12-template.h
   M /trunk/asn1/pkcs12/pkcs12.cnf
   M /trunk/epan/dissectors/packet-pkcs12.c
   M /trunk/epan/dissectors/packet-pkcs12.h

Support for decrypting of PKCS#12 bag contents.
Supports RC2, RC4 and 3DES with SHA1 Password-based Encryption using libgcrypt functions.
Password is provided as a preference, as is trying to decode with a empty/NULL password. 


------------------------------------------------------------------------
r22535 | gal | 2007-08-17 12:14:39 -0700 (Fri, 17 Aug 2007) | 4 lines
Changed paths:
   M /trunk/asn1/cms/cms-exp.cnf
   M /trunk/asn1/cms/cms.cnf
   M /trunk/asn1/cms/packet-cms-template.c
   M /trunk/epan/dissectors/packet-cms.c
   M /trunk/epan/dissectors/packet-cms.h

Support for the decryption of EncryptedData which is used by PKCS12
Uses the PBE routines from PKCS12.


------------------------------------------------------------------------
r22536 | gal | 2007-08-17 12:16:51 -0700 (Fri, 17 Aug 2007) | 3 lines
Changed paths:
   M /trunk/asn1/x509sat/x509sat-exp.cnf
   M /trunk/asn1/x509sat/x509sat.cnf
   M /trunk/epan/dissectors/packet-x509sat.c
   M /trunk/epan/dissectors/packet-x509sat.h

Faked BMP string display.


------------------------------------------------------------------------
r22537 | gal | 2007-08-17 12:23:15 -0700 (Fri, 17 Aug 2007) | 3 lines
Changed paths:
   M /trunk/asn1/pkcs12/packet-pkcs12-template.c
   M /trunk/epan/dissectors/packet-pkcs12.c

Fix for OSX gremlin in PKCS12 template.


------------------------------------------------------------------------
r22538 | gerald | 2007-08-17 12:34:14 -0700 (Fri, 17 Aug 2007) | 7 lines
Changed paths:
   M /trunk/airpcap_loader.c
   M /trunk/airpcap_loader.h
   M /trunk/epan/Makefile.common
   M /trunk/epan/column-utils.c
   M /trunk/epan/column.c
   M /trunk/epan/column_info.h
   M /trunk/epan/dissectors/packet-ppi.c
   M /trunk/epan/dissectors/packet-prism.c
   M /trunk/epan/dissectors/packet-radiotap.c
   M /trunk/epan/dissectors/packet-wlancap.c
   A /trunk/epan/frequency-utils.c
   A /trunk/epan/frequency-utils.h
   M /trunk/epan/libwireshark.def
   M /trunk/gtk/airpcap_dlg.c
   M /trunk/gtk/airpcap_gui_utils.c
   M /trunk/gtk/main.c

Instead of converting between 802.11 frequencies and channels umpteen
different ways, add a set of common conversion routines.  Add a
"Frequency/Channel" column and fill it in where we can.  Fix RSSI column
printing in PPI.

Fix up whitespace along the way.

------------------------------------------------------------------------
r22539 | gal | 2007-08-17 12:40:40 -0700 (Fri, 17 Aug 2007) | 3 lines
Changed paths:
   M /trunk/asn1/pkcs12/packet-pkcs12-template.c
   M /trunk/epan/dissectors/packet-pkcs12.c

Further tidy up for preference.


------------------------------------------------------------------------
r22540 | guy | 2007-08-17 13:04:31 -0700 (Fri, 17 Aug 2007) | 3 lines
Changed paths:
   M /trunk/wiretap/netxray.c

At least some LAPB Windows Sniffer captures have 4 bytes of extra stuff
at the ends of packets.

------------------------------------------------------------------------
r22541 | ashokn | 2007-08-17 14:21:18 -0700 (Fri, 17 Aug 2007) | 4 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/epan/dissectors/Makefile.common
   M /trunk/epan/dissectors/packet-ethertype.c
   A /trunk/epan/dissectors/packet-ieee8021ah.c
   A /trunk/epan/dissectors/packet-ieee8021ah.h
   M /trunk/epan/etypes.h

Added support for 802.1ad and 802.1ah ethernet frames



------------------------------------------------------------------------
r22542 | morriss | 2007-08-17 14:21:50 -0700 (Fri, 17 Aug 2007) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-dcp-etsi.c
   M /trunk/epan/dissectors/packet-sdp.c

Replace a couple more calls to tvb_get_string() with tvb_get_ephemeral_string().  2 of the 3 replacements fix memory leaks.
------------------------------------------------------------------------
r22543 | etxrab | 2007-08-17 14:31:22 -0700 (Fri, 17 Aug 2007) | 1 line
Changed paths:
   M /trunk/epan/dissectors/Makefile.common
   A /trunk/epan/dissectors/packet-dpnss.c
   M /trunk/epan/dissectors/packet-dua.c

Add a rudimentarry DPNSS dissector - work in progress.
------------------------------------------------------------------------
r22544 | etxrab | 2007-08-17 16:23:36 -0700 (Fri, 17 Aug 2007) | 1 line
Changed paths:
   M /trunk/asn1/tcap/ansi_tcap.cnf
   M /trunk/asn1/tcap/packet-ansi_tcap-template.c
   M /trunk/asn1/tcap/packet-ansi_tcap-template.h
   M /trunk/epan/dissectors/packet-ansi_tcap.c
   M /trunk/epan/dissectors/packet-ansi_tcap.h

Add code for finding sub dissectors.
------------------------------------------------------------------------
r22545 | gerald | 2007-08-17 16:53:41 -0700 (Fri, 17 Aug 2007) | 2 lines
Changed paths:
   M /trunk/epan/frequency-utils.c

Fix a couple of signedness mismatches.

------------------------------------------------------------------------
r22546 | lego | 2007-08-17 17:14:52 -0700 (Fri, 17 Aug 2007) | 3 lines
Changed paths:
   M /trunk/epan/proto.c

accept 64bit integers where 8 <= len <= 1


------------------------------------------------------------------------
r22547 | guy | 2007-08-17 18:46:14 -0700 (Fri, 17 Aug 2007) | 5 lines
Changed paths:
   M /trunk/gtk/rtp_player.c

Use #defines, rather than raw numbers, for RTP payload types.

Note that we should return an error for payload types we don't support,
so the user knows we can't handle the audio.

------------------------------------------------------------------------
r22548 | wmeier | 2007-08-17 20:19:44 -0700 (Fri, 17 Aug 2007) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dpnss.c

Fix some gcc warnings so buildbots can proceed.

------------------------------------------------------------------------
r22549 | wmeier | 2007-08-17 21:28:40 -0700 (Fri, 17 Aug 2007) | 2 lines
Changed paths:
   M /trunk/gtk/rtp_player.c

Add #include needed to get defs for PT_PCMU & etc

------------------------------------------------------------------------
r22550 | wmeier | 2007-08-18 08:48:10 -0700 (Sat, 18 Aug 2007) | 2 lines
Changed paths:
   M /trunk/docbook/Makefile

Bug #1446 work-around from  Toralf F?\195?\182rster  

------------------------------------------------------------------------
r22551 | gal | 2007-08-18 10:39:44 -0700 (Sat, 18 Aug 2007) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ber.c

Handle unknown Universal and BMP strings.


------------------------------------------------------------------------
r22552 | stig | 2007-08-18 15:56:44 -0700 (Sat, 18 Aug 2007) | 6 lines
Changed paths:
   M /trunk/epan/dissectors/packet-x25.c

Check for COTP if Call Request has not been captured.
Fixed an offset for diagnostic in COL_INFO.

This file should really be rewritten to use more proto_tree_add_item's
instead of proto_tree_add_text's.

------------------------------------------------------------------------
r22553 | etxrab | 2007-08-19 13:26:08 -0700 (Sun, 19 Aug 2007) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-dpnss.c

Disscet CC messages.
------------------------------------------------------------------------
r22554 | etxrab | 2007-08-19 13:41:16 -0700 (Sun, 19 Aug 2007) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-dpnss.c

Fix copy-paste errors.
------------------------------------------------------------------------
r22555 | stig | 2007-08-19 14:56:11 -0700 (Sun, 19 Aug 2007) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dpnss.c

Mark pinfo as unused to make buildbot happy again.

------------------------------------------------------------------------
r22556 | lego | 2007-08-19 16:00:47 -0700 (Sun, 19 Aug 2007) | 20 lines
Changed paths:
   M /trunk/asn1/snmp/packet-snmp-template.c
   M /trunk/asn1/snmp/snmp.asn
   M /trunk/asn1/snmp/snmp.cnf
   M /trunk/epan/oids.c
   M /trunk/epan/oids.h

Filtering on snmp variables starts to work so I put it there in case anyone wants to start playing with it. I'll leave the generated dissector in place and the rest off the Makefiles so that others are not bothered by this.

TODO:
- Global
   - add libsmi to autoconf (I modified CFLAGS and LDADDs in the makefile.ams appending my own values, that's good only for me)
   - have other users of oid_resolv.h get to use the new functions in oids.h
   - add a menu item or preference setting for the smi_modules UAT ( the smi_modules file has one dquoted string per line with the name of each module to be loaded)
- SNMP
  - put complete information in the labels of the VarBind Items
  - add oids to COL_INFO
  - negative testing (Well, testing in general)
- OIDS
  - implement "ALL" modules 
  - some functions are not yet tested or implemented

I'll put a TO-DO list on the wiki for people (incl. me) to add more items




------------------------------------------------------------------------
r22557 | sahlberg | 2007-08-20 01:09:52 -0700 (Mon, 20 Aug 2007) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-smb.c

we need to track the fid in the rwdata structure so that reassembly of 
connectionoriented dcerpc over smb pipes will be able to find the fid 
used for reassembly


------------------------------------------------------------------------
r22558 | jake | 2007-08-20 13:50:29 -0700 (Mon, 20 Aug 2007) | 2 lines
Changed paths:
   M /trunk/Makefile.am
   M /trunk/Makefile.nmake
   M /trunk/configure.in
   M /trunk/plugins/Makefile.am
   M /trunk/plugins/Makefile.nmake
   A /trunk/plugins/unistim
   A /trunk/plugins/unistim/AUTHORS
   A /trunk/plugins/unistim/COPYING
   A /trunk/plugins/unistim/ChangeLog
   A /trunk/plugins/unistim/Makefile.am
   A /trunk/plugins/unistim/Makefile.common
   A /trunk/plugins/unistim/Makefile.nmake
   A /trunk/plugins/unistim/TODO
   A /trunk/plugins/unistim/audio.h
   A /trunk/plugins/unistim/basic.h
   A /trunk/plugins/unistim/broadcast.h
   A /trunk/plugins/unistim/defines.h
   A /trunk/plugins/unistim/display.h
   A /trunk/plugins/unistim/header_field.h
   A /trunk/plugins/unistim/key.h
   A /trunk/plugins/unistim/moduleinfo.h
   A /trunk/plugins/unistim/moduleinfo.nmake
   A /trunk/plugins/unistim/network.h
   A /trunk/plugins/unistim/packet-unistim.c
   A /trunk/plugins/unistim/packet-unistim.h
   A /trunk/plugins/unistim/plugin.rc.in

Add the UNISTIM plugin to Wireshark.

------------------------------------------------------------------------
r22559 | etxrab | 2007-08-20 13:55:06 -0700 (Mon, 20 Aug 2007) | 9 lines
Changed paths:
   M /trunk/epan/dissectors/packet-gprs-llc.c
   M /trunk/epan/dissectors/packet-gsm_a.c

From Cyrille Colin:
gsm_a :
http://bugs.wireshark.org/bugzilla/show_bug.cgi?id=1754
SMS CP (gsm_a_dtap), RP (gsm_a_rp) and T-PDU (gsm_sms) protocol stacks are
decoded in Wireshark when called by BSSAP or RANAP.
Same protocol stack can be called by GPRS-LLC (sapi 7). Simple modification
needed in packet-gsm_a.c to add dtap dissector to llcgprs.sapi 7.

Me a comment in gprs-llc.
------------------------------------------------------------------------
r22560 | etxrab | 2007-08-20 13:58:02 -0700 (Mon, 20 Aug 2007) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-dpnss.c

Dissect End-to-End and Link-by-Link messages.
------------------------------------------------------------------------
r22561 | jake | 2007-08-20 14:48:25 -0700 (Mon, 20 Aug 2007) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dpnss.c

Fix the build.

------------------------------------------------------------------------
r22562 | jake | 2007-08-21 00:23:34 -0700 (Tue, 21 Aug 2007) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-rtcp.c
   M /trunk/epan/dissectors/packet-rtcp.h
   M /trunk/epan/dissectors/packet-rtp.c
   M /trunk/epan/dissectors/packet-rtp.h

From Neil Piercy:
This patch set provides a an API for out of band signalling protocols to
register flows as SRTP/SRTCP using extended versions of the existing
rt(c)p_add_address functions. At present the encrypted portions of the payloads
are simply skipped, and the auth tags etc added as fields.
------------------------------------------------------------------------
r22563 | guy | 2007-08-21 10:49:54 -0700 (Tue, 21 Aug 2007) | 2 lines
Changed paths:
   M /trunk/packaging/nsis/Makefile.nmake
   M /trunk/packaging/nsis/wireshark.nsi

Update the NSIS files to add the UNISTIM plugin.

------------------------------------------------------------------------
r22564 | guy | 2007-08-21 10:59:08 -0700 (Tue, 21 Aug 2007) | 2 lines
Changed paths:
   M /trunk/doc/README.plugins

Add more information on adding a plugin to the NSIS installer.

------------------------------------------------------------------------
r22565 | guy | 2007-08-21 11:04:09 -0700 (Tue, 21 Aug 2007) | 3 lines
Changed paths:
   M /trunk/packaging/u3/win32/makefile.nmake

Add the UNISTIM plugin, and put the plugins in alphabetical order (to
simplify checking whether we have the full list).

------------------------------------------------------------------------
r22566 | guy | 2007-08-21 11:09:33 -0700 (Tue, 21 Aug 2007) | 3 lines
Changed paths:
   M /trunk/doc/README.plugins

Give the full pathname of the wireshark.nsi file, and add information on
what to do for the U3 win32/makefile.nmake file.

------------------------------------------------------------------------
r22567 | stig | 2007-08-21 11:50:37 -0700 (Tue, 21 Aug 2007) | 2 lines
Changed paths:
   M /trunk/plugins/unistim

Add default svn:ignore files to unistim plugin.

------------------------------------------------------------------------
r22568 | morriss | 2007-08-21 13:24:17 -0700 (Tue, 21 Aug 2007) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-smpp.c

When saving off a temporary copy of an address, use SET_ADDRESS instead of COPY_ADDRESS so as to avoid a memory leak (or adding g_free() calls to fix said memory leak).
------------------------------------------------------------------------
r22569 | richardv | 2007-08-21 13:32:22 -0700 (Tue, 21 Aug 2007) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-rtcp.c

fix a signedness-in-comparison warning

------------------------------------------------------------------------
r22570 | richardv | 2007-08-21 13:57:52 -0700 (Tue, 21 Aug 2007) | 13 lines
Changed paths:
   M /trunk/epan/req_resp_hdrs.c

From Mike Duigou <wireshark@duigou.org> (bug 1698):

Enclosed is a patch with fixes problems with the desegmentation of chunked HTTP
message bodies.

...

Changing the value of pinfo->desegment_len to DESEGMENT_ONE_MORE_SEGMENT rather
than the current 1 or 2 seems to make everything work. (I'm kind of confused as
to why the headers resassembly code already used DESEGMENT_ONE_MORE_SEGMENT and
the body reassembly code did not).


------------------------------------------------------------------------
r22571 | morriss | 2007-08-21 14:03:59 -0700 (Tue, 21 Aug 2007) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-netflow.c

Use SET_ADDRESS (instead of COPY_ADDRESS) for an address that has "ephemeral" scope.  Use SE_COPY_ADDRESS when the address is copied to the template cache (with "seasonal" scope.)
------------------------------------------------------------------------
r22572 | richardv | 2007-08-21 14:15:57 -0700 (Tue, 21 Aug 2007) | 6 lines
Changed paths:
   M /trunk/color_filters.c

From Florent DROUIN <florent.drouin@alcatel.fr>, bug 1518:

Fix for g_assert when clicking 'OK' on colour filters dialogue whilst
individual filter edit window is open. 


------------------------------------------------------------------------
r22573 | morriss | 2007-08-21 14:23:37 -0700 (Tue, 21 Aug 2007) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-isakmp.c
   M /trunk/epan/dissectors/packet-jxta.c
   M /trunk/epan/dissectors/packet-sip.c

Change COPY_ADDRESS to SE_COPY_ADDRESS: all of these appear to have "seasonal" scope (e.g., they are used in conversations or similar).
------------------------------------------------------------------------
r22574 | richardv | 2007-08-21 14:25:53 -0700 (Tue, 21 Aug 2007) | 1 line
Changed paths:
   M /trunk/text2pcap.c

fix usage message for -o option
------------------------------------------------------------------------
r22575 | lego | 2007-08-21 14:32:00 -0700 (Tue, 21 Aug 2007) | 3 lines
Changed paths:
   M /trunk/asn1/snmp/packet-snmp-template.c
   M /trunk/epan/oids.c
   M /trunk/epan/oids.h

A further iteration in the code, things start to look good!


------------------------------------------------------------------------
r22576 | richardv | 2007-08-21 14:40:18 -0700 (Tue, 21 Aug 2007) | 6 lines
Changed paths:
   M /trunk/epan/dissectors/packet-bootp.c

From Francois-Xavier Le Bail <fx.lebail@yahoo.com> / bug 1724:

The following patch decode DHCP option 249 (Classless Static Route) used by
some Microsoft systems. Same decoding as option 121 (RFC 3442).


------------------------------------------------------------------------
r22577 | richardv | 2007-08-21 15:00:06 -0700 (Tue, 21 Aug 2007) | 12 lines
Changed paths:
   M /trunk/asn1/mpeg/mpeg-pes.asn
   M /trunk/asn1/mpeg/packet-mpeg-pes-template.c
   M /trunk/epan/dissectors/packet-mpeg-pes.c
   M /trunk/wiretap/mpeg.c
   M /trunk/wiretap/wtap-int.h

From Shaun Jackman  <sjackman@gmail.com> / bug 1753:

        * asn1/mpeg/packet-mpeg-pes-template.c: Improved decoding of PES
        extension header and Pack header. Decode SCR, PTS, and DTS.
        * asn1/mpeg/mpeg-pes.asn (Pack): Remove.
        * epan/dissectors/packet-mpeg-pes.c: Regenerate.
        * wiretap/mpeg.c (mpeg_read): Decode the SCR using integer
        arithmetic instead of double float arithmetic to prevent rounding
        error.
        * wiretap/wtap-int.h (mpeg_t) <t0>: Use time_t instead of double.


------------------------------------------------------------------------
r22578 | richardv | 2007-08-21 15:15:17 -0700 (Tue, 21 Aug 2007) | 7 lines
Changed paths:
   M /trunk/epan/dissectors/packet-tcp.c

From   	 yin sun <sunyin51@gmail.com> / bug 1722:

When a subdissector on top of TCP set ... DESEGMENT_UNTIL_FIN ... then
the subdissector should receive the whole reassembled TCP stream in tvb.
But the bug is it is missing the last payload from the FIN packet.


------------------------------------------------------------------------
r22579 | morriss | 2007-08-21 15:18:27 -0700 (Tue, 21 Aug 2007) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-jxta.c

Fix a known- and marked-by-a-comment memory leak: replace g_strdup() with se_strdup().  (The address in question is stored in a conversation structure so it's "seasonal".)
------------------------------------------------------------------------
r22580 | guy | 2007-08-21 19:45:42 -0700 (Tue, 21 Aug 2007) | 5 lines
Changed paths:
   M /trunk/wiretap/mpeg.c

Cast away shortening conversions that are presumed not to lose any data.

Use G_GINT64_CONSTANT() to make a 64-bit integral constant; not all
compilers we use support LL as a suffix for that (MSVC++ 6, for one).

------------------------------------------------------------------------
r22581 | guy | 2007-08-21 21:25:00 -0700 (Tue, 21 Aug 2007) | 5 lines
Changed paths:
   M /trunk/asn1/mpeg/packet-mpeg-pes-template.c

Cast away shortening conversions that are presumed not to lose any data.

Use G_GINT64_CONSTANT() to make a 64-bit integral constant; not all
compilers we use support LL as a suffix for that (MSVC++ 6, for one).

------------------------------------------------------------------------
r22582 | guy | 2007-08-21 21:31:32 -0700 (Tue, 21 Aug 2007) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-mpeg-pes.c

Oops, have to regenerate this after changing its template.

------------------------------------------------------------------------
r22583 | jake | 2007-08-21 23:59:28 -0700 (Tue, 21 Aug 2007) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-pana.c

From Victor Fajardo:
Updated patches to support draft-ietf-pana-pana-18.txt.

------------------------------------------------------------------------
r22584 | guy | 2007-08-22 00:14:08 -0700 (Wed, 22 Aug 2007) | 2 lines
Changed paths:
   M /trunk/asn1/mpeg/packet-mpeg-pes-template.c
   M /trunk/epan/dissectors/packet-mpeg-pes.c

More timestamp calculation fixes similar to the previous ones.

------------------------------------------------------------------------
r22585 | jake | 2007-08-22 06:58:39 -0700 (Wed, 22 Aug 2007) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-pana.c

The reserved field is now 16 bits. Treat it as such.
------------------------------------------------------------------------
r22586 | martinm | 2007-08-22 07:43:26 -0700 (Wed, 22 Aug 2007) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ip.c

Show which bits 'fragment offset' comes from (I had to look it up :( )

------------------------------------------------------------------------
r22587 | morriss | 2007-08-22 09:30:16 -0700 (Wed, 22 Aug 2007) | 11 lines
Changed paths:
   M /trunk/capture_opts.c
   M /trunk/capture_opts.h
   M /trunk/capture_ui_utils.c
   M /trunk/gtk/capture_dlg.c
   M /trunk/gtk/capture_if_dlg.c
   M /trunk/gtk/main.c
   M /trunk/summary.c
   M /trunk/tshark.c

Fix bug http://bugs.wireshark.org/bugzilla/show_bug.cgi?id=1757 :

Try to call get_interface_descriptive_name() as little as possible (storing
the result in capture_opts) to avoid a performance hit during live capture
(especially if you have lots of interfaces) and to avoid leaking memory.

One issue with this is that capture_opts.c cannot (without adding significant
dependencies) set the iface_descr so readers of that field (only gtk/main.c
and tshark.c) use a macro to (set if not already set and) get the value of
that field.

------------------------------------------------------------------------
r22588 | morriss | 2007-08-22 11:56:20 -0700 (Wed, 22 Aug 2007) | 1 line
Changed paths:
   M /trunk/capture_opts.h
   M /trunk/capture_ui_utils.c
   M /trunk/capture_ui_utils.h
   M /trunk/gtk/main.c
   M /trunk/summary.c

gcc 4 doesn't like my macro for getting the interface description: it says there's an invalid lvalue in it.  I don't see what's wrong with it, but replace the macro with a function.  Also: don't include the .xpm files in gtk/main.c if we're building without PCAP (as they're not used in that configuration).
------------------------------------------------------------------------
r22589 | morriss | 2007-08-22 11:58:26 -0700 (Wed, 22 Aug 2007) | 1 line
Changed paths:
   M /trunk/gtk/toolbar.c

autoscroll_button is not used if we don't HAVE_LIBPCAP so put it inside the #ifdef
------------------------------------------------------------------------
r22590 | wmeier | 2007-08-22 12:36:49 -0700 (Wed, 22 Aug 2007) | 2 lines
Changed paths:
   M /trunk/make-version.pl

Handle case of source-dir != build-dir; 2 other minor bug fixes 

------------------------------------------------------------------------
r22591 | morriss | 2007-08-22 12:38:49 -0700 (Wed, 22 Aug 2007) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-ppi.c
   M /trunk/wiretap/libpcap.h
   M /trunk/wiretap/wtap-capture.h

Move wtap_pcap_encap_to_wtap_encap()'s definition to libpcap.h so packet-ppi.c can get access to it even when we don't HAVE_LIBPCAP (besides, it doesn't seem to be specific to capturing...)
------------------------------------------------------------------------
r22592 | morriss | 2007-08-22 14:05:25 -0700 (Wed, 22 Aug 2007) | 1 line
Changed paths:
   M /trunk/configure.in

Postpone checking if dumpcap is enabled until after we have checked if we have libpcap or not: if not, don't bother trying to build dumpcap.
------------------------------------------------------------------------
r22593 | etxrab | 2007-08-22 14:47:31 -0700 (Wed, 22 Aug 2007) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-dpnss.c

Put suplementarry service strings and parameters into the tree.
------------------------------------------------------------------------
r22594 | stig | 2007-08-22 14:58:21 -0700 (Wed, 22 Aug 2007) | 9 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/epan/dissectors/packet-slowprotocols.c

From Todd J Martin:
When LACP packets have the actor state or partner state fields set to 0x00,
wireshark prints the state like this (note the closing parenthesis):

  Actor State: 0x00)

Since there are no flags set, this fields should be printed like this:
  Actor State: 0x00

------------------------------------------------------------------------
r22595 | stig | 2007-08-22 15:32:13 -0700 (Wed, 22 Aug 2007) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dpnss.c

Added DPNSS_NONE as par3_num and par4_num to "PCON-P"
Fixed a signed/unsigned compiler warning

------------------------------------------------------------------------
r22596 | lego | 2007-08-22 15:56:36 -0700 (Wed, 22 Aug 2007) | 3 lines
Changed paths:
   M /trunk/epan/oids.c
   M /trunk/epan/oids.h

Prepare the oids dataset for managing conceptual table indexing


------------------------------------------------------------------------
r22597 | jake | 2007-08-22 23:56:04 -0700 (Wed, 22 Aug 2007) | 6 lines
Changed paths:
   M /trunk/epan/dissectors/packet-bacnet.c

From Steve Karg
1. Moved all the network layer message type decodings under the network layer control bit check to prevent malformed packets.
2. Added the decoding of the optional network number for the Who-Is-Router-To-Network message type.
3. Added the decoding for the Establish-Connection-To-Network and Disconnect-Connection-To-Network network layer messages.
4. Corrected Initialize-Routing-Table and Initialize-Routing-Table-Ack decoding.
5. Added Network layer info under Column Info.
------------------------------------------------------------------------
r22598 | jake | 2007-08-23 02:16:31 -0700 (Thu, 23 Aug 2007) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-bgp.c

From David Helder:
The MP_REACH_NLRI (and MP_UNREACH_NLRI) parser incorrectly increments a buffer
offset.  Any attributes following will be skipped and/or parsed incorrectly. 
No security problem I see - the bounds are checked before parsing each attribute.

------------------------------------------------------------------------
r22599 | grahamb | 2007-08-23 02:26:01 -0700 (Thu, 23 Aug 2007) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-cip.c

Permit decoding of individual service errors + removal of a few lines consisting of just whitespace
------------------------------------------------------------------------
r22600 | grahamb | 2007-08-23 02:28:03 -0700 (Thu, 23 Aug 2007) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-dnp.c

Large update with improvements in objects dissected, fragment reassembly, info column details and filter field names
------------------------------------------------------------------------
r22601 | wmeier | 2007-08-23 07:56:18 -0700 (Thu, 23 Aug 2007) | 2 lines
Changed paths:
   M /trunk/tools/fuzz-test.sh

Don't rename to self when fuzz err; enable ^C file cleanup trap

------------------------------------------------------------------------
r22602 | etxrab | 2007-08-23 10:00:44 -0700 (Thu, 23 Aug 2007) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-sip.c

Translate Q.850 Cause values.
------------------------------------------------------------------------
r22603 | richardv | 2007-08-23 10:25:22 -0700 (Thu, 23 Aug 2007) | 2 lines
Changed paths:
   M /trunk/epan/Makefile.common
   A /trunk/epan/golay.c (from /trunk/plugins/h223/golay.c:22567)
   A /trunk/epan/golay.h (from /trunk/plugins/h223/golay.h:22567)
   M /trunk/plugins/h223/Makefile.common
   D /trunk/plugins/h223/golay.c
   D /trunk/plugins/h223/golay.h
   M /trunk/plugins/h223/packet-h223.c

in preparation for de-pluginising h223, move golay code support into libwireshark

------------------------------------------------------------------------
r22604 | gerald | 2007-08-23 10:49:47 -0700 (Thu, 23 Aug 2007) | 3 lines
Changed paths:
   M /trunk/capture-pcap-util.c

Include libpcap.h so that we can use wtap_pcap_encap_to_wtap_encap()
in its new location.

------------------------------------------------------------------------
r22605 | jake | 2007-08-23 12:12:52 -0700 (Thu, 23 Aug 2007) | 1 line
Changed paths:
   M /trunk/plugins/unistim/TODO

List additional request for command presentation
------------------------------------------------------------------------
r22606 | lego | 2007-08-23 12:45:31 -0700 (Thu, 23 Aug 2007) | 4 lines
Changed paths:
   M /trunk/asn1/snmp/packet-snmp-template.c
   M /trunk/epan/oids.c

Implement Resolution of conceptual table indexing
So far this has being tested only for integer indexes.


------------------------------------------------------------------------
r22607 | jake | 2007-08-23 13:42:27 -0700 (Thu, 23 Aug 2007) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-bgp.c

Clean up the code.
- Move add. info from header
- Remove excess comma's
- Use plurality macro
- NULL pointer for field descriptions
------------------------------------------------------------------------
r22608 | morriss | 2007-08-23 14:11:47 -0700 (Thu, 23 Aug 2007) | 1 line
Changed paths:
   M /trunk/epan/libwireshark.def

Export golay_errors() to get the Windows builds going again
------------------------------------------------------------------------
r22609 | morriss | 2007-08-23 14:38:15 -0700 (Thu, 23 Aug 2007) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-tcp.c

When detecting fast retransmissions or out of order packets, use a 64-bit variable to store the time delta (instead of a 32-bit one).  We're counting nanoseconds here, so this allows us to accurately detect differences greater than 4.294 seconds.
------------------------------------------------------------------------
r22610 | stig | 2007-08-23 14:51:36 -0700 (Thu, 23 Aug 2007) | 2 lines
Changed paths:
   M /trunk/gtk/io_stat.c

Fixed drawing of X Axis decimal values:  "0. 50" -> "0.050"

------------------------------------------------------------------------
r22611 | sfisher | 2007-08-23 14:51:44 -0700 (Thu, 23 Aug 2007) | 4 lines
Changed paths:
   M /trunk/gtk/follow_stream.h


Fix comment on top of file


------------------------------------------------------------------------
r22612 | sfisher | 2007-08-23 15:11:39 -0700 (Thu, 23 Aug 2007) | 10 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/wiretap/visual.c


From Scott Robinson:

Enhancement patch:
  http://bugs.wireshark.org/bugzilla/show_bug.cgi?id=1758

This change gives Wireshark the ability to read ATM captures saved by UpTime
Select traffic capture.


------------------------------------------------------------------------
r22613 | gerald | 2007-08-23 16:01:20 -0700 (Thu, 23 Aug 2007) | 2 lines
Changed paths:
   M /trunk/gtk/follow_stream.c
   M /trunk/gtk/follow_stream.h

Move follow_infos into folow_stream.c and initialize it.

------------------------------------------------------------------------
r22614 | richardv | 2007-08-23 16:33:23 -0700 (Thu, 23 Aug 2007) | 1 line
Changed paths:
   M /trunk/epan/libwireshark.def

add remaining golay_* functions
------------------------------------------------------------------------
r22615 | richardv | 2007-08-23 16:58:59 -0700 (Thu, 23 Aug 2007) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-calcappprotocol.c
   M /trunk/epan/dissectors/packet-cast.c
   M /trunk/epan/dissectors/packet-cpha.c

From Chris Maynard <christopher.maynard@gtech.com> / bug 1789:

Incorrect display filter field naming conventions for packet-c*.c dissector
files.

------------------------------------------------------------------------
r22616 | richardv | 2007-08-23 17:03:02 -0700 (Thu, 23 Aug 2007) | 3 lines
Changed paths:
   M /trunk/epan/filesystem.c

Don't build in init_plugin_dir if HAVE_PLUGINS is not defined, which
means that we aren't reliant on PLUGIN_DIR having a sensible value.

------------------------------------------------------------------------
r22617 | richardv | 2007-08-23 17:06:30 -0700 (Thu, 23 Aug 2007) | 7 lines
Changed paths:
   M /trunk/config.h.win32
   M /trunk/configure.in

In keeping with all the other path variables (eg, libdir), don't resolve
plugindir at configure time. Instead leave it to be defined at make
time, which means it can then be changed by, eg, changing $prefix. This
also means moving the definition of PLUGIN_DIR from config.h to a -D in
CPPFLAGS.


------------------------------------------------------------------------
r22618 | lego | 2007-08-23 17:26:30 -0700 (Thu, 23 Aug 2007) | 3 lines
Changed paths:
   M /trunk/asn1/snmp/packet-snmp-template.c
   M /trunk/epan/oids.c

Another iteration, the new code is almost there, We're missing just the implied octetstrings indexes.


------------------------------------------------------------------------
r22619 | lego | 2007-08-23 17:33:35 -0700 (Thu, 23 Aug 2007) | 3 lines
Changed paths:
   M /trunk/asn1/snmp/packet-snmp-template.c

Never, never, never modify a generated file... or out of idiocy you might loose changes (or not check them in).


------------------------------------------------------------------------
r22620 | lego | 2007-08-23 17:41:43 -0700 (Thu, 23 Aug 2007) | 3 lines
Changed paths:
   M /trunk/asn1/snmp/packet-snmp-template.c

this one was missing


------------------------------------------------------------------------
r22621 | etxrab | 2007-08-23 22:58:08 -0700 (Thu, 23 Aug 2007) | 3 lines
Changed paths:
   M /trunk/asn1/ansi_map/packet-ansi_map-template.c
   M /trunk/asn1/tcap/packet-ansi_tcap-template.c
   M /trunk/epan/dissectors/packet-ansi_map.c
   M /trunk/epan/dissectors/packet-ansi_map.h
   M /trunk/epan/dissectors/packet-ansi_tcap.c
   M /trunk/epan/dissectors/packet-gsm_a.c

From Chris Maynard:
Fix display filter field problems
Correct the template files in the case of generated dissectors.
------------------------------------------------------------------------
r22622 | etxrab | 2007-08-23 22:59:08 -0700 (Thu, 23 Aug 2007) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-amr.c

From Chris Maynard:
Fix display filter field problems
Correct the template files in the case of generated dissectors.
------------------------------------------------------------------------
r22623 | jmayer | 2007-08-23 23:49:47 -0700 (Thu, 23 Aug 2007) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-radius.h

Add a value for message_authenticator


------------------------------------------------------------------------
r22624 | jmayer | 2007-08-23 23:51:10 -0700 (Thu, 23 Aug 2007) | 4 lines
Changed paths:
   M /trunk/tools/asn2wrs.py

Make Windows path separator look like Unix path separator.
That way, we will not have irrelevant diffs depending on
the platform the last submitter built the dissector on.

------------------------------------------------------------------------
r22625 | jmayer | 2007-08-23 23:52:19 -0700 (Thu, 23 Aug 2007) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ssl.c

Don't acidentally print the hexdump of a certificate
in the summary-tree

------------------------------------------------------------------------
r22626 | jmayer | 2007-08-24 00:10:33 -0700 (Fri, 24 Aug 2007) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-isakmp.c

Decode certificates

------------------------------------------------------------------------
r22627 | jmayer | 2007-08-24 00:12:04 -0700 (Fri, 24 Aug 2007) | 3 lines
Changed paths:
   M /trunk/asn1/acse/acse-exp.cnf
   M /trunk/asn1/cmip/cmip-exp.cnf
   M /trunk/asn1/cms/cms.cnf
   M /trunk/asn1/dap/dap-exp.cnf
   M /trunk/asn1/disp/disp-exp.cnf
   M /trunk/asn1/dop/dop-exp.cnf
   M /trunk/asn1/dsp/dsp-exp.cnf
   M /trunk/asn1/ftam/ftam-exp.cnf
   M /trunk/asn1/gsmmap/gsm_map-exp.cnf
   M /trunk/asn1/gsmmap/packet-gsm_map-template.c
   M /trunk/asn1/h225/h225-exp.cnf
   M /trunk/asn1/h245/h245-exp.cnf
   M /trunk/asn1/ldap/packet-ldap-template.c
   M /trunk/asn1/mms/mms-exp.cnf
   M /trunk/asn1/mms/packet-mms-template.c
   M /trunk/asn1/mpeg/mpeg-audio-exp.cnf
   M /trunk/asn1/mpeg/mpeg-pes-exp.cnf
   M /trunk/asn1/pkcs12/packet-pkcs12-template.c
   M /trunk/asn1/pkix1explicit/pkix1explicit-exp.cnf
   M /trunk/asn1/pkix1implicit/pkix1implicit-exp.cnf
   M /trunk/asn1/pkixcmp/cmp-exp.cnf
   M /trunk/asn1/pkixcrmf/crmf-exp.cnf
   M /trunk/asn1/q932/packet-q932-template.c
   M /trunk/asn1/q932/q932-exp.cnf
   M /trunk/asn1/qsig/qsig-exp.cnf
   M /trunk/asn1/ranap/ranap-exp.cnf
   M /trunk/asn1/ros/ros-exp.cnf
   M /trunk/asn1/rtse/rtse-exp.cnf
   M /trunk/asn1/rtse/rtse.cnf
   M /trunk/asn1/snmp/packet-snmp-template.c
   M /trunk/asn1/snmp/snmp.cnf
   M /trunk/asn1/tcap/packet-tcap-template.c
   M /trunk/asn1/x411/x411-exp.cnf
   M /trunk/asn1/x411/x411.cnf
   M /trunk/asn1/x509af/x509af-exp.cnf
   M /trunk/asn1/x509ce/x509ce-exp.cnf
   M /trunk/asn1/x509if/x509if-exp.cnf
   M /trunk/epan/dissectors/packet-acse.h
   M /trunk/epan/dissectors/packet-ber.c
   M /trunk/epan/dissectors/packet-ber.h
   M /trunk/epan/dissectors/packet-cmip.c
   M /trunk/epan/dissectors/packet-cmip.h
   M /trunk/epan/dissectors/packet-cmp.c
   M /trunk/epan/dissectors/packet-cmp.h
   M /trunk/epan/dissectors/packet-cms.c
   M /trunk/epan/dissectors/packet-cops.c
   M /trunk/epan/dissectors/packet-crmf.c
   M /trunk/epan/dissectors/packet-crmf.h
   M /trunk/epan/dissectors/packet-dap.c
   M /trunk/epan/dissectors/packet-dap.h
   M /trunk/epan/dissectors/packet-disp.c
   M /trunk/epan/dissectors/packet-disp.h
   M /trunk/epan/dissectors/packet-dop.c
   M /trunk/epan/dissectors/packet-dop.h
   M /trunk/epan/dissectors/packet-dsp.c
   M /trunk/epan/dissectors/packet-dsp.h
   M /trunk/epan/dissectors/packet-ftam.h
   M /trunk/epan/dissectors/packet-gsm_a.c
   M /trunk/epan/dissectors/packet-gsm_map.c
   M /trunk/epan/dissectors/packet-gsm_map.h
   M /trunk/epan/dissectors/packet-gssapi.c
   M /trunk/epan/dissectors/packet-h225.c
   M /trunk/epan/dissectors/packet-h225.h
   M /trunk/epan/dissectors/packet-h245.c
   M /trunk/epan/dissectors/packet-h245.h
   M /trunk/epan/dissectors/packet-kerberos.c
   M /trunk/epan/dissectors/packet-ldap.c
   M /trunk/epan/dissectors/packet-mms.c
   M /trunk/epan/dissectors/packet-mms.h
   M /trunk/epan/dissectors/packet-mpeg-audio.c
   M /trunk/epan/dissectors/packet-pkcs12.c
   M /trunk/epan/dissectors/packet-pkix1explicit.c
   M /trunk/epan/dissectors/packet-pkix1explicit.h
   M /trunk/epan/dissectors/packet-pkix1implicit.c
   M /trunk/epan/dissectors/packet-pkix1implicit.h
   M /trunk/epan/dissectors/packet-q932-ros.c
   M /trunk/epan/dissectors/packet-q932.c
   M /trunk/epan/dissectors/packet-q932.h
   M /trunk/epan/dissectors/packet-qsig.c
   M /trunk/epan/dissectors/packet-qsig.h
   M /trunk/epan/dissectors/packet-ranap.c
   M /trunk/epan/dissectors/packet-ranap.h
   M /trunk/epan/dissectors/packet-ros.c
   M /trunk/epan/dissectors/packet-ros.h
   M /trunk/epan/dissectors/packet-rtse.c
   M /trunk/epan/dissectors/packet-rtse.h
   M /trunk/epan/dissectors/packet-snmp.c
   M /trunk/epan/dissectors/packet-snmp.h
   M /trunk/epan/dissectors/packet-tcap.c
   M /trunk/epan/dissectors/packet-tcap.h
   M /trunk/epan/dissectors/packet-x411.c
   M /trunk/epan/dissectors/packet-x411.h
   M /trunk/epan/dissectors/packet-x509af.c
   M /trunk/epan/dissectors/packet-x509af.h
   M /trunk/epan/dissectors/packet-x509ce.c
   M /trunk/epan/dissectors/packet-x509ce.h
   M /trunk/epan/dissectors/packet-x509if.c
   M /trunk/epan/dissectors/packet-x509if.h

get_ber_length doesn't need the tree argument, get rid of it.
Rebuild asn1 dissectors.

------------------------------------------------------------------------
r22628 | jmayer | 2007-08-24 01:12:39 -0700 (Fri, 24 Aug 2007) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ber.c

The ber header was missing from the object, resulting in
invalid saved certificates.

------------------------------------------------------------------------
r22629 | jmayer | 2007-08-24 03:20:22 -0700 (Fri, 24 Aug 2007) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-ber.c

Warning fixes
------------------------------------------------------------------------
r22630 | richardv | 2007-08-24 05:15:49 -0700 (Fri, 24 Aug 2007) | 1 line
Changed paths:
   M /trunk/epan/oids.h

add newline to end of file
------------------------------------------------------------------------
r22631 | richardv | 2007-08-24 05:43:38 -0700 (Fri, 24 Aug 2007) | 1 line
Changed paths:
   M /trunk/epan/oids.c

fix 'unused variable' warning
------------------------------------------------------------------------
r22632 | richardv | 2007-08-24 05:44:29 -0700 (Fri, 24 Aug 2007) | 2 lines
Changed paths:
   M /trunk/epan/oid_resolv.c

Cut and paste old oid_to_subid_buf (it used to be in packet-snmp.c) to get things building again.

------------------------------------------------------------------------
r22633 | richardv | 2007-08-24 05:45:08 -0700 (Fri, 24 Aug 2007) | 2 lines
Changed paths:
   M /trunk/epan/Makefile.common

add oids.{c,h} for LEGO

------------------------------------------------------------------------
r22634 | richardv | 2007-08-24 06:08:21 -0700 (Fri, 24 Aug 2007) | 1 line
Changed paths:
   M /trunk/epan/dissectors/Makefile.common
   A /trunk/epan/dissectors/packet-srp.c (from /trunk/plugins/h223/packet-srp.c:22567)
   M /trunk/plugins/h223/Makefile.common
   D /trunk/plugins/h223/packet-srp.c
   D /trunk/plugins/h223/packet-srp.h

move packet-srp into the core (from the h223 plugin)
------------------------------------------------------------------------
r22635 | richardv | 2007-08-24 06:44:59 -0700 (Fri, 24 Aug 2007) | 2 lines
Changed paths:
   M /trunk/Makefile.am
   M /trunk/Makefile.nmake
   M /trunk/configure.in
   M /trunk/epan/dissectors/Makefile.common
   A /trunk/epan/dissectors/packet-h223.c (from /trunk/plugins/h223/packet-h223.c:22629)
   A /trunk/epan/dissectors/packet-h223.h (from /trunk/plugins/h223/packet-h223.h:22629)
   M /trunk/plugins/Makefile.am
   D /trunk/plugins/h223

complete the death of the h223 plugin

------------------------------------------------------------------------
r22636 | jmayer | 2007-08-24 06:52:37 -0700 (Fri, 24 Aug 2007) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-snmp.c
   M /trunk/epan/dissectors/packet-snmp.h

Revert back to old version with manually fixed get_ber_length parameters
------------------------------------------------------------------------
r22637 | richardv | 2007-08-24 08:29:13 -0700 (Fri, 24 Aug 2007) | 1 line
Changed paths:
   M /trunk/gtk/main.c

fix log msg typo
------------------------------------------------------------------------
r22638 | richardv | 2007-08-24 08:33:37 -0700 (Fri, 24 Aug 2007) | 5 lines
Changed paths:
   M /trunk/capture_loop.c

Add some comments to the effect that capture_loop_dispatch must timeout to make
the packet batching stuff work properly.

Hence, do not block forever when doing a select() on a capture fd.

------------------------------------------------------------------------
r22639 | richardv | 2007-08-24 08:34:08 -0700 (Fri, 24 Aug 2007) | 2 lines
Changed paths:
   M /trunk/capture_loop.h

Fix bug 1181 by always using select() on a capture fd on linux

------------------------------------------------------------------------
r22640 | richardv | 2007-08-24 08:45:16 -0700 (Fri, 24 Aug 2007) | 1 line
Changed paths:
   M /trunk/test/config.sh

do the fifo test on platforms where mkfifo is available
------------------------------------------------------------------------
r22641 | gerald | 2007-08-24 09:08:31 -0700 (Fri, 24 Aug 2007) | 4 lines
Changed paths:
   M /trunk/doc/README.plugins
   M /trunk/packaging/nsis/Makefile.nmake
   M /trunk/packaging/nsis/wireshark.nsi
   M /trunk/packaging/u3/win32/makefile.nmake
   M /trunk/plugins/Makefile.nmake

Clear out any remaining references to the h223 plugin.  Replace the
references to h223 in README.plugins with agentx since it's small and
no one seems to be in a hurry to move it to epan/dissectors. 

------------------------------------------------------------------------
r22642 | richardv | 2007-08-24 09:43:42 -0700 (Fri, 24 Aug 2007) | 4 lines
Changed paths:
   M /trunk/epan/oid_resolv.c

take out oid_to_subid_buf again, because joerg has put it back into packet-snmp.c.

This is not a productive use of my time. I'm annoyed.

------------------------------------------------------------------------
r22643 | guy | 2007-08-24 12:14:38 -0700 (Fri, 24 Aug 2007) | 3 lines
Changed paths:
   M /trunk/capture_ui_utils.c

Add a comment explaining why get_interface_descriptive_name() shouldn't
be, for example, called once a second while a capture is in progress.

------------------------------------------------------------------------
r22644 | stig | 2007-08-24 14:23:34 -0700 (Fri, 24 Aug 2007) | 4 lines
Changed paths:
   M /trunk/gtk/io_stat.c

Print the first interval in the graph.
Print zero label string in the X Axis (not centered).
Always start the graph with the first interval, not at zero x value.

------------------------------------------------------------------------
r22645 | stig | 2007-08-24 14:38:10 -0700 (Fri, 24 Aug 2007) | 6 lines
Changed paths:
   M /trunk/gtk/io_stat.c

The code for resizing the scrollbar page_size was a bit strange and did
some strange justifications when having high "tick values" in the graph.

Simplified this to fix a problem with scrolling to X Axis zero and a
problem with interval values printed in the wrong time position.

------------------------------------------------------------------------
r22646 | stig | 2007-08-24 15:22:34 -0700 (Fri, 24 Aug 2007) | 11 lines
Changed paths:
   M /trunk/epan/dissectors/packet-isis-hello.c
   M /trunk/epan/dissectors/packet-isis-hello.h

From Todd J Martin:
- Decodes all valid Restart Signaling CLVs
- The restart flags are now shown in a tree and have display filters for them
- The Remaining hold time field now has a display filter
- The Restarting Neighbor Id field is now decoded
- Corrected another CLV decoder that assumed the length of a system ID was 6
  and hard coded that value instead of using the id_length variable

Rearranged the Restart Signaling Flags to show the most significant bit first


------------------------------------------------------------------------
r22647 | stig | 2007-08-24 15:42:08 -0700 (Fri, 24 Aug 2007) | 7 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dmp.c

- Added first version of DMP sequence analysis.
- Added some generated search fields.
- Added notice about negative ack in msg_type strings.
- Added some more expert infos.
- Rewrote alot of display filter names.
- Rewrote some hf_ values.

------------------------------------------------------------------------
r22648 | stig | 2007-08-24 16:27:33 -0700 (Fri, 24 Aug 2007) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-p_mul.c

Added expert info for length issues.

------------------------------------------------------------------------
r22649 | stig | 2007-08-24 17:29:40 -0700 (Fri, 24 Aug 2007) | 19 lines
Changed paths:
   M /trunk/epan/dissectors/packet-cisco-erspan.c

From Munenori Ohuchi:
1. Priority field decode.
   The 802.1q tag field of a frame is separated from its frame body in 
   a ERSPAN packet. 
   Current packet-cisco-erspan.c decodes only the vlan id field of the 
   802.1q tag.
   This patch can also decode the priority field of the 802.1q tag.

2. Direction of a captured frame decode.
   A ERSPAN packet includes the additional information of the direction
   a captured frame as below.

   If a caputred frame comes from outside to a switch port, this means an
   'Incoming' frame.  If a caputred frame goes out of a switch port, 
   this is an 'Outgoing' frame.


Added an extra unknown value for the bit between direction and spanid.

------------------------------------------------------------------------
r22650 | stig | 2007-08-24 17:50:20 -0700 (Fri, 24 Aug 2007) | 7 lines
Changed paths:
   M /trunk/asn1/mpeg/packet-mpeg-pes-template.c
   M /trunk/epan/dissectors/packet-mp2t.c
   M /trunk/epan/dissectors/packet-mpeg-pes.c

From Shaun Jackman:
	* asn1/mpeg/packet-mpeg-pes-template.c (proto_register_mpeg_pes):
	Register the dissectors mpeg and mpeg-pes.
	* epan/dissectors/packet-mp2t.c (dissect_tsp): Call the mpeg-pes
	dissector.
	(ett_mp2t_header, ett_mp2t_af): New subtree identifiers.

------------------------------------------------------------------------
r22651 | lego | 2007-08-24 18:14:24 -0700 (Fri, 24 Aug 2007) | 3 lines
Changed paths:
   M /trunk/asn1/acp133/packet-acp133-template.c
   M /trunk/asn1/acse/packet-acse-template.c
   M /trunk/asn1/camel/packet-camel-template.c
   M /trunk/asn1/cdt/packet-cdt-template.c
   M /trunk/asn1/cmip/packet-cmip-template.c
   M /trunk/asn1/cms/packet-cms-template.c
   M /trunk/asn1/dap/packet-dap-template.c
   M /trunk/asn1/disp/packet-disp-template.c
   M /trunk/asn1/dop/packet-dop-template.c
   M /trunk/asn1/dsp/packet-dsp-template.c
   M /trunk/asn1/ftam/packet-ftam-template.c
   M /trunk/asn1/gsmmap/packet-gsm_map-template.c
   M /trunk/asn1/h225/packet-h225-template.c
   M /trunk/asn1/h235/packet-h235-template.c
   M /trunk/asn1/h245/packet-h245-template.c
   M /trunk/asn1/inap/packet-inap-template.c
   M /trunk/asn1/ldap/packet-ldap-template.c
   M /trunk/asn1/pkcs12/packet-pkcs12-template.c
   M /trunk/asn1/pkixproxy/packet-pkixproxy-template.c
   M /trunk/asn1/snmp/packet-snmp-template.c
   M /trunk/asn1/tcap/packet-ansi_tcap-template.c
   M /trunk/asn1/tcap/packet-tcap-template.c
   M /trunk/asn1/wlancertextn/packet-wlancertextn-template.c
   M /trunk/asn1/x411/packet-x411-template.c
   M /trunk/asn1/x420/packet-x420-template.c
   M /trunk/asn1/x509af/packet-x509af-template.c
   M /trunk/asn1/x509if/packet-x509if-template.c
   M /trunk/asn1/x509sat/packet-x509sat-template.c
   M /trunk/epan/Makefile.common
   M /trunk/epan/dissectors/Makefile.common
   D /trunk/epan/dissectors/format-oid.h
   M /trunk/epan/dissectors/packet-acp133.c
   M /trunk/epan/dissectors/packet-acp133.h
   M /trunk/epan/dissectors/packet-acse.c
   M /trunk/epan/dissectors/packet-ansi_map.c
   M /trunk/epan/dissectors/packet-ansi_map.h
   M /trunk/epan/dissectors/packet-ansi_tcap.c
   M /trunk/epan/dissectors/packet-ber.c
   M /trunk/epan/dissectors/packet-camel.c
   M /trunk/epan/dissectors/packet-camel.h
   M /trunk/epan/dissectors/packet-cdt.c
   M /trunk/epan/dissectors/packet-cmip.c
   M /trunk/epan/dissectors/packet-cms.c
   M /trunk/epan/dissectors/packet-cops.c
   M /trunk/epan/dissectors/packet-dap.c
   M /trunk/epan/dissectors/packet-disp.c
   M /trunk/epan/dissectors/packet-dop.c
   M /trunk/epan/dissectors/packet-dsp.c
   M /trunk/epan/dissectors/packet-ess.c
   M /trunk/epan/dissectors/packet-ess.h
   M /trunk/epan/dissectors/packet-ftam.c
   M /trunk/epan/dissectors/packet-gnm.c
   M /trunk/epan/dissectors/packet-gnm.h
   M /trunk/epan/dissectors/packet-gsm_map.c
   M /trunk/epan/dissectors/packet-h225.c
   M /trunk/epan/dissectors/packet-h235.c
   M /trunk/epan/dissectors/packet-h235.h
   M /trunk/epan/dissectors/packet-h245.c
   M /trunk/epan/dissectors/packet-h248.c
   M /trunk/epan/dissectors/packet-h248.h
   M /trunk/epan/dissectors/packet-inap.c
   M /trunk/epan/dissectors/packet-inap.h
   M /trunk/epan/dissectors/packet-ldap.c
   M /trunk/epan/dissectors/packet-logotypecertextn.c
   M /trunk/epan/dissectors/packet-logotypecertextn.h
   M /trunk/epan/dissectors/packet-ns_cert_exts.c
   M /trunk/epan/dissectors/packet-ocsp.c
   M /trunk/epan/dissectors/packet-ocsp.h
   M /trunk/epan/dissectors/packet-pkcs1.c
   M /trunk/epan/dissectors/packet-pkcs1.h
   M /trunk/epan/dissectors/packet-pkcs12.c
   M /trunk/epan/dissectors/packet-pkinit.c
   M /trunk/epan/dissectors/packet-pkinit.h
   M /trunk/epan/dissectors/packet-pkixproxy.c
   M /trunk/epan/dissectors/packet-pkixproxy.h
   M /trunk/epan/dissectors/packet-pkixqualified.c
   M /trunk/epan/dissectors/packet-pkixqualified.h
   M /trunk/epan/dissectors/packet-pkixtsp.c
   M /trunk/epan/dissectors/packet-pkixtsp.h
   M /trunk/epan/dissectors/packet-pres.h
   M /trunk/epan/dissectors/packet-rrc.c
   M /trunk/epan/dissectors/packet-rrlp.c
   M /trunk/epan/dissectors/packet-s4406.h
   M /trunk/epan/dissectors/packet-smrse.c
   M /trunk/epan/dissectors/packet-smrse.h
   M /trunk/epan/dissectors/packet-snmp.c
   M /trunk/epan/dissectors/packet-snmp.h
   M /trunk/epan/dissectors/packet-spnego.c
   M /trunk/epan/dissectors/packet-spnego.h
   M /trunk/epan/dissectors/packet-tcap.c
   M /trunk/epan/dissectors/packet-ulp.c
   M /trunk/epan/dissectors/packet-wlancertextn.c
   M /trunk/epan/dissectors/packet-wlancertextn.h
   M /trunk/epan/dissectors/packet-x411.c
   M /trunk/epan/dissectors/packet-x420.c
   M /trunk/epan/dissectors/packet-x509af.c
   M /trunk/epan/dissectors/packet-x509if.c
   M /trunk/epan/dissectors/packet-x509sat.c
   M /trunk/epan/epan.c
   D /trunk/epan/oid_resolv.c
   D /trunk/epan/oid_resolv.h
   M /trunk/epan/oids.c
   M /trunk/epan/oids.h
   M /trunk/epan/proto.c
   M /trunk/plugins/asn1/asn1.c
   M /trunk/plugins/asn1/asn1.h
   M /trunk/plugins/asn1/packet-asn1.c

get users of oid_resolv to use the new oids, rollout packet-snmp.c


------------------------------------------------------------------------
r22652 | etxrab | 2007-08-25 00:44:01 -0700 (Sat, 25 Aug 2007) | 6 lines
Changed paths:
   M /trunk/epan/libwireshark.def

Get rid of now unused:

 add_oid_name
 add_oid_str_name
l get_oid_name
 get_oid_str_name
------------------------------------------------------------------------
r22653 | etxrab | 2007-08-25 01:20:59 -0700 (Sat, 25 Aug 2007) | 2 lines
Changed paths:
   M /trunk/gtk/io_stat.c

Cast as (gfloat)
io->scrollbar_adjustment->value=(gfloat)first_interval;
------------------------------------------------------------------------
r22654 | jake | 2007-08-25 02:08:49 -0700 (Sat, 25 Aug 2007) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ssl-utils.c

Partial fix for bug 1317:
Add Elliptic Curve cypher suites
Add extension types

------------------------------------------------------------------------
r22655 | stig | 2007-08-25 02:57:12 -0700 (Sat, 25 Aug 2007) | 2 lines
Changed paths:
   M /trunk/asn1/ftam/packet-ftam-template.c
   M /trunk/epan/dissectors/packet-ftam.c

Removed duplicate entry of OID 1.0.8571.2.4 in FTAM

------------------------------------------------------------------------
r22656 | lego | 2007-08-25 07:15:56 -0700 (Sat, 25 Aug 2007) | 4 lines
Changed paths:
   M /trunk/epan/oids.c

Initialize to zero all subids in oid_string2subid() to avoid creating bogus oids. This is aspirin for a buffer overflow somewhere in the code that reads cretificates, that dimensions a buffer probably assumung oid subids are few digits while they can actually be bigger. 
Place two DISSECTOR_ASSERT() guards to avoid an (I believe impossible) buffer overflow of the ep_allocated subid array in  oid_string2subid() and oid_encoded2subid().


------------------------------------------------------------------------
r22657 | lego | 2007-08-25 07:48:48 -0700 (Sat, 25 Aug 2007) | 3 lines
Changed paths:
   M /trunk/asn1/x411/packet-x411-template.c
   M /trunk/epan/dissectors/packet-x411.c

there's nothing like a MAX_OID_STR_LEN...  get rid of a potential stack BO


------------------------------------------------------------------------
r22658 | lego | 2007-08-25 08:15:55 -0700 (Sat, 25 Aug 2007) | 4 lines
Changed paths:
   M /trunk/trigcap.c

From Gisle Vanem <gvanem@broadpark.no> 	
Some signals needs to be ifdef'ed (missing on VC/MingW):


------------------------------------------------------------------------
r22659 | lego | 2007-08-25 10:29:55 -0700 (Sat, 25 Aug 2007) | 5 lines
Changed paths:
   M /trunk/asn1/dop/packet-dop-template.c
   M /trunk/asn1/rtse/packet-rtse-template.c
   M /trunk/asn1/rtse/rtse.cnf
   M /trunk/epan/dissectors/packet-ber.c
   M /trunk/epan/dissectors/packet-dop.c
   M /trunk/epan/dissectors/packet-per.c
   M /trunk/epan/dissectors/packet-rtse.c
   M /trunk/epan/ftypes/ftype-bytes.c
   M /trunk/epan/oids.c
   M /trunk/epan/oids.h
   M /trunk/epan/to_str.c
   M /trunk/epan/to_str.h

replace oid_to_str_buf() and oid_to_str()

fix a potential buffer overflow due to a very liberal estimate by oid_repr_len()


------------------------------------------------------------------------
r22660 | wmeier | 2007-08-25 12:13:00 -0700 (Sat, 25 Aug 2007) | 4 lines
Changed paths:
   M /trunk/test/suite-capture.sh
   M /trunk/test/suite-unittests.sh

Disable capture tests and unit tests until possible issues corrected.
Hopefully the windows buildbot will be OK with these tests disabled
temporarily.

------------------------------------------------------------------------
r22661 | lego | 2007-08-25 13:27:58 -0700 (Sat, 25 Aug 2007) | 3 lines
Changed paths:
   A /trunk/aclocal-fallback/libsmi.m4
   M /trunk/configure.in
   M /trunk/epan/oids.c

get libsmi into the picture


------------------------------------------------------------------------
r22662 | lego | 2007-08-25 16:49:09 -0700 (Sat, 25 Aug 2007) | 4 lines
Changed paths:
   M /trunk/epan/oids.c

Turns out that smiGetMinSize() and smiGetMaxSize() exists only in libsmi's HEAD... ;-)
Official releases do not have them yet, avoid using them.


------------------------------------------------------------------------
r22663 | lego | 2007-08-25 20:11:27 -0700 (Sat, 25 Aug 2007) | 3 lines
Changed paths:
   M /trunk/epan/libwireshark.def

add the new oid_* functions


------------------------------------------------------------------------
r22664 | etxrab | 2007-08-26 02:17:16 -0700 (Sun, 26 Aug 2007) | 1 line
Changed paths:
   M /trunk/diameter/dictionary.xml

Fix indentation
------------------------------------------------------------------------
r22665 | stig | 2007-08-26 06:43:47 -0700 (Sun, 26 Aug 2007) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ospf.c

From Todd J Martin:
- Added support for grace-LSA TLVs
- Fix a checksum that was printed in hex, but did not prepend "0x"

------------------------------------------------------------------------
r22666 | stig | 2007-08-26 07:02:59 -0700 (Sun, 26 Aug 2007) | 2 lines
Changed paths:
   M /trunk/gtk/io_stat.c

Added "Dot" as new style in IO Graph.

------------------------------------------------------------------------
r22667 | stig | 2007-08-26 10:03:44 -0700 (Sun, 26 Aug 2007) | 2 lines
Changed paths:
   M /trunk/docbook/wsug_src/WSUG_chapter_statistics.xml

Added "Dot" as a new IO Graph style in the user guide.

------------------------------------------------------------------------
r22668 | jmayer | 2007-08-26 10:58:26 -0700 (Sun, 26 Aug 2007) | 1 line
Changed paths:
   M /trunk/configure.in

libsmi: Small fix and add a comment
------------------------------------------------------------------------
r22669 | jmayer | 2007-08-26 11:21:52 -0700 (Sun, 26 Aug 2007) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-isakmp.c

Isakmp runs over port 4500 (natt) as well
------------------------------------------------------------------------
r22670 | jmayer | 2007-08-26 11:39:34 -0700 (Sun, 26 Aug 2007) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-isakmp.c

Undo last commit. It's not yet clear to my why isakmp traffic
after nat-t isn't matched by a isakmp display filter, but this
approach wrong.

------------------------------------------------------------------------
r22671 | etxrab | 2007-08-26 12:17:03 -0700 (Sun, 26 Aug 2007) | 1 line
Changed paths:
   M /trunk/Makefile.nmake
   M /trunk/config.nmake

Download libsmi
------------------------------------------------------------------------
r22672 | etxrab | 2007-08-26 13:03:23 -0700 (Sun, 26 Aug 2007) | 1 line
Changed paths:
   M /trunk/Makefile.nmake
   M /trunk/config.h.win32
   M /trunk/config.nmake

Use config and makefile from Chris Maynard and Luis instead.
------------------------------------------------------------------------
r22673 | lego | 2007-08-26 13:16:35 -0700 (Sun, 26 Aug 2007) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-cops.c

De-NET-SNMPize COPS


------------------------------------------------------------------------
r22674 | etxrab | 2007-08-26 14:01:13 -0700 (Sun, 26 Aug 2007) | 1 line
Changed paths:
   M /trunk/config.nmake
   M /trunk/version_info.c

Minor tweeks.
------------------------------------------------------------------------
r22675 | etxrab | 2007-08-26 14:19:18 -0700 (Sun, 26 Aug 2007) | 1 line
Changed paths:
   M /trunk/version_info.c

Fix a typo
------------------------------------------------------------------------
r22676 | lego | 2007-08-26 14:35:17 -0700 (Sun, 26 Aug 2007) | 3 lines
Changed paths:
   M /trunk/Makefile.nmake
   M /trunk/version_info.c

libsmi was missing from the CFLAGS


------------------------------------------------------------------------
r22677 | lego | 2007-08-26 14:37:11 -0700 (Sun, 26 Aug 2007) | 4 lines
Changed paths:
   M /trunk/epan/oids.c
   M /trunk/epan/oids.h

Give the files its propper title
Keep libsmi's default path and append the user given one


------------------------------------------------------------------------
r22678 | lego | 2007-08-26 14:38:09 -0700 (Sun, 26 Aug 2007) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-cops.c

Remove every remembrance of NET_SNMP from COPS


------------------------------------------------------------------------
r22679 | lego | 2007-08-26 16:24:49 -0700 (Sun, 26 Aug 2007) | 4 lines
Changed paths:
   M /trunk/epan/Makefile.nmake

This was missing



------------------------------------------------------------------------
r22680 | etxrab | 2007-08-26 23:28:20 -0700 (Sun, 26 Aug 2007) | 1 line
Changed paths:
   M /trunk/packaging/nsis/Makefile.nmake
   M /trunk/packaging/nsis/wireshark.nsi

Add SMI to the installation, the MIB:s are still missing.
------------------------------------------------------------------------
r22681 | etxrab | 2007-08-26 23:40:36 -0700 (Sun, 26 Aug 2007) | 1 line
Changed paths:
   M /trunk/packaging/nsis/wireshark.nsi

And now the MIB's
------------------------------------------------------------------------
r22682 | stig | 2007-08-27 04:27:41 -0700 (Mon, 27 Aug 2007) | 2 lines
Changed paths:
   M /trunk/COPYING

Removed ^L as they turn up as a strange square in About->License

------------------------------------------------------------------------
r22683 | stig | 2007-08-27 04:33:47 -0700 (Mon, 27 Aug 2007) | 2 lines
Changed paths:
   M /trunk/AUTHORS

Adjusted indentation to align email addresses.

------------------------------------------------------------------------
r22684 | lego | 2007-08-27 10:05:11 -0700 (Mon, 27 Aug 2007) | 8 lines
Changed paths:
   M /trunk/asn1/snmp/packet-snmp-template.c
   M /trunk/epan/dissectors/packet-snmp.c
   M /trunk/epan/oids.c
   M /trunk/epan/oids.h

- packet-snmp(-template).c
   - reimplement the "snmp.variable_oid" dissector table
- oids.[ch]
   - get rid of keytype_implicit in oid_value_type_t we won't use it.
   - have the windows base path for mibs be consistent to where we've put the mibs
   - oid_get_from_encoded() and oid_get_from_string(): have the subids array being computed in a prior statement of where the side-effected argument is going to be used... worked on gcc, not on windows... I deserve "have daemons flying out of my nose" for that :-).


------------------------------------------------------------------------
r22685 | wmeier | 2007-08-27 10:49:53 -0700 (Mon, 27 Aug 2007) | 5 lines
Changed paths:
   M /trunk/test/config.sh

Prevent execution of the fifo tests on Windows.
(Windows cygwin has a mkfifo but Windows dumpcap & etc
use Windows named pipes which are different than
the cygwin named pipes).

------------------------------------------------------------------------
r22686 | wmeier | 2007-08-27 11:09:38 -0700 (Mon, 27 Aug 2007) | 3 lines
Changed paths:
   M /trunk/test/suite-unittests.sh

Re-enable unittests after determining that they work correctly 
on Windows (and shouldn't cause the Windows buildbot any problems).

------------------------------------------------------------------------
r22687 | guy | 2007-08-27 11:44:55 -0700 (Mon, 27 Aug 2007) | 3 lines
Changed paths:
   M /trunk/epan/oids.c
   M /trunk/epan/oids.h

Get rid of extra newlines at the end of epan/oids.h, and give one of
them to epan/oids.c. :-)

------------------------------------------------------------------------
r22688 | lego | 2007-08-27 12:14:30 -0700 (Mon, 27 Aug 2007) | 7 lines
Changed paths:
   M /trunk/epan/oids.c

Fixed an ep_ buffer overflow (off by one) in oid_subid2string()
Abort on integer overflow in oid_string2subid() and oid_encoded2subid()





------------------------------------------------------------------------
r22689 | lego | 2007-08-27 12:37:48 -0700 (Mon, 27 Aug 2007) | 3 lines
Changed paths:
   M /trunk/epan/oids.c

cast a guint64 down to guint32 before assignment to get windows build running


------------------------------------------------------------------------
r22690 | etxrab | 2007-08-27 13:44:28 -0700 (Mon, 27 Aug 2007) | 1 line
Changed paths:
   M /trunk/diameter/dictionary.xml

Update comments.
------------------------------------------------------------------------
r22691 | stig | 2007-08-27 14:23:18 -0700 (Mon, 27 Aug 2007) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ieee80211.c

From Tuomas Maattanen:
Committed changes in r21450 again.

------------------------------------------------------------------------
r22692 | lego | 2007-08-27 14:29:20 -0700 (Mon, 27 Aug 2007) | 3 lines
Changed paths:
   M /trunk/epan/oids.c

Do not throw, some of this functions get called outside TRY blocks.


------------------------------------------------------------------------
r22693 | lego | 2007-08-27 15:00:39 -0700 (Mon, 27 Aug 2007) | 3 lines
Changed paths:
   A /trunk/smi_modules

Add a default smi_modules file.


------------------------------------------------------------------------
r22694 | lego | 2007-08-27 15:06:47 -0700 (Mon, 27 Aug 2007) | 3 lines
Changed paths:
   M /trunk/Makefile.am
   M /trunk/Makefile.nmake
   M /trunk/packaging/nsis/wireshark.nsi

Get smi_modules in the distrib


------------------------------------------------------------------------
r22695 | lego | 2007-08-27 15:24:39 -0700 (Mon, 27 Aug 2007) | 3 lines
Changed paths:
   M /trunk/smi_modules

Wes Hardaker refered to net-snmp defaults, It does not apply to this at all.


------------------------------------------------------------------------
r22696 | wmeier | 2007-08-27 15:56:27 -0700 (Mon, 27 Aug 2007) | 2 lines
Changed paths:
   M /trunk/plugins/agentx/Makefile.nmake
   M /trunk/plugins/artnet/Makefile.nmake
   M /trunk/plugins/asn1/Makefile.nmake
   M /trunk/plugins/ciscosm/Makefile.nmake
   M /trunk/plugins/docsis/Makefile.nmake
   M /trunk/plugins/enttec/Makefile.nmake
   M /trunk/plugins/gryphon/Makefile.nmake
   M /trunk/plugins/irda/Makefile.nmake
   M /trunk/plugins/lwres/Makefile.nmake
   M /trunk/plugins/m2m/Makefile.nmake
   M /trunk/plugins/mate/Makefile.nmake
   M /trunk/plugins/mgcp/Makefile.nmake
   M /trunk/plugins/opcua/Makefile.nmake
   M /trunk/plugins/opsi/Makefile.nmake
   M /trunk/plugins/pcli/Makefile.nmake
   M /trunk/plugins/profinet/Makefile.nmake
   M /trunk/plugins/rlm/Makefile.nmake
   M /trunk/plugins/rtnet/Makefile.nmake
   M /trunk/plugins/rudp/Makefile.nmake
   M /trunk/plugins/sbus/Makefile.nmake
   M /trunk/plugins/unistim/Makefile.nmake
   M /trunk/plugins/v5ua/Makefile.nmake
   M /trunk/plugins/wimax/Makefile.nmake

Add .c.obj:: inference rule (to cause "batch compile") 

------------------------------------------------------------------------
r22697 | sfisher | 2007-08-27 19:13:51 -0700 (Mon, 27 Aug 2007) | 6 lines
Changed paths:
   M /trunk/capture_ui_utils.c


Fix for bug #1801 (http://bugs.wireshark.org/bugzilla/show_bug.cgi?id=1801)

Don't get to the point where we may do a strcmp() with a null value.


------------------------------------------------------------------------
r22698 | etxrab | 2007-08-27 22:53:13 -0700 (Mon, 27 Aug 2007) | 1 line
Changed paths:
   M /trunk/smi_modules

Temporray remove "SNMP-REPEATER-MIB" it causes a crash.
------------------------------------------------------------------------
r22699 | jake | 2007-08-27 22:59:09 -0700 (Mon, 27 Aug 2007) | 1 line
Changed paths:
   M /trunk/epan/oids.c

Fix warnings "dereferencing type-punned pointer will break strict-aliasing rules"
------------------------------------------------------------------------
r22700 | sahlberg | 2007-08-28 00:34:05 -0700 (Tue, 28 Aug 2007) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ctdb.c

improve the ctdb dissector to track request/responses for controls and 
start decoding some control payload


------------------------------------------------------------------------
r22701 | kukosa | 2007-08-28 00:59:35 -0700 (Tue, 28 Aug 2007) | 1 line
Changed paths:
   M /trunk/asn1/snmp/packet-snmp-template.c
   M /trunk/epan/dissectors/packet-snmp.c

fix bug in snmp.variable_oid subdissector calling and call them at the end of snmp dissector (so as snmp does not overwrite COL_INFO of subdissector)
------------------------------------------------------------------------
r22702 | jmayer | 2007-08-28 03:37:21 -0700 (Tue, 28 Aug 2007) | 3 lines
Changed paths:
   M /trunk/plugins/unistim/packet-unistim.c

Disable unistim for now: it used port 5000 unconditionally
and that collied with tapa. Please add a check.

------------------------------------------------------------------------
r22703 | sahlberg | 2007-08-28 04:45:08 -0700 (Tue, 28 Aug 2007) | 22 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dcerpc-lsa.c
   M /trunk/epan/dissectors/packet-dcerpc-nt.c
   M /trunk/epan/dissectors/packet-dcerpc-nt.h
   M /trunk/epan/dissectors/packet-dcerpc-samr.c
   M /trunk/epan/dissectors/packet-dcerpc-spoolss.c
   M /trunk/epan/dissectors/packet-dcerpc-svcctl.c
   M /trunk/epan/dissectors/packet-dcerpc.c
   M /trunk/epan/dissectors/packet-dcerpc.h
   M /trunk/epan/dissectors/packet-smb-sidsnooping.c
   M /trunk/epan/dissectors/packet-smb2.c
   M /trunk/epan/dissectors/pidl/samr.cnf

rename dcerpc_smb_store_pol_name  to dcerpc_store_polhnd_name

rename dcerpc_smb_fetch_pol  to dcerpc_fetch_polhnd_data and also make 
it take an additional parameter to return the "type" of the policy 
handle, if such a type was stored.

extend the pol_value structure used to track policy handles to also 
store a type to represent what created the policy handle
types could be USER/ALIAS/CONNECT/... etc handles returned from the 
SAMR interface

add a new helper function  dcerpc_store_polhnd_type()

track policy handles between request/responses for dcerpc

update the samr.cnf file to make the samr dissectors for
SetSecurity/QuerySecurity dissect the specific bits for the security 
descriptor correctly based on whether the policy handle refers to a 
CONNECT/DOMAIN/USER/ALIAS or GROUP



------------------------------------------------------------------------
r22704 | lego | 2007-08-28 08:18:32 -0700 (Tue, 28 Aug 2007) | 10 lines
Changed paths:
   M /trunk/asn1/snmp/packet-snmp-template.c
   M /trunk/epan/dissectors/packet-snmp.c
   M /trunk/epan/emem.c
   M /trunk/epan/oids.c
   M /trunk/epan/uat-int.h
   M /trunk/epan/uat.c
   M /trunk/epan/uat.h

SNMP:
 - As noted by Thomas Anders values are not added to the tree anymore. Move the calling of subdissectors to the end of the function, so that the value is added to the tree.
 - add port 8161 to be decoded as SNMP (hey, it's on IANA's services file!)
UAT:
 - do not have the uat reloaded.
OIDS:
 - do not complain if renaming an OID to an identical name



------------------------------------------------------------------------
r22705 | lego | 2007-08-28 08:38:05 -0700 (Tue, 28 Aug 2007) | 3 lines
Changed paths:
   M /trunk/epan/uat.c
   M /trunk/epan/uat_load.l

Commit canges to uat_load.l, and initialize uat_t->loaded (not every system zeroes-out on malloc).


------------------------------------------------------------------------
r22706 | ulfl | 2007-08-28 10:38:50 -0700 (Tue, 28 Aug 2007) | 1 line
Changed paths:
   M /trunk/docbook/wsdg_src/WSDG_chapter_quick_setup.xml

move "create guides" section above installer section as the installer might need the user's guide
------------------------------------------------------------------------
r22707 | wmeier | 2007-08-28 10:47:39 -0700 (Tue, 28 Aug 2007) | 3 lines
Changed paths:
   M /trunk/capture_opts.c

capture_opts_log: use dummy string if iface_desc is NULL;
This fixes dumpcap crash on Windows 

------------------------------------------------------------------------
r22708 | wmeier | 2007-08-28 10:49:16 -0700 (Tue, 28 Aug 2007) | 2 lines
Changed paths:
   M /trunk/test/suite-capture.sh

Re-enable capture tests now that a a dumpcap problem has been corrected.

------------------------------------------------------------------------
r22709 | etxrab | 2007-08-28 10:50:02 -0700 (Tue, 28 Aug 2007) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-dpnss.c

Add filters.
------------------------------------------------------------------------
r22710 | ulfl | 2007-08-28 10:50:25 -0700 (Tue, 28 Aug 2007) | 1 line
Changed paths:
   M /trunk/docbook/wsdg_src/WSDG_chapter_quick_setup.xml

some more editing
------------------------------------------------------------------------
r22711 | etxrab | 2007-08-28 10:50:44 -0700 (Tue, 28 Aug 2007) | 1 line
Changed paths:
   M /trunk/diameter/dictionary.xml

Add AVP's
------------------------------------------------------------------------
r22712 | lego | 2007-08-28 12:07:39 -0700 (Tue, 28 Aug 2007) | 3 lines
Changed paths:
   M /trunk/epan/oids.c

Report loading failures to the user


------------------------------------------------------------------------
r22713 | lego | 2007-08-28 12:11:36 -0700 (Tue, 28 Aug 2007) | 3 lines
Changed paths:
   M /trunk/smi_modules

remove (for now) the COPS PIBs from the list, as I have added a reprot_failure to give feedback about libsmi errors while loading the modules.


------------------------------------------------------------------------
r22714 | ulfl | 2007-08-28 13:31:48 -0700 (Tue, 28 Aug 2007) | 1 line
Changed paths:
   M /trunk/Makefile.nmake
   M /trunk/config.nmake

always compile zlib.dll from source (even on MSVC6 now), this simplifies the makefiles a bit and (more important) removes an annoying behaviour if you switch between compiler versions - you'll need to run the setup target each time you switch
------------------------------------------------------------------------
r22715 | wmeier | 2007-08-28 13:58:50 -0700 (Tue, 28 Aug 2007) | 3 lines
Changed paths:
   M /trunk/colorfilters
   M /trunk/epan/dissectors/packet-ip.c

From Todd Martin: "Flag IP TTL more intelligently".
Also: Change default "Low TTL" color filter to match.

------------------------------------------------------------------------
r22716 | ulfl | 2007-08-28 14:21:25 -0700 (Tue, 28 Aug 2007) | 1 line
Changed paths:
   M /trunk/docbook/wsug_src/WSUG_chapter_work.xml

add "Classless InterDomain Routing (CIDR) notation" explanation to the display filter section
------------------------------------------------------------------------
r22717 | wmeier | 2007-08-28 14:24:34 -0700 (Tue, 28 Aug 2007) | 2 lines
Changed paths:
   M /trunk/colorfilters

On 2nd thought: change color filter name from "Low TTL" to "TTL low or unexpected"

------------------------------------------------------------------------
r22718 | lego | 2007-08-28 14:27:54 -0700 (Tue, 28 Aug 2007) | 3 lines
Changed paths:
   M /trunk/asn1/snmp/packet-snmp-template.c
   M /trunk/epan/dissectors/packet-snmp.c

Fix non implicit oid key indexes. This starts to look good!


------------------------------------------------------------------------
r22719 | lego | 2007-08-28 16:19:30 -0700 (Tue, 28 Aug 2007) | 4 lines
Changed paths:
   M /trunk/asn1/snmp/packet-snmp-template.c
   M /trunk/asn1/snmp/snmp.cnf

Add some more expert info.
Restore engine-id dissection (a "victim" of decryption support)


------------------------------------------------------------------------
r22720 | lego | 2007-08-28 16:55:49 -0700 (Tue, 28 Aug 2007) | 5 lines
Changed paths:
   M /trunk/asn1/snmp/snmp.asn
   M /trunk/asn1/snmp/snmp.cnf
   M /trunk/epan/dissectors/packet-snmp.c
   M /trunk/epan/oids.c

- turn some other TC from FT_BYTES to FT_STRING so that human-readable strings become readable by humans
- Add the EngineId decoding for the contextEngineId
- Add some expert info about malformed indexed oids


------------------------------------------------------------------------
r22721 | ulfl | 2007-08-28 17:15:15 -0700 (Tue, 28 Aug 2007) | 1 line
Changed paths:
   M /trunk/docbook/wsdg_src/WSDG_chapter_quick_setup.xml
   M /trunk/docbook/wsdg_src/WSDG_chapter_tools.xml

various updates to match current MSVC compiler problems, fix some typos, ...
------------------------------------------------------------------------
r22722 | ulfl | 2007-08-28 20:45:56 -0700 (Tue, 28 Aug 2007) | 1 line
Changed paths:
   M /trunk/docbook/wsug_src/WSUG_chapter_work.xml

fix broken tags
------------------------------------------------------------------------
r22723 | etxrab | 2007-08-28 23:13:40 -0700 (Tue, 28 Aug 2007) | 1 line
Changed paths:
   M /trunk/asn1/gsmmap/gsm_map-exp.cnf
   M /trunk/asn1/gsmmap/packet-gsm_map-template.c
   M /trunk/epan/dissectors/packet-gsm_map.c
   M /trunk/epan/dissectors/packet-gsm_map.h

Fix up most of the OID names in GSM MAP.
------------------------------------------------------------------------
r22724 | kukosa | 2007-08-29 04:44:49 -0700 (Wed, 29 Aug 2007) | 2 lines
Changed paths:
   M /trunk/epan/asn1.c
   M /trunk/epan/asn1.h

ASN.1 parameterization handling (1st raw implementation)
it is not supported in asn2wrs now, code has to be written manually
------------------------------------------------------------------------
r22725 | kukosa | 2007-08-29 04:47:35 -0700 (Wed, 29 Aug 2007) | 1 line
Changed paths:
   M /trunk/tools/asn2wrs.py

new directive #.ASSIGN_VALUE_TO_TYPE
------------------------------------------------------------------------
r22726 | kukosa | 2007-08-29 04:57:27 -0700 (Wed, 29 Aug 2007) | 1 line
Changed paths:
   M /trunk/asn1/Makefile.am
   M /trunk/asn1/ranap/Makefile
   M /trunk/asn1/ranap/Makefile.nmake
   M /trunk/asn1/ranap/RANAP-CommonDataTypes.asn
   M /trunk/asn1/ranap/RANAP-Constants.asn
   M /trunk/asn1/ranap/RANAP-Containers.asn
   M /trunk/asn1/ranap/RANAP-IEs.asn
   M /trunk/asn1/ranap/RANAP-PDU-Contents.asn
   M /trunk/asn1/ranap/RANAP-PDU-Descriptions.asn
   M /trunk/asn1/ranap/packet-ranap-template.c
   D /trunk/asn1/ranap/ranap.asn
   M /trunk/asn1/ranap/ranap.cnf
   M /trunk/epan/dissectors/packet-ranap.c
   M /trunk/epan/dissectors/packet-ranap.h

RANAP rewritten to use original ASN.1 source and updated to TS 25.413 V7.6.0 (2007-06)
------------------------------------------------------------------------
r22727 | martinm | 2007-08-29 08:35:27 -0700 (Wed, 29 Aug 2007) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ip.c

Don't show fragment offset as a bit field, but note number of bits used in long text.

------------------------------------------------------------------------
r22728 | etxrab | 2007-08-29 09:10:04 -0700 (Wed, 29 Aug 2007) | 1 line
Changed paths:
   M /trunk/diameter/TGPPSh.xml
   M /trunk/diameter/dictionary.xml

Adjust to the latest IANA status 2007-08-22.
------------------------------------------------------------------------
r22729 | etxrab | 2007-08-29 09:10:47 -0700 (Wed, 29 Aug 2007) | 1 line
Changed paths:
   M /trunk/asn1/camel/camel.cnf
   M /trunk/asn1/camel/packet-camel-template.c
   M /trunk/asn1/gsmmap/gsmmap.cnf
   M /trunk/asn1/gsmmap/packet-gsm_map-template.c
   M /trunk/epan/dissectors/packet-camel.c
   M /trunk/epan/dissectors/packet-gsm_map.c

OID name fixes.
------------------------------------------------------------------------
r22730 | stig | 2007-08-29 11:39:30 -0700 (Wed, 29 Aug 2007) | 7 lines
Changed paths:
   M /trunk/asn1/x411/packet-x411-template.c
   M /trunk/asn1/x411/x411.asn
   M /trunk/asn1/x411/x411.cnf
   M /trunk/epan/dissectors/packet-x411.c

- Rewrote handling of extensions to get rid of "funky" oid strings.
- Added ASN.1 integer values for StandardExtension, ExtensionAttributeType
  and TokenDataType.
- Added expert info for unknown standard-extension, extension-attribute-type 
  and tokendata-type.
- Added expert info for unknown built-in content-type.

------------------------------------------------------------------------
r22731 | etxrab | 2007-08-29 12:31:15 -0700 (Wed, 29 Aug 2007) | 2 lines
Changed paths:
   M /trunk/asn1/Makefile.am
   D /trunk/asn1/inap/IN-CS-1-Datatypes-appendix.asn
   D /trunk/asn1/inap/IN-CS-1-Datatypes.asn

Makefile.am Try to get the latest state of asn1 files into the dist.
Delete "old" unused asn1 files.
------------------------------------------------------------------------
r22732 | etxrab | 2007-08-29 15:21:25 -0700 (Wed, 29 Aug 2007) | 2 lines
Changed paths:
   M /trunk/asn1/Makefile.am

Makefile.am Try to get the latest state of asn1 files into the dist.
Try again ;)
------------------------------------------------------------------------
r22733 | gerald | 2007-08-29 17:24:40 -0700 (Wed, 29 Aug 2007) | 7 lines
Changed paths:
   M /trunk/Makefile.am
   M /trunk/capture_loop.c
   M /trunk/capture_opts.c
   M /trunk/capture_opts.h
   M /trunk/configure.in
   M /trunk/doc/README.packaging
   M /trunk/docbook/release-notes.xml
   M /trunk/epan/libwireshark.def
   M /trunk/epan/privileges.c
   M /trunk/epan/privileges.h
   M /trunk/gtk/capture_dlg.c
   M /trunk/gtk/drag_and_drop.c
   M /trunk/gtk/gsm_map_summary.c
   M /trunk/gtk/main.c
   M /trunk/gtk/mtp3_summary.c
   M /trunk/gtk/packet_win.c
   M /trunk/gtk/recent.c
   M /trunk/gtk/recent.h
   M /trunk/gtk/summary_dlg.c
   M /trunk/summary.c
   M /trunk/tools/Makefile.am
   M /trunk/tshark.c

Change the "--enable-setuid-install" option to install dumpcap and TShark
setuid instead of Wireshark.  Remove the "DANGEROUS" notices, but leave it
disabled by default.  Whine if the user runs Wireshark or TShark as root.
Add a preference to disable the whining.  Add a "setuid-root" script that
can be used to switch dumpcap and TShark's setuid-ness on and off for
development and testing.  Update the release notes and README.packaging.

------------------------------------------------------------------------
r22734 | ulfl | 2007-08-29 19:14:36 -0700 (Wed, 29 Aug 2007) | 3 lines
Changed paths:
   M /trunk/plugins/profinet/packet-dcerpc-pn-io.c

update to latest draft: 
- add PDSyncData block with Version 1.2
- add IOXBlockReq/s ids 0x116, 0x117, 0x8116 and 0x8117
------------------------------------------------------------------------
r22735 | guy | 2007-08-29 19:32:55 -0700 (Wed, 29 Aug 2007) | 2 lines
Changed paths:
   M /trunk/asn1/Makefile.am

Get rid of tab after backslash, to eliminate warning.

------------------------------------------------------------------------
r22736 | gerald | 2007-08-29 21:16:11 -0700 (Wed, 29 Aug 2007) | 2 lines
Changed paths:
   A /trunk/tools/setuid-root.pl.in

Add the setuid script missing from my last checkin.

------------------------------------------------------------------------
r22737 | etxrab | 2007-08-29 21:35:58 -0700 (Wed, 29 Aug 2007) | 1 line
Changed paths:
   M /trunk/asn1/Makefile.am

Remeove file not to be  included.
------------------------------------------------------------------------
r22738 | etxrab | 2007-08-29 21:49:04 -0700 (Wed, 29 Aug 2007) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ansi_637.c

From Chris Maynard:
Incorrect display filter field naming convention.
------------------------------------------------------------------------
r22739 | etxrab | 2007-08-29 21:58:11 -0700 (Wed, 29 Aug 2007) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-3com-xns.c

From Chris Maynard:
Incorrect display filter field naming convention.
------------------------------------------------------------------------
r22740 | etxrab | 2007-08-29 22:02:33 -0700 (Wed, 29 Aug 2007) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-slowprotocols.c

From Chris Maynard:
Incorrect display filter field naming convention.
------------------------------------------------------------------------
r22741 | etxrab | 2007-08-29 22:05:45 -0700 (Wed, 29 Aug 2007) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-aim-admin.c

From Chris Maynard:
Incorrect display filter field naming convention.
------------------------------------------------------------------------
r22742 | etxrab | 2007-08-29 22:22:25 -0700 (Wed, 29 Aug 2007) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-aim-buddylist.c
   M /trunk/epan/dissectors/packet-aim-generic.c
   M /trunk/epan/dissectors/packet-aim-location.c
   M /trunk/epan/dissectors/packet-aim-messaging.c
   M /trunk/epan/dissectors/packet-aim-signon.c
   M /trunk/epan/dissectors/packet-aim-ssi.c
   M /trunk/epan/dissectors/packet-aim-sst.c
   M /trunk/epan/dissectors/packet-aim-userlookup.c
   M /trunk/epan/dissectors/packet-dcerpc-atsvc.c

From Chris Maynard:
Incorrect display filter field naming convention.
------------------------------------------------------------------------
r22743 | etxrab | 2007-08-29 22:30:28 -0700 (Wed, 29 Aug 2007) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-aim-bos.c

From Chris Maynard:
Incorrect display filter field naming convention.
------------------------------------------------------------------------
r22744 | stig | 2007-08-30 01:50:05 -0700 (Thu, 30 Aug 2007) | 3 lines
Changed paths:
   M /trunk/Makefile.am
   M /trunk/tools

Fixed a typo: setuid-root.in -> setuid-root.pl.in
Added setuid-root.pl to svn:ignore

------------------------------------------------------------------------
r22745 | stig | 2007-08-30 02:28:41 -0700 (Thu, 30 Aug 2007) | 2 lines
Changed paths:
   M /trunk/gtk/capture_info_dlg.c

Added #include <sys/types.h>

------------------------------------------------------------------------
r22746 | gmorris | 2007-08-30 03:18:29 -0700 (Thu, 30 Aug 2007) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/ncp2222.py
   M /trunk/epan/dissectors/packet-ncp-int.h
   M /trunk/epan/dissectors/packet-ncp2222.inc

Add eDirectory iteration verb 0x6e.
Fix eDirectory timestamps to display correctly.
------------------------------------------------------------------------
r22747 | gmorris | 2007-08-30 03:23:58 -0700 (Thu, 30 Aug 2007) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ndps.c

Fix attribute *Print Checkpoint"
Fix Printer State Reasons in extended error codes.
------------------------------------------------------------------------
r22748 | gmorris | 2007-08-30 03:26:20 -0700 (Thu, 30 Aug 2007) | 1 line
Changed paths:
   M /trunk/gtk/ncp_stat.c

Update to reflect new iteration verb 0x6e.
------------------------------------------------------------------------
r22749 | gmorris | 2007-08-30 03:33:24 -0700 (Thu, 30 Aug 2007) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-lpd.c

Test to see if packet is actually a request by verifying the one byte function code is a non-zero value.
------------------------------------------------------------------------
r22750 | stig | 2007-08-30 04:28:27 -0700 (Thu, 30 Aug 2007) | 2 lines
Changed paths:
   M /trunk/capture_info.c

Count IEEE 802.11 WLAN AVS packets.

------------------------------------------------------------------------
r22751 | stig | 2007-08-30 04:37:49 -0700 (Thu, 30 Aug 2007) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ieee80211.c

Fixed a brace placement to enable the default case

------------------------------------------------------------------------
r22752 | stig | 2007-08-30 04:52:30 -0700 (Thu, 30 Aug 2007) | 2 lines
Changed paths:
   M /trunk/capture_info.c

And include packet-wlancap.h

------------------------------------------------------------------------
r22753 | stig | 2007-08-30 05:06:18 -0700 (Thu, 30 Aug 2007) | 2 lines
Changed paths:
   M /trunk/tools/Makefile.am

Added setuid-root.pl.in to EXSTRA_DIST

------------------------------------------------------------------------
r22754 | stig | 2007-08-30 08:44:59 -0700 (Thu, 30 Aug 2007) | 2 lines
Changed paths:
   M /trunk/tools/Makefile.am

Huh.  Fetch setuid-root.pl.in from srcdir instead.

------------------------------------------------------------------------
r22755 | stig | 2007-08-30 10:36:38 -0700 (Thu, 30 Aug 2007) | 3 lines
Changed paths:
   M /trunk/gtk/capture_if_dlg.c

It seems like capture_stats is working as a correctly implemented pcap_stats.
Update the Packets count in Capture Interfaces according to this.

------------------------------------------------------------------------
r22756 | stig | 2007-08-30 12:11:36 -0700 (Thu, 30 Aug 2007) | 2 lines
Changed paths:
   M /trunk/epan/libwireshark.def

Added capture_wlancap to libwireshark.def

------------------------------------------------------------------------
r22757 | guy | 2007-08-30 12:34:20 -0700 (Thu, 30 Aug 2007) | 2 lines
Changed paths:
   M /trunk/tools/Makefile.am

Clean up "setuid-root.pl" when we do "make distclean".

------------------------------------------------------------------------
r22758 | etxrab | 2007-08-30 12:44:22 -0700 (Thu, 30 Aug 2007) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-per.c

fix dissect_per_bit_string() for unaligned PER, values ar still not correctly displayed.
------------------------------------------------------------------------
r22759 | ulfl | 2007-08-30 12:50:56 -0700 (Thu, 30 Aug 2007) | 1 line
Changed paths:
   M /trunk/plugins/profinet/packet-pn-rt.c

fix length calculation for 802.11 packets - the 802.11 dissector will strip off the 4 byte FCS at the end of a packet (while the Ethernet dissector does not).
------------------------------------------------------------------------
r22760 | jake | 2007-08-30 22:37:43 -0700 (Thu, 30 Aug 2007) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-isup.c

Fix for bug 1244:
hf_isup_event_ind contains incorrect fieldbase.
------------------------------------------------------------------------
r22761 | sake | 2007-08-31 07:14:17 -0700 (Fri, 31 Aug 2007) | 15 lines
Changed paths:
   M /trunk/editcap.c
   M /trunk/gtk/about_dlg.c

This patch fixes the following two errors that appear when
configure is run with "--without-plugins"

cc1: warnings being treated as errors
about_dlg.c: In function ?\226?\128?\152about_wireshark_cb?\226?\128?\153:
about_dlg.c:426: warning: unused variable ?\226?\128?\152plugins_page?\226?\128?\153
make[2]: *** [about_dlg.o] Error 1

editcap.c: In function ?\226?\128?\152main?\226?\128?\153:
editcap.c:663: error: ?\226?\128?\152check_ts?\226?\128?\153 undeclared (first use in this function)
editcap.c:663: error: (Each undeclared identifier is reported only once
editcap.c:663: error: for each function it appears in.)
make[2]: *** [editcap.o] Error 1


------------------------------------------------------------------------
r22762 | sake | 2007-08-31 08:06:27 -0700 (Fri, 31 Aug 2007) | 8 lines
Changed paths:
   M /trunk/epan/dissectors/packet-tcp.c

When doing TCP_SEQ analysis, if the packet is a SYN, then it's 
not a lost packet but the tcp ports are being reused. This is often 
seen in load-balanced environments where client ports are preserved 
on the server-side.

We only want to report port reusage once, so the SYN/ACK is excluded 
from TCP_SEQ analysis.

------------------------------------------------------------------------
r22763 | wmeier | 2007-08-31 16:22:45 -0700 (Fri, 31 Aug 2007) | 2 lines
Changed paths:
   M /trunk/gtk/uat_gui.c

Enable <esc> to cancel window; remove some redundant code

------------------------------------------------------------------------
r22764 | guy | 2007-08-31 16:56:07 -0700 (Fri, 31 Aug 2007) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dnp.c

Show unsigned quantities with %u, not %d.

------------------------------------------------------------------------
r22765 | sake | 2007-09-01 04:14:01 -0700 (Sat, 01 Sep 2007) | 4 lines
Changed paths:
   M /trunk/wiretap/netscreen.c

This patch solves two issue with the NetScreen wiretap routine:
- It accepts the "/" character in interface names
- It accepts EOF as delimiter for the last packet (when there is no more emptyline)

------------------------------------------------------------------------
r22766 | jake | 2007-09-01 04:47:59 -0700 (Sat, 01 Sep 2007) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-bacapp.c

From Steve Karg:
Fix for bug 1807. This patch corrects the decoding of the NotificationParameters. 
I fuzz tested with these and other captures (Pass > 100).
------------------------------------------------------------------------
r22767 | wmeier | 2007-09-02 05:37:24 -0700 (Sun, 02 Sep 2007) | 3 lines
Changed paths:
   M /trunk/epan/dfilter/dfilter-macro.c

macro_name_chk: return valid error string for fail return when empty macro name field;
fixes bug #1813

------------------------------------------------------------------------
r22768 | guy | 2007-09-02 13:37:39 -0700 (Sun, 02 Sep 2007) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ip.c

Fix indentation.

------------------------------------------------------------------------
r22769 | wmeier | 2007-09-02 13:53:15 -0700 (Sun, 02 Sep 2007) | 2 lines
Changed paths:
   M /trunk/Makefile.nmake
   M /trunk/tools/win32-setup.sh

Verify existence of required downloaded library packages during make after Makefile.nmake updated

------------------------------------------------------------------------
r22770 | guy | 2007-09-02 15:49:56 -0700 (Sun, 02 Sep 2007) | 16 lines
Changed paths:
   M /trunk/epan/dissectors/packet-pppoe.c

The actual length of the PPPoE payload is returned by
tvb_reported_length_remaining(), not by tvb_length_remaining() -
tvb_length_remaining() shows only the amount of *captured* data
remaining, but the capture might have been done with a snapshot length
that cut the packet data short.

The payload length from the PPPoE header could legitimately be different
from the actual length of the PPPoE payload if there's not enough PPPoE
payload to avoid padding at the E(thernet) level.  Only complain if
there shouldn't have been any padding.

Report an "expert" warning if the payload length looks wrong.

Update a comment to reflect current reality (as of many many years ago,
when we went all-tvbuff).

------------------------------------------------------------------------
r22771 | guy | 2007-09-02 16:32:43 -0700 (Sun, 02 Sep 2007) | 11 lines
Changed paths:
   M /trunk/capture_loop.c

For bug 1685, check for the errors reported on at least some platforms
when an interface goes down or goes away, and, in that case, just report
that, rather than reporting a more technical error and indicating that
the error should be reported to the Wireshark developers.

Line-break the "please report this to the Wireshark developers" error
differently (so that it doesn't look weird if the dialog box line-wraps
it).

Fix indentation.

------------------------------------------------------------------------
r22772 | wmeier | 2007-09-02 16:37:40 -0700 (Sun, 02 Sep 2007) | 2 lines
Changed paths:
   M /trunk/gtk/uat_gui.c

Fix my previous patch to enable esc on window

------------------------------------------------------------------------
r22773 | guy | 2007-09-02 16:51:51 -0700 (Sun, 02 Sep 2007) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-pppoe.c

tvb_reported_length() returns a gint, so assign its value to a gint.

------------------------------------------------------------------------
r22774 | wmeier | 2007-09-02 17:17:47 -0700 (Sun, 02 Sep 2007) | 2 lines
Changed paths:
   M /trunk/gtk/filter_dlg.c

default window_cancel_butoon_cb  is not appropriate since a specific cancel cb is specified.

------------------------------------------------------------------------
r22775 | jake | 2007-09-02 22:56:48 -0700 (Sun, 02 Sep 2007) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-mtp2.c

Fix for bug 1816:
Add status value to LSSU info column.
------------------------------------------------------------------------
r22776 | guy | 2007-09-02 23:44:54 -0700 (Sun, 02 Sep 2007) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-iuup.c

guint8, not gchar, is the appropriate type for a byte.

------------------------------------------------------------------------
r22777 | etxrab | 2007-09-03 09:39:07 -0700 (Mon, 03 Sep 2007) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-bssgp.c

BSSGP.TLLI is not recognized properly in filter
http://bugs.wireshark.org/bugzilla/show_bug.cgi?id=1384
------------------------------------------------------------------------
r22778 | etxrab | 2007-09-03 09:40:51 -0700 (Mon, 03 Sep 2007) | 2 lines
Changed paths:
   M /trunk/asn1/ranap/packet-ranap-template.c
   M /trunk/asn1/ranap/ranap.cnf
   M /trunk/epan/dissectors/packet-ranap.c

Incorrectly decoded IMSI in RANAP prot./id-CommonID procedure
http://bugs.wireshark.org/bugzilla/show_bug.cgi?id=1713
------------------------------------------------------------------------
r22779 | etxrab | 2007-09-03 09:42:28 -0700 (Mon, 03 Sep 2007) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-gtp.c

Wireshark packet-gtp.c error in decoding IMEI.
http://bugs.wireshark.org/bugzilla/show_bug.cgi?id=1536
------------------------------------------------------------------------
r22780 | etxrab | 2007-09-03 22:22:43 -0700 (Mon, 03 Sep 2007) | 6 lines
Changed paths:
   M /trunk/epan/dissectors/packet-sdp.c
   M /trunk/gtk/rtp_analysis.c

From Stas Maximov:
RTP analysis' jitter values are thrown off by RTP events
http://bugs.wireshark.org/bugzilla/show_bug.cgi?id=1076
a) Ephemeral string (packet duration) was inserted into long-term hash of
dynamic payloads
b) There was no clock_rate mapping for MIME type "telephone-event".
------------------------------------------------------------------------
r22781 | jake | 2007-09-03 23:55:52 -0700 (Mon, 03 Sep 2007) | 8 lines
Changed paths:
   M /trunk/epan/dissectors/packet-hsrp.c

From Munenori Ohuchi:
This patch adds a new feature to dissect HSRPv2 packets.

One of the main features of HSRPv2 can enable using HSRP on IPv6. In order to
achieve this new feature, HSRPv2 packet format is totally different from
HSRPv1. HSRPv2 introduces new TLV formats.

This patch can decode these new formats of HSPRv2.
------------------------------------------------------------------------
r22782 | wmeier | 2007-09-04 05:37:19 -0700 (Tue, 04 Sep 2007) | 2 lines
Changed paths:
   M /trunk/gtk/uat_gui.c

enable esc for new/edit/delete dialogs; remove some redundant code; 

------------------------------------------------------------------------
r22783 | etxrab | 2007-09-04 09:55:48 -0700 (Tue, 04 Sep 2007) | 2 lines
Changed paths:
   M /trunk/asn1/ansi_map/ansi_map.asn
   M /trunk/epan/dissectors/packet-ansi_map.c

ANSI MAP systemMyTypeCode should be OPTIONAL
http://bugs.wireshark.org/bugzilla/show_bug.cgi?id=1820
------------------------------------------------------------------------
r22784 | etxrab | 2007-09-04 09:57:07 -0700 (Tue, 04 Sep 2007) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-per.c

Get correct value for bitstrings.
------------------------------------------------------------------------
r22785 | etxrab | 2007-09-04 12:36:07 -0700 (Tue, 04 Sep 2007) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-per.c

value_tvb=out_tvb, remove unused variables.
------------------------------------------------------------------------
r22786 | stig | 2007-09-04 14:46:41 -0700 (Tue, 04 Sep 2007) | 3 lines
Changed paths:
   M /trunk/asn1/disp/disp.cnf
   M /trunk/asn1/dop/dop.cnf
   M /trunk/asn1/dop/packet-dop-template.c
   M /trunk/epan/dissectors/packet-disp.c
   M /trunk/epan/dissectors/packet-dop.c

Rewrote handling of parameters to get rid of "funky" oid strings.
Added expert info for unknown binding-parameters.

------------------------------------------------------------------------
r22787 | stig | 2007-09-04 14:49:14 -0700 (Tue, 04 Sep 2007) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-per.c

Fixed compiler warnings to get the buildbot going.

------------------------------------------------------------------------
r22788 | morriss | 2007-09-04 15:13:26 -0700 (Tue, 04 Sep 2007) | 1 line
Changed paths:
   M /trunk/capture_ui_utils.c

Don't call get_interface_descriptive_name() on a NULL iface: fixes a segfault when doing Statistics->Summary when you didn't capture anything (but rather read in a file)
------------------------------------------------------------------------
r22789 | sahlberg | 2007-09-04 16:27:34 -0700 (Tue, 04 Sep 2007) | 7 lines
Changed paths:
   M /trunk/epan/dissectors/packet-sdp.c

we dont have g_hash_table_new_full() on gtk1
use g_hash_table_new() on gtk1 and leak memory instead


this should actually a be using an se_tree instead of hashtables


------------------------------------------------------------------------
r22790 | sahlberg | 2007-09-04 16:35:29 -0700 (Tue, 04 Sep 2007) | 4 lines
Changed paths:
   M /trunk/epan/privileges.c

on unix, we dont have size_t until we have imported all the other 
includes    which breaks emem.h


------------------------------------------------------------------------
r22791 | sahlberg | 2007-09-04 17:29:31 -0700 (Tue, 04 Sep 2007) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-nfs.c

start prettifying nfsv4


------------------------------------------------------------------------
r22792 | etxrab | 2007-09-04 22:48:44 -0700 (Tue, 04 Sep 2007) | 1 line
Changed paths:
   M /trunk/asn1/dop/Makefile
   M /trunk/asn1/dop/Makefile.nmake
   M /trunk/asn1/dop/dop-exp.cnf
   M /trunk/asn1/dop/packet-dop-template.c
   M /trunk/epan/dissectors/packet-dop.c
   M /trunk/epan/dissectors/packet-dop.h

Include expert.h and while at it change to use -X and -T options for asn2wrs.
------------------------------------------------------------------------
r22793 | jake | 2007-09-04 23:59:24 -0700 (Tue, 04 Sep 2007) | 9 lines
Changed paths:
   M /trunk/epan/dissectors/packet-netflow.c

From Munenori Ohuchi:
packet-netflow.c is lack of the capability to decode ipv6 address related fields in netflow v9.

This patch enables dissecting the following fields:
 Type 27 IPV6_SRC_ADDR,
 Type 28 IPV6_DST_ADDR,
 Type 29 IPV6_SRC_MASK,
 Type 30 IPV6_DST_MASK and
 Type 62 IPV6_NEXT_HOP.
------------------------------------------------------------------------
r22794 | stig | 2007-09-05 00:35:59 -0700 (Wed, 05 Sep 2007) | 2 lines
Changed paths:
   M /trunk/asn1/rtse/rtse.cnf
   M /trunk/epan/dissectors/packet-rtse.c

Check object_identifier_id before use.

------------------------------------------------------------------------
r22795 | wmeier | 2007-09-05 07:59:37 -0700 (Wed, 05 Sep 2007) | 3 lines
Changed paths:
   M /trunk/gtk/filter_dlg.c

Prevent Gtk-Critical msg when invoking "+Expression" from Filter Toolbar in main window;
Fixes bug reported by Toralf F?\195?\182rster

------------------------------------------------------------------------
r22796 | etxrab | 2007-09-05 15:24:40 -0700 (Wed, 05 Sep 2007) | 2 lines
Changed paths:
   M /trunk/asn1/ansi_map/ansi_map.asn
   M /trunk/asn1/ansi_map/packet-ansi_map-template.c
   M /trunk/epan/dissectors/packet-ansi_map.c

Fix the asn1 code for WIN-TriggerList and systemMyTypeCode plus
a copy-paste error in the hf fields.
------------------------------------------------------------------------
r22797 | guy | 2007-09-05 15:43:51 -0700 (Wed, 05 Sep 2007) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ieee80211.c

Fix indentation.

------------------------------------------------------------------------
r22798 | ulfl | 2007-09-05 16:03:58 -0700 (Wed, 05 Sep 2007) | 1 line
Changed paths:
   M /trunk/config.nmake

remove comment which compiler version works - they all work
------------------------------------------------------------------------
r22799 | ulfl | 2007-09-05 16:09:39 -0700 (Wed, 05 Sep 2007) | 3 lines
Changed paths:
   M /trunk/Makefile.nmake

- "quote" source dir of packaging_zip1 and packaging_zip2, so it also works with spaces in this path

- epan now depends on zlib and wiretap, add dependencies accordingly
------------------------------------------------------------------------
r22800 | martinm | 2007-09-06 03:05:41 -0700 (Thu, 06 Sep 2007) | 2 lines
Changed paths:
   A /trunk/plugins/wimaxasncp
   A /trunk/plugins/wimaxasncp/AUTHORS
   A /trunk/plugins/wimaxasncp/COPYING
   A /trunk/plugins/wimaxasncp/ChangeLog
   A /trunk/plugins/wimaxasncp/Makefile.am
   A /trunk/plugins/wimaxasncp/Makefile.common
   A /trunk/plugins/wimaxasncp/Makefile.nmake
   A /trunk/plugins/wimaxasncp/moduleinfo.h
   A /trunk/plugins/wimaxasncp/moduleinfo.nmake
   A /trunk/plugins/wimaxasncp/packet-wimaxasncp.c
   A /trunk/plugins/wimaxasncp/packet-wimaxasncp.h
   A /trunk/plugins/wimaxasncp/plugin.rc.in

Add wimaxasncp plugin folder contents (other changes will follow)

------------------------------------------------------------------------
r22801 | martinm | 2007-09-06 03:14:49 -0700 (Thu, 06 Sep 2007) | 2 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/configure.in
   M /trunk/plugins/Makefile.am
   M /trunk/plugins/Makefile.nmake

Build WiMAX ASN Control Plane dissector plugin

------------------------------------------------------------------------
r22802 | martinm | 2007-09-06 03:50:17 -0700 (Thu, 06 Sep 2007) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-catapult-dct2000.c

Map "wimax" -> "wimaxasncp"

------------------------------------------------------------------------
r22803 | stig | 2007-09-06 03:53:42 -0700 (Thu, 06 Sep 2007) | 2 lines
Changed paths:
   M /trunk/plugins/wimaxasncp

Add default svn:ignore files to wimaxasncp plugin.

------------------------------------------------------------------------
r22804 | wmeier | 2007-09-06 05:46:29 -0700 (Thu, 06 Sep 2007) | 2 lines
Changed paths:
   M /trunk/gtk/sctp_stat_dlg.c

Enable esc key for SCTP Associations window.

------------------------------------------------------------------------
r22805 | stig | 2007-09-06 07:02:35 -0700 (Thu, 06 Sep 2007) | 2 lines
Changed paths:
   M /trunk/epan/libwireshark.def

Added ipprotostr to libwireshark.def

------------------------------------------------------------------------
r22806 | martinm | 2007-09-06 07:14:09 -0700 (Thu, 06 Sep 2007) | 2 lines
Changed paths:
   M /trunk/plugins/wimaxasncp/packet-wimaxasncp.c

Fix the unsigned errors. Not sure about the other windows errors yet...

------------------------------------------------------------------------
r22807 | etxrab | 2007-09-06 09:27:17 -0700 (Thu, 06 Sep 2007) | 1 line
Changed paths:
   M /trunk/asn1/ansi_map/ansi_map.cnf
   M /trunk/asn1/ansi_map/packet-ansi_map-template.c
   M /trunk/epan/dissectors/packet-ansi_map.c

Get rid of get_ber_last_reated_item() and fix dissection of wIN-TriggerList.
------------------------------------------------------------------------
r22808 | etxrab | 2007-09-06 09:28:08 -0700 (Thu, 06 Sep 2007) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-per.c

Remove debug code and a "lost" line.
------------------------------------------------------------------------
r22809 | guy | 2007-09-06 09:55:03 -0700 (Thu, 06 Sep 2007) | 2 lines
Changed paths:
   M /trunk/plugins/wimaxasncp/Makefile.nmake

Add .c.obj:: inference rule (to cause "batch compile")

------------------------------------------------------------------------
r22810 | guy | 2007-09-06 09:57:41 -0700 (Thu, 06 Sep 2007) | 2 lines
Changed paths:
   M /trunk/config.h.win32

Fix a comment.

------------------------------------------------------------------------
r22811 | gerald | 2007-09-06 11:26:04 -0700 (Thu, 06 Sep 2007) | 9 lines
Changed paths:
   M /trunk/docbook/release-notes.xml
   M /trunk/epan/dissectors/packet-dnp.c

Fix problems found by Beyond Security:  

Instead of overflowing an unsigned int when determining the number of
items in a range, use a signed int and check for a negative value.  Make
sure our offset increments as we step through each item.  This should 
avoid large/inifinite loops.

Fix the size of hf_dnp3_al_range_stop32.

------------------------------------------------------------------------
r22812 | etxrab | 2007-09-06 14:25:41 -0700 (Thu, 06 Sep 2007) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-3g-a11.c
   M /trunk/plugins/wimaxasncp/packet-wimaxasncp.c

Add A11 RRQ-CVSE-Active Start Airlink Record-Subtype 108 is expressed to Subnet.

Plus Temp change VALS(sminmpec_values) to NULL to let the buildbot do arun.
------------------------------------------------------------------------
r22813 | etxrab | 2007-09-06 14:33:57 -0700 (Thu, 06 Sep 2007) | 2 lines
Changed paths:
   M /trunk/plugins/wimaxasncp/packet-wimaxasncp.c

Change it back...
Plus Temp change VALS(sminmpec_values) to NULL to let the buildbot do arun.
------------------------------------------------------------------------
r22814 | morriss | 2007-09-06 14:57:56 -0700 (Thu, 06 Sep 2007) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-sctp.c

Count the number of TSNs gap-acked in a SACK.  Warn the user (with an Expert info) if the number is greater than, say, 100.  Also reindent large portions of the sack dissector function to make it readable.
------------------------------------------------------------------------
r22815 | stig | 2007-09-06 15:26:09 -0700 (Thu, 06 Sep 2007) | 2 lines
Changed paths:
   M /trunk/asn1/ansi_map/packet-ansi_map-template.c
   M /trunk/epan/dissectors/packet-ansi_map.c

Fixed a warning: 'j' may be used uninitialized in this function.

------------------------------------------------------------------------
r22816 | stig | 2007-09-06 15:29:04 -0700 (Thu, 06 Sep 2007) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dmp.c

Corrected some types, instead of adding a cast (from r21142).
Reindented file.

------------------------------------------------------------------------
r22817 | stig | 2007-09-06 16:32:46 -0700 (Thu, 06 Sep 2007) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/Makefile.common
   M /trunk/epan/dissectors/packet-tnef.c

Moved packet-imf.c and packet-tnef.c from ASN_DISSECTOR_SRC to CLEAN_DISSECTOR_SRC, as they are not generated from ASN1.

------------------------------------------------------------------------
r22818 | martinm | 2007-09-07 02:56:19 -0700 (Fri, 07 Sep 2007) | 2 lines
Changed paths:
   M /trunk/plugins/wimaxasncp/packet-wimaxasncp.c

Try Stephen Croll's workaround.

------------------------------------------------------------------------
r22819 | martinm | 2007-09-07 06:53:49 -0700 (Fri, 07 Sep 2007) | 6 lines
Changed paths:
   M /trunk/plugins/wimaxasncp/packet-wimaxasncp.c

Small cleanup:
- remove unprintable chars (pasted from formatted spec doc?)
- use _U_ for unsused function argument
- remove accidental(?) assignment in function parameter
- make indentation consistent by removing the (few) tabs in the file

------------------------------------------------------------------------
r22820 | stig | 2007-09-07 07:02:32 -0700 (Fri, 07 Sep 2007) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/Makefile.common
   M /trunk/epan/dissectors/packet-ssl-utils.c

Fixed compiler warnings.

------------------------------------------------------------------------
r22821 | stig | 2007-09-07 08:04:31 -0700 (Fri, 07 Sep 2007) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/Makefile.common

Hm.  Not so clean on all compilers...

------------------------------------------------------------------------
r22822 | stig | 2007-09-07 08:21:08 -0700 (Fri, 07 Sep 2007) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/Makefile.common
   M /trunk/epan/dissectors/packet-ssl-utils.c

Argh!  Used the wrong length modifier for size_t.

------------------------------------------------------------------------
r22823 | martinm | 2007-09-07 08:24:43 -0700 (Fri, 07 Sep 2007) | 2 lines
Changed paths:
   M /trunk/packaging/nsis/wireshark.nsi

Crap - missed this one!

------------------------------------------------------------------------
r22824 | martinm | 2007-09-07 08:58:24 -0700 (Fri, 07 Sep 2007) | 2 lines
Changed paths:
   M /trunk/plugins/wimaxasncp/packet-wimaxasncp.c

Replace remaining non-printable characters that looked like spaces with real spaces.

------------------------------------------------------------------------
r22825 | stig | 2007-09-07 12:05:55 -0700 (Fri, 07 Sep 2007) | 26 lines
Changed paths:
   M /trunk/epan/dissectors/packet-bfd.c

From Todd J Martin:
The attached patch to packet-bfd.c adds the following enhancements to BFD
decoding:
- The Authentication Section is now decoded.  All of the authentication methods
are supported.  Verification of checksums is not implemented.
- BFD flags are now shown in a tree
- Added support for the M flag
- Added a display filter for the message length
- For the Desired Min TX Interval, Required Min RX Interval, and Required Min
Echo RX Interval fields, the time value is now printed in both milliseconds and
microseconds.  (Previously, only milliseconds was being shown.)  The PDU
represents the time in microseconds, but most implementations deal in
milliseconds.
- Added a warning to flag the packet if the Authentication bit is set, but the
full Authentication Section is not present.
- Added descriptions for most of the fields
- Fix the name of the protocol.  BFD stands for Bidirectional Forwarding
Detection and not Bi-directional Fault Detection.
- Register the protocol on the UDP multihop port (4784).
- Change the filter name for the protocol from bfdcontrol to bfd since all of
the other display filters started with bfd.


Removed unused hf_bfd_auth_checksum.
Modified printing of the ':' at the end of the Authentication tree.

------------------------------------------------------------------------
r22826 | morriss | 2007-09-07 14:46:31 -0700 (Fri, 07 Sep 2007) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-sctp.c

If the whole packet was not captured (e.g., due to the snapshot length), do not attempt to verify the checksum of the packet.  Rather, inform the user that we didn't/couldn't verify the checksum.
------------------------------------------------------------------------
r22827 | guy | 2007-09-07 15:11:01 -0700 (Fri, 07 Sep 2007) | 8 lines
Changed paths:
   M /trunk/epan/dissectors/Makefile.common
   D /trunk/epan/dissectors/packet-dcerpc-afs4int.c
   M /trunk/epan/dissectors/packet-dcerpc-bossvr.c
   A /trunk/epan/dissectors/packet-dcerpc-fileexp.c (from /trunk/epan/dissectors/packet-dcerpc-afs4int.c:22811)
   M /trunk/epan/dissectors/packet-dcerpc-fldb.c
   M /trunk/epan/dissectors/packet-dcerpc-icl_rpc.c
   M /trunk/epan/dissectors/packet-dcerpc-rep_proc.c
   M /trunk/epan/dissectors/packet-dcerpc-tkn4int.c
   M /trunk/epan/dissectors/packet-dcerpc-ubikdisk.c
   M /trunk/epan/dissectors/packet-dcerpc-ubikvote.c

Change the long protocol name dissectors for various DFS protocols to
indicate that they're for DFS; update comments as well.

Rename packet-dcerpc-afs4int.c to packet-dcerpc-fileexp.c, and change
the short and filter names for the protocol, and the names for the
filterable fields, to reflect the fact that it's for the File Exporter
protocol in DFS.  ("AFS 4" = DCE DFS.)

------------------------------------------------------------------------
r22828 | jmayer | 2007-09-08 06:22:27 -0700 (Sat, 08 Sep 2007) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-isakmp.c

- Slightly improved dissection of Cisco's fragmented ISAKMP.
- Corrected misdetection of CISCO-UNITY VID.

------------------------------------------------------------------------
r22829 | ulfl | 2007-09-09 06:05:32 -0700 (Sun, 09 Sep 2007) | 1 line
Changed paths:
   M /trunk/epan/unicode-utils.c

remove unused #else
------------------------------------------------------------------------
r22830 | ulfl | 2007-09-09 06:09:14 -0700 (Sun, 09 Sep 2007) | 1 line
Changed paths:
   M /trunk/Makefile.nmake

don't try to put a ## comment after the touch call, this will end up in a few strange new files generated
------------------------------------------------------------------------
r22831 | ulfl | 2007-09-09 06:59:58 -0700 (Sun, 09 Sep 2007) | 1 line
Changed paths:
   A /trunk/all.vcproj
   A /trunk/doc/doc.vcproj
   A /trunk/docbook/docbook.vcproj
   A /trunk/dumpcap.vcproj
   A /trunk/epan/libwireshark.vcproj
   A /trunk/gtk/libui.vcproj
   A /trunk/packaging.vcproj
   A /trunk/plugins/plugins.vcproj
   A /trunk/tshark.vcproj
   A /trunk/wireshark-gtk1.vcproj
   A /trunk/wireshark-gtk2.vcproj
   A /trunk/wireshark.sln
   A /trunk/wiretap/libwiretap.vcproj

start an experiment to provide MS Visual Studio 2005 solution / project files for a lot easier debugging. They still use the underlying Makefile.nmake files for the actual build process.
------------------------------------------------------------------------
r22832 | ulfl | 2007-09-09 07:58:02 -0700 (Sun, 09 Sep 2007) | 1 line
Changed paths:
   M /trunk/all.vcproj
   M /trunk/dumpcap.vcproj
   M /trunk/epan/libwireshark.vcproj
   M /trunk/gtk/libui.vcproj
   M /trunk/packaging.vcproj
   M /trunk/tshark.vcproj
   M /trunk/wireshark-gtk1.vcproj
   M /trunk/wireshark-gtk2.vcproj
   M /trunk/wiretap/libwiretap.vcproj

translate some german to english
------------------------------------------------------------------------
r22833 | ulfl | 2007-09-09 07:58:56 -0700 (Sun, 09 Sep 2007) | 1 line
Changed paths:
   A /trunk/epan/dissectors/dissectors.vcproj
   M /trunk/wireshark.sln

add a dissectors project, so MSVC "jump to error" works
------------------------------------------------------------------------
r22834 | jake | 2007-09-10 00:21:27 -0700 (Mon, 10 Sep 2007) | 2 lines
Changed paths:
   M /trunk/gtk/voip_calls.c
   M /trunk/gtk/voip_calls.h
   M /trunk/gtk/voip_calls_dlg.c
   M /trunk/plugins/unistim/packet-unistim.c
   M /trunk/plugins/unistim/packet-unistim.h

From Chad Singer:
UNISTIM Tap interface plus call grapher.
------------------------------------------------------------------------
r22835 | wmeier | 2007-09-10 07:00:12 -0700 (Mon, 10 Sep 2007) | 2 lines
Changed paths:
   M /trunk/Makefile.nmake

Fix my earlier typo.

------------------------------------------------------------------------
r22836 | wmeier | 2007-09-10 10:10:42 -0700 (Mon, 10 Sep 2007) | 7 lines
Changed paths:
   M /trunk/docbook/wsdg_src/WSDG_chapter_build_intro.xml
   M /trunk/docbook/wsdg_src/WSDG_chapter_dissection.xml
   M /trunk/docbook/wsdg_src/WSDG_chapter_env_intro.xml
   M /trunk/docbook/wsdg_src/WSDG_chapter_libraries.xml
   M /trunk/docbook/wsdg_src/WSDG_chapter_quick_setup.xml
   M /trunk/docbook/wsdg_src/WSDG_chapter_sources.xml
   M /trunk/docbook/wsdg_src/WSDG_chapter_tools.xml
   M /trunk/docbook/wsdg_src/WSDG_chapter_userinterface.xml
   M /trunk/docbook/wsdg_src/WSDG_chapter_works.xml
   M /trunk/docbook/wsdg_src/WSDG_preface.xml

General cleanup; Update 'Win32 Automated library download' section slightly;
Cleanup: 
   - relatively minor wording changes
   - spelling 
   - typos
   - minor formatting changes 

------------------------------------------------------------------------
r22837 | wmeier | 2007-09-10 14:02:58 -0700 (Mon, 10 Sep 2007) | 2 lines
Changed paths:
   M /trunk/docbook/wsug_src/WSUG_app_files.xml
   M /trunk/docbook/wsug_src/WSUG_app_howitworks.xml
   M /trunk/docbook/wsug_src/WSUG_app_messages.xml
   M /trunk/docbook/wsug_src/WSUG_app_tools.xml
   M /trunk/docbook/wsug_src/WSUG_chapter_advanced.xml
   M /trunk/docbook/wsug_src/WSUG_chapter_build_install.xml
   M /trunk/docbook/wsug_src/WSUG_chapter_capture.xml
   M /trunk/docbook/wsug_src/WSUG_chapter_introduction.xml
   M /trunk/docbook/wsug_src/WSUG_chapter_io.xml
   M /trunk/docbook/wsug_src/WSUG_chapter_use.xml
   M /trunk/docbook/wsug_src/WSUG_preface.xml

Some cleanup: correct some grammar and do a few minor rewordings

------------------------------------------------------------------------
r22838 | wmeier | 2007-09-10 14:18:11 -0700 (Mon, 10 Sep 2007) | 2 lines
Changed paths:
   M /trunk/docbook/wsug_src/WSUG_app_tools.xml

Undo one unintended change.

------------------------------------------------------------------------
r22839 | wmeier | 2007-09-10 14:50:01 -0700 (Mon, 10 Sep 2007) | 2 lines
Changed paths:
   M /trunk/docbook/wsdg_src/WSDG_chapter_tools.xml

Correct (essentially revert) the reference to the Microsoft Debugging Tools;

------------------------------------------------------------------------
r22840 | wmeier | 2007-09-10 15:28:42 -0700 (Mon, 10 Sep 2007) | 4 lines
Changed paths:
   M /trunk/gtk/color_edit_dlg.c

Fix bug in View ! Color Filter ! New ! (Fore|Back)ground Color & etc code 
which resulted in a GtkCritcal msg and in disabling the "(Fore|Back)ground Color"
button when esc used to close the widget.

------------------------------------------------------------------------
r22841 | sfisher | 2007-09-10 16:50:46 -0700 (Mon, 10 Sep 2007) | 4 lines
Changed paths:
   M /trunk/gtk/follow_dlg.c
   M /trunk/gtk/follow_stream.c
   M /trunk/gtk/follow_stream.h
   M /trunk/gtk/ssl-dlg.c


Some more code merging / cleanup in the Follow TCP & SSL Stream features


------------------------------------------------------------------------
r22842 | wmeier | 2007-09-11 07:36:09 -0700 (Tue, 11 Sep 2007) | 2 lines
Changed paths:
   M /trunk/docbook/wsug_src/WSUG_chapter_io.xml
   M /trunk/docbook/wsug_src/WSUG_chapter_work.xml

Some cleanup for Chapters 5 & 6: typos, spelling and minor rewording/additions. 

------------------------------------------------------------------------
r22843 | jake | 2007-09-11 09:54:27 -0700 (Tue, 11 Sep 2007) | 1 line
Changed paths:
   M /trunk/gtk/about_dlg.c

Make the splash screen look just a little bit better.
------------------------------------------------------------------------
r22844 | etxrab | 2007-09-11 09:57:42 -0700 (Tue, 11 Sep 2007) | 1 line
Changed paths:
   M /trunk/radius/dictionary.3gpp
   M /trunk/radius/dictionary.3gpp2

Add AVP:s
------------------------------------------------------------------------
r22845 | etxrab | 2007-09-11 09:58:25 -0700 (Tue, 11 Sep 2007) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-l2tp.c
   M /trunk/epan/dissectors/packet-lapd.c

Update valuestrings and comments.
------------------------------------------------------------------------
r22846 | etxrab | 2007-09-11 09:59:57 -0700 (Tue, 11 Sep 2007) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-sndcp.c

From   cyrille colin:
PATCH : SNDCP reassembly fails / overlaps when same NPDU number in another call
http://bugs.wireshark.org/bugzilla/show_bug.cgi?id=1755
------------------------------------------------------------------------
r22847 | wmeier | 2007-09-11 11:55:11 -0700 (Tue, 11 Sep 2007) | 2 lines
Changed paths:
   M /trunk/docbook/wsug_src/WSUG_chapter_advanced.xml

Some cleanup for Chapter 7: typos, spelling and minor reformatting/rewording..

------------------------------------------------------------------------
r22848 | wmeier | 2007-09-11 13:56:14 -0700 (Tue, 11 Sep 2007) | 2 lines
Changed paths:
   M /trunk/docbook/wsug_src/WSUG_chapter_advanced.xml

Fix some links to external web pages: Turn some intended entity refs into real entity refs

------------------------------------------------------------------------
r22849 | jake | 2007-09-11 14:31:21 -0700 (Tue, 11 Sep 2007) | 7 lines
Changed paths:
   M /trunk/wiretap/libpcap.c

From Pieter de Boer:
tshark can read a HP-UX nettl IP packet dump (written with 'nettl -traceon all
-entity ns_ls_ip -file dump'), but cannot convert it to a pcap raw IP packet
dump, with 'tshark -r dump.nettl -w dump.pcap'. A single-line patch to
wiretap/libpcap.c makes it possible to do this.

The input file uses encapsulation type WTAP_ENCAP_NETTL_RAW_IP.
------------------------------------------------------------------------
r22850 | jake | 2007-09-11 22:57:53 -0700 (Tue, 11 Sep 2007) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-acn.c
   M /trunk/epan/dissectors/packet-acn.h

From Bill Florac:
1) DMP "range" addresses can cause packet dissection failure.
2) A NULL return of match_strval() is not handled.
3) DMP addresses should be displayed in hex.
4) ep_alloc should not be used, use static variables.
------------------------------------------------------------------------
r22851 | jmayer | 2007-09-11 23:31:09 -0700 (Tue, 11 Sep 2007) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-isakmp.c

If we find a fragmented ike packet, dissect the stuff
that fits into the first fragment.

------------------------------------------------------------------------
r22852 | wmeier | 2007-09-12 07:50:27 -0700 (Wed, 12 Sep 2007) | 2 lines
Changed paths:
   M /trunk/text2pcap.c

Output err msg if strptime fails converting input time;

------------------------------------------------------------------------
r22853 | wmeier | 2007-09-12 08:32:09 -0700 (Wed, 12 Sep 2007) | 5 lines
Changed paths:
   M /trunk/docbook/wsluarm.xml

From Patrick Lundquist:
the Lua dissector example in wsluarm.xml uses C defines instead of Lua
defines where display bases for ProtoFields are used.


------------------------------------------------------------------------
r22854 | etxrab | 2007-09-12 09:45:53 -0700 (Wed, 12 Sep 2007) | 1 line
Changed paths:
   M /trunk/asn1/ansi_map/Makefile
   M /trunk/asn1/ansi_map/Makefile.nmake
   M /trunk/asn1/ansi_map/ansi_map.asn
   M /trunk/asn1/ansi_map/ansi_map.cnf
   M /trunk/asn1/ansi_map/packet-ansi_map-template.c
   M /trunk/asn1/tcap/ansi_tcap.cnf
   M /trunk/asn1/tcap/packet-ansi_tcap-template.c
   M /trunk/asn1/tcap/packet-tcap-template.c
   M /trunk/epan/dissectors/packet-ansi_map.c
   M /trunk/epan/dissectors/packet-ansi_map.h
   M /trunk/epan/dissectors/packet-ansi_tcap.c
   M /trunk/epan/dissectors/packet-ansi_tcap.h
   M /trunk/epan/dissectors/packet-tcap.c

Use the new ANSI TCAP dissector.
------------------------------------------------------------------------
r22855 | etxrab | 2007-09-12 11:12:18 -0700 (Wed, 12 Sep 2007) | 1 line
Changed paths:
   M /trunk/asn1/ansi_map/ansi_map.asn
   M /trunk/asn1/ansi_map/packet-ansi_map-template.c
   M /trunk/asn1/tcap/ansi_tcap.cnf
   M /trunk/asn1/tcap/packet-ansi_tcap-template.c
   M /trunk/epan/dissectors/packet-ansi_map.c
   M /trunk/epan/dissectors/packet-ansi_tcap.c

Warning fixes.
------------------------------------------------------------------------
r22856 | wmeier | 2007-09-12 14:34:48 -0700 (Wed, 12 Sep 2007) | 2 lines
Changed paths:
   M /trunk/docbook/README.txt

Add info for Fedora 7

------------------------------------------------------------------------
r22857 | jake | 2007-09-12 14:46:55 -0700 (Wed, 12 Sep 2007) | 1 line
Changed paths:
